• | Table of Contents
• | Index
• | Reviews
• | Reader Reviews
• | Errata
Windows XP Hacks
By Preston Gralla
Publisher | : O'Reilly
Pub Date | : August 2003
ISBN | : 0-596-00511-3
Pages | : 412

Now power users can rejoice! Windows XP Hacks offers tips, tools, and know-how to bend Windows XP to your will. The book delves into XP topics such as controlling the control panel, changing unchangeable icons, removing uninstallable XP components, stopping pop-up ads, taking a bite out of cookies, speeding up file downloads, protecting yourself with firewalls and proxy servers, and more. Users of both Windows XP Home Edition and Windows XP Pro Edition will find smart, timesaving, fun, and useful hacks for virtually every feature in their operating system. Even if you're not a power user yet, this book will have you well on your way.


• | Table of Contents
• | Index
• | Reviews
• | Reader Reviews
• | Errata
Windows XP Hacks
By Preston Gralla
Publisher | : O'Reilly
Pub Date | : August 2003
ISBN | : 0-596-00511-3
Pages | : 412

Copyright
Credits
 | About the Author
 | Contributors
 | Acknowledgments
Preface
 | How to Use This Book
 | How This Book Is Organized
 | Conventions Used in This Book
 | How to Contact Us
Chapter 1. Startup and Shutdown
 | Section 1.1. Hacks #1-7
 | Hack 1. Customize Multiboot Startup Options
 | Hack 2. Change the Picture that Appears on the XP Startup Screen
 | Hack 3. Speed Up Boot and Shutdown Times
 | Hack 4. Halt Startup Programs and Services
 | Hack 5. Create Multiple Startup Profiles with Advanced Startup Manager
 | Hack 6. Miscellaneous Startup and Shutdown Hacks
 | Hack 7. Control User Logins by Hacking the Registry
Chapter 2. The User Interface
 | Section 2.1. Hacks #8-20
 | Hack 8. Customize the GUI with TweakUI
 | Hack 9. Control the Control Panel
 | Hack 10. Hack the Start Menu and Taskbar
 | Hack 11. Clean Up the Most Frequently Used Programs List
 | Hack 12. Rename and Change "Unchangeable" Desktop Icons and System Objects
 | Hack 13. Remove "Unremovable" Desktop Icons
 | Hack 14. Create Your Own XP Themes and Find Thousands Online
 | Hack 15. Give XP a Makeover with WindowBlinds
 | Hack 16. Hacking Your Way Through the Interface
 | Hack 17. Remove "Uninstallable" XP Utilities
 | Hack 18. Create Transparent Windows
 | Hack 19. Make Your Own Cursors and Icons
 | Hack 20. Windows XP to Windows 2000: Retro is Cool
Chapter 3. Windows Explorer
 | Section 3.1. Hacks #21-32
 | Hack 21. Generating Folder and File Listingsfor Printing or Editing
 | Hack 22. Control Windows Explorer with Command-Line Shortcuts
 | Hack 23. Empower Windows Explorer with PowerDesk
 | Hack 24. Better File Rename
 | Hack 25. Find Files Faster by Mastering the Indexing Service's Query Language
 | Hack 26. Hiding Folders and Files with the Encrypting File System
 | Hack 27. Forcing Windows Explorer Into True Usefulness
 | Hack 28. Customize Folder Icons and Balloon Text
 | Hack 29. A Power User's Hidden Weapon: Improve the Context Menu
 | Hack 30. Take Your Work on the Go with Offline Files and the Briefcase
 | Hack 31. Get More Hard Disk Space by Using NTFS Compression
 | Hack 32. Put a Command-Line Prompt on Your Desktop
Chapter 4. The Web
 | Section 4.1. Hacks #33-41
 | Hack 33. Stop Pop Ups, Spyware, and Web Bugs
 | Hack 34. Take a Bite Out of Cookies
 | Hack 35. Read Web Pages Offline
 | Hack 36. Better Internet Searching from Your Desktop
 | Hack 37. Hack Internet Explorer with the Group Policy Editor
 | Hack 38. Speed Up File Downloads
 | Hack 39. Surf Anonymously Without a Trace
 | Hack 40. Secrets of Web Site Hosting with Internet Information Services (IIS)
 | Hack 41. Run Java Applets Without Crashes or Problems
Chapter 5. Networking
 | Section 5.1. Hacks #42-62
 | Hack 42. War Driving for WiFi Access
 | Hack 43. Test Your Security with Shields Up!
 | Hack 44. Tweak DNS Settings for Faster Internet Access
 | Hack 45. Fix Windows Media Player's Privacy Problems
 | Hack 46. Protect Your Computer with the Internet Connection Firewall
 | Hack 47. Use a Proxy Server to Protect Your PC
 | Hack 48. ZoneAlarm: The World's Best Free Firewall
 | Hack 49. Optimize Your Residential Gateway
 | Hack 50. Punch an Escape Hole Through Your Firewall
 | Hack 51. Close Down Open Ports and Block Protocols
 | Hack 52. Troubleshooting Network Connections with ping, tracert, and pathping
 | Hack 53. Troubleshooting Network Connections with netsh, netstat, and ipconfig
 | Hack 54. Speed Up Network Browsing
 | Hack 55. Extend the Range of Your Wireless Network
 | Hack 56. Install NetBEUI for Better Peer-to-Peer Networking
 | Hack 57. Check WiFi Network Performance with QCheck to Help Improve Throughput
 | Hack 58. Control Another PC with Remote Access
 | Hack 59. Make Servers Always Available by Mapping a Hostname to a Dynamic IP Address
 | Hack 60. Renewing Your DHCP-Assigned IP Address
 | Hack 61. Repair a Broken TCP/IP Connection
 | Hack 62. Set Up a Virtual Private Network
Chapter 6. Email
 | Section 6.1. Hacks #63-67
 | Hack 63. Slam That Spam
 | Hack 64. Open Blocked File Attachments in Outlook and Outlook Express
 | Hack 65. Back Up and Restore Outlook and Outlook Express Data Files
 | Hack 66. Fire Outlook and Outlook Express
 | Hack 67. Retrieve Web-Based Email with Your Email Software
Chapter 7. The Registry
 | Section 7.1. Hacks #68-72
 | Hack 68. Don't Fear the Registry
 | Hack 69. Hacking Away at the Registry
 | Hack 70. Safely Edit the Registry Using .reg Files
 | Hack 71. Better Registry Backups
 | Hack 72. Track and Restore Registry Changes with RegSpy
Chapter 8. Basic Utilities
 | Section 8.1. Hacks #73-79
 | Hack 73. Store Multiple Clips and Boilerplate Text with a Better Clipboard
 | Hack 74. Speed Up Your Hard Disk by Improving Defragging
 | Hack 75. Build a Better Backup Strategy
 | Hack 76. Extending Your Screen Real Estate with Virtual Desktops
 | Hack 77. Top Screenshot Tips
 | Hack 78. Going Beyond Messaging with Windows Messenger
 | Hack 79. Universal Messaging: Trillian Unites AIM, MSN, Yahoo!, and ICQ
Chapter 9. Applications
 | Section 9.1. Hacks #80-85
 | Hack 80. Remove Unruly Applications and Uninstall Entries
 | Hack 81. Force XP-Incompatible Applications to Run
 | Hack 82. Force Older Programs to Use XP Common Controls
 | Hack 83. Launch Applications with Command-Line Shortcuts
 | Hack 84. Open and Create Microsoft Documents without Microsoft Office
 | Hack 85. Stop Hidden Fields in Word from Stealing Your Files and Information
Chapter 10. Graphics and Multimedia
 | Section 10.1. Hacks #86-90
 | Hack 86. Image Conversion in a Pinch
 | Hack 87. Problem-Free CD Burning
 | Hack 88. Save Streaming Music to Your PC
 | Hack 89. File Sharing without the Spyware
 | Hack 90. Tips for Making Videos with Windows Movie Maker
Chapter 11. System Performance
 | Section 11.1. Hacks #91-94
 | Hack 91. Track System Performance with the Performance Console
 | Hack 92. Getting the Most Out of Your RAM
 | Hack 93. More Power: Registry Hacks to Speed Up XP
 | Hack 94. Repair and Recovery with the Recovery Console
Chapter 12. Hardware
 | Section 12.1. Hacks #95-100
 | Hack 95. Troubleshoot Hardware by Decoding Device Manager Error Messages
 | Hack 96. Uncover Hidden Hardware with the Device Manager
 | Hack 97. Check Your PC's Pulse and Tweak It for Better Performance
 | Hack 98. Remap Your Keyboard
 | Hack 99. Use ClearType for Better Laptop and LCD Resolution
 | Hack 100. Networking on the Cheap: Set Up a Direct Cable Connection
Colophon
Index


Chapter 1. Startup and Shutdown

    Section 1.1. Hacks #1-7

    Hack 1. Customize Multiboot Startup Options

    Hack 2. Change the Picture that Appears on the XP Startup Screen

    Hack 3. Speed Up Boot and Shutdown Times

    Hack 4. Halt Startup Programs and Services

    Hack 5. Create Multiple Startup Profiles with Advanced Startup Manager

    Hack 6. Miscellaneous Startup and Shutdown Hacks

    Hack 7. Control User Logins by Hacking the Registry


1.1 Hacks #1-7

Possibly the most overlooked part of XP is the way people start up and shut down their systems. How much do you think about startup and shutdown? Probably not much. Press a button to start your PC, click on a few buttons to shut it down, and that's it.

In fact, there's a lot you can do to get more productive—and to have a little customization fun—when using startup and shutdown. You can create boot menus and choose from customized startup options; you can create your own bootscreen; you can perform automated tasks every time you shut down your PC; you can eliminate unnecessary programs and services from starting to increase the speed of your PC. In this chapter, you'll learn all that, plus other ways to master and customize system startup and shutdown.


Hack 1 Customize Multiboot Startup Options

Edit or create a startup menu that lets you choose which operating system to boot into in multiboot systems, or create a menu that lets you choose different startup options for your single operating system if you have only XP installed.

If you've installed another operating system (in addition to XP) on your system, your PC starts up with a multiboot menu, which allows you to choose which operating system you want to run. The menu stays live for 30 seconds, and a screen countdown tells you how long you have to make a choice from the menu. After the 30 seconds elapse, it boots into your default operating system, which is generally the last operating system you installed.

You can customize that multiboot menu and how your PC starts by editing the boot.ini file, a hidden system file, to control a variety of startup options, including how long to display the menu, which operating system should be the default, whether to use the XP splash screen when XP starts, and similar features. And as you'll see later in this hack, you can also use the file to create a startup menu that will allow you to choose from different versions of your operating system—for example, one that you'll use for tracking down startup problems, and another for starting in Safe Mode.

The boot.ini file is a plain text file found in your root C:\ folder. You might not be able to see it, because it's a system file, and if you can see it, you might not be able to edit it, because it's a read-only file. To make it visible, launch Windows Explorer, choose View [image] Tools [image] Folder Options [image] View and select the radio button "Show Hidden Files and Folders." To make it a file you can edit, right-click on it in Windows Explorer, choose Properties, uncheck the Read-Only box, and click OK.

1.2.1 Editing Files

To edit the file, open it with a text editor such as Notepad. Following is a typical boot.ini file for a PC that has two operating systems installed on it—Windows XP Home Edition and Windows Me:

[boot loader]
timeout=30
default=multi(0)disk(0)rdisk(0)partition(1)\WINDOWS
[operating systems]
multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Home
Edition" /fastdetect
multi(0)disk(0)rdisk(0)partition(2)\WINNT="Windows 2000 Professional" /
fastdetect

As you can see, there are two sections in the file: [boot loader] and [operating systems]. To customize your menu and startup options, edit the entries in each section. Before editing boot.ini, make a copy of it and save it under a different name (such as boot.ini.old), so that you can revert to it if you cause problems when you edit the file.

Following are details about how to edit the entries in each section:

[boot loader]

This section controls how the boot process works; it specifies the default operating system and how long a user has to make a selection from a boot menu, if a boot menu has been enabled. The timeout value specifies, in seconds, how long to display the menu and wait for a selection before loading the default operating system. If you want a delay of 15 seconds, for example, enter 15 for the value. Use a value of 0 if you want the default operating system to boot immediately. If you want the menu to be displayed indefinitely and stay onscreen until a selection is made, use a value of -1. The default value specifies which entry in the [operating system] section is the default operating system. (The default value is used even if there is only one operating system in the [operating system] section.) To change the default operating system, edit the setting, in our example, to default=multi(0)disk(0)rdisk(0)partition(2)\WINNT.

So, in our example, if you change the menu settings so that the screen appears for 10 seconds before loading the default operating system, and the default operating system is Windows 2000 Professional, the section reads:

[boot loader]
timeout=10
default=multi(0)disk(0)rdisk(0)partition(2)\WINNT
[operating system]

This section specifies which operating systems are present on the computer, and detailed options for each one. XP uses the Advanced RISC Computing (ARC) path to specify the location of the boot partition. In our example, the ARC path is:

multi(0)disk(0)rdisk(0)partition(1)\WINDOWS

The first parameter, which identifies the disk controller, should be 0. The second parameter, the disk parameter, should also be 0. The rdisk parameter specifies the disk number on the controller that has the boot partition. The numbers start at 0. So, if you have three hard disks installed and the second hard disk has the boot partition, the setting is rdisk(1). The partition parameter identifies the partition number of the boot partition. Partitions start with the number 1. The final section, which in our example is \WINDOWS, specifies the path to the folder where the operating system is installed.

To the right of the ARC path in the example is ="Microsoft Windows XP Home Edition" /fastdetect. The words within quotes are what will appear on the boot menu next to the entry. To customize the text on the menu you can change these words to whatever you wish—for example, "My Favorite Operating System." The /fastdetect switch disables the detection of serial and parallel devices, which allows for faster booting. The detection of these devices isn't normally required in XP, because the functions are performed by plug-and-play drivers, so as a general rule it's a good idea to use the /fastdetect switch. The /fastdetect switch is only one of many switches that can be used in the boot.ini file to customize how the operating system loads. Table 1-1 lists others you can use.

Table 1-1. Switches for boot.ini

Switch

What it does

/BASEVIDEO

Starts XP using the standard VGA driver. It's most useful if you can't boot normally because of a video driver problem.

/BOOTLOG

Logs information about the boot process to the ntbtlogl.txt file in the C:\Windows folder.

/CRASHDEBUG

Loads the debugger at boot, but the debugger remains inactive unless a crash occurs.

/DEBUG

Loads the debugger at boot and runs it.

/FASTDETECT

Disables the detection of serial and parallel devices.

MAXMEM:n

Specifies the maximum amount of RAM that XP can use.

/NOGUIBOOT

Does not allow the XP splash screen to load during boot.

/NODEBUG

Stops the debugger from loading.

/SAFEBOOT:switch

Forces XP to boot into the safe mode specified by the switch parameter, which can be minimal, network, or minimal(alternate shell). In minimal safe mode, only the minimum set of drivers necessary to start XP are loaded. In network safe mode, networking drivers are loaded in addition to the minimum set of drivers. In minimal(alternate shell) the minimum set of drivers are loaded and XP boots into the command prompt.

/SOS

Displays the name of each driver as it loads and gives descriptions of what is occurring during the boot process. It also offers other information, including the XP build number, the service pack number, the number of processors on the system, and the amount of installed memory.

When you've finished editing the boot.ini file, save it. The next time you start your computer, its settings will go into effect.

In our example, if we want the menu to appear for 45 seconds, the default operating system to be Windows 2000, and the XP splash screen to be turned off when we choose to load XP, the boot.ini file should look like this:

[boot loader]
timeout=45
default=multi(0)disk(0)rdisk(0)partition(2)\WINNT
[operating systems]
multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Home
Edition" /fastdetect /noguiboot
multi(0)disk(0)rdisk(0)partition(2)\WINNT="Windows 2000 Professional" /
fastdetect

1.2.2 Create a Startup Menu Even if You Have Only One Operating System

Even if you have only one operating system, you can create a boot menu that will let you choose to load your operating system with different parameters. For example, for menu choices, you might have your normal operating system; a mode that lets you trace any startup problems; and Safe Mode. To give yourself the option of operating systems with different parameters, create separate entries for each new operating system choice. For example, for the version of the operating system that traces potential startup problems, you could create this entry:

multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Trace Problems XP Home Edition"
/fastdetect /bootlog /sos

This entry creates a startup log and also displays information about the drivers and other operating system information as it loads.

For the version of the operating system that loads in Safe Mode but that still allows networking, you could create this entry:

multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Safe Start XP Home Edition" /
fastdetect /safeboot:network

The boot.ini file would look like this, assuming that you want the menu to display for 30 seconds and you want normal XP startup to be the default:

[boot loader]
timeout=30
default=multi(0)disk(0)rdisk(0)partition(1)\WINDOWS
[operating systems]
multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Home
Edition" /fastdetect
multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Trace Problems XP Home Edition"
/fastdetect /bootlog /sos
multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Safe Start XP Home Edition" /
fastdetect /safeboot:network

If you're leery of using a text editor to edit boot.ini directly, you can use the System Configuration Utility [Hack #4] instead. Type msconfig at a command prompt or the Run box and click on the BOOT.INI tab, shown in Figure 1-1. You'll be able to add several switches (but not as many as you can if you edit the boot.ini file yourself using a text editor).

Figure 1-1. The System Configuration Utility

1.2.3 See Also

  • [Hack #5]


Hack 2 Change the Picture that Appears on the XP Startup Screen

You're not stuck with XP's default splash logo on the startup screen—use any picture or logo of your choosing.

One of the nice things about XP is how malleable it is. Don't like the way it looks? No problem—change it. Take my splash screen, please!

Many people, myself included, would prefer to see a more interesting splash screen (also called the startup screen) than the default gives you on start-up. You can change your splash screen to any of hundreds that have been created, or make one of your own—for example, with your picture or company logo on it.

To choose from already created splash screens, go to http://www.themexp.org and click on Boot Screens. You'll find over a thousand of them, organized by categories such as Sports, TV/Movies, and so on. Being a fan of Jack London's The Call of the Wild, I use a picture of huskies for my splash screen. You can see it pictured in Figure 1-2. Nice way to greet the new day, don't you think?

Figure 1-2. Every time I start up my PC, I can imagine myself in the wilds of Alaska

Once you've found the image you want to use as your splash screen, download it. It will be downloaded as a .zip file. I create a general folder for all my boot screen files, called C:\Bootscreens, and then for each bootscreen I download I create a new folder—in this instance, C:\Bootscreens\Wild.

It's possible that something will go wrong with your new boot screen, so before making the change, create a System Restore point by choosing Control Panel [image] Performance and Maintenance [image] System Restore and following the instructions. If something goes wrong, you can revert to that restore point.

Unzip the contents of the .zip file into the folder. There will be one or more files, including ReadMe files. The boot screen itself, however, will be named ntoskrnl.exe. If you have XP Service Pack 1 installed, you may have to use a different file, named ntoskrnlSP1.exe, that may also be in the downloaded .zip file. Check the documentation of the file you download to make sure. If you're not sure if you have Service Pack 1 installed, it's easy to find out. Right-click on My Computer, and choose Properties [image] General. Your version of the operating system will be displayed. If you have Service Pack 1, it will say so on that screen.

The ntoskrnl.exe file is an executable file that contains the XP bootscreen. During the boot process, XP executes this file, found in C:\Windows\System32, which in turn displays the bootscreen graphic. So, to change your bootscreen, replace your existing ntoskrnl.exe file with the one you just downloaded. But wait: there's more.

You might think that all you have to do is copy the new ntoskrnl.exe over the existing one and then restart your computer in order for the changes to take effect. That's not quite the case, though. You first have to get around a feature of Windows XP that protects system files from being overwritten. Windows File Protection automatically replaces certain files with the original XP version of the file if they've been replaced, and ntoskrnl.exe is one of those files. However, if you make the change in Safe Mode, Windows File Protection won't kick in and you can safely copy the file.

Windows File Protection protects many other files, not just ntoskrnl.exe. Also included are .dll, .exe, .fon, .ocx, .sys, .tff files, and, depending on your system, other file types such as .ax, .cpl, .cpx, .dll, .exe, .fon,. inf, .ocx, .rsp, .sys, .tff, and .tlb.

Reboot your PC and press F8 immediately to get into Safe Mode. Now go to the C:\Windows\System32 folder and find the ntoskrnl.exe file. Copy it to another folder or rename it as a backup so that you can revert to it when you no longer want to use your new bootscreen, or if something goes wrong when you install the new screen. Now copy the new ntoskrnl.exe file into C:\Windows\System32. (If you have to use the ntoskrnlSP1.exe file, rename it to ntoskrnl.exe first, and then copy it over.)

Reboot your computer again but don't go into Safe Mode this time. Your new splash screen will now appear every time you start your PC. To revert to your old splash screen, repeat the steps, copying your original ntoskrnl.exe file over your new one.

1.3.1 Choose from Multiple Splash Screens on Startup

Depending on my mood, I might not want to be greeted by huskies every morning. There are times when I want to be greeted by the normal startup screen, and other times when I want to see Andy Warhol's famous painting of Marilyn Monroe, or Al Pacino from the movie Scarface, all available from http://www.themexp.org. So I've made a startup menu that lets me choose which graphic should be my startup screen.

To create a startup menu, first download all the screens you want to use. Then rename the ntoskrnl.exe or ntoskrnlSP1.exe of each so that the filename describes the screen, for example, ntospacino.exe, ntosmonroe.exe, and ntosspongebob.exe. Copy them each into C:\Windows\System32. Don't touch the existing ntoskrnl.exe file there; you'll keep that as one of your options. Because you're not changing that file, you don't have to boot into Safe Mode to make any of these changes.

Following the instructions in [Hack #1], create a multiboot screen by editing your boot.ini file. In the [operating systems] section of the boot.ini file, create a new entry for each of the screens from which you want to choose. Copy the existing primary XP entry and append /kernel=newbootscreenfilename.exe to the end of it, where newbootscreenfilename.exe is the filename of the bootscreen you want to use for that entry. Also edit the description so that it describes the bootscreen. For example, if the primary entry is:

multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Home
Edition" /fastdetect

you would create this entry for the Sponge Bob startup screen:

multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Sponge Bob Startup Screen" /
fastdetect /kernel=ntosspongebob.exe

Create as many entries as you want in the [boot loader] section. My boot.ini file looks like this:

[operating systems]
multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Home
Edition" /fastdetect
multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Huskies Startup Screen" /
fastdetect /kernel=ntosspongebob.exe
multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Pacino Startup Screen" /
fastdetect /kernel=ntospacino.exe
multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Marilyn Monroe Startup Screen"
/fastdetect /kernel=ntosmonroe.exe

Whenever you start up XP now, you'll be able to choose from your normal startup screen or any of the others you've put on the menu. If you have a laptop, for example, you might set up a menu that lets you choose a business-like startup screen at work and a more entertaining one at home.

1.3.2 Build a Startup Screen from Any Graphic

So far this hack has shown you how to use a startup screen that someone else built. But you're not limited to that; you can turn any graphic into a startup screen, using BootXP (downloadable from http://www.bootxp.net). It's shareware and free to try, but it costs $7.95 if you decide to keep using it.

The program will convert graphics from many different formats to a bootscreen graphic, use it as your bootscreen, or build a boot menu for you so that you can choose from multiple bootscreens. That way, you don't have to edit the boot.ini file yourself.

It's a surprisingly simple program to use. Select a graphic that you want to use as a bootscreen, and then click a button to convert it to the 640 x 480-pixel, 16-color bitmap startup screen standard. Preview the graphic, and if it's what you want, tell the program to set it as your bootscreen. The program provides a variety of options, including choosing a different progress bar that alerts you XP is loading, restoring your original startup screen, or randomizing your bootscreen so that it randomly selects one you've created each time you boot. You can also use the program to download already created startup screens from http://www.bootxp.net.

1.3.3 See Also

  • [Hack #14]


Hack 3 Speed Up Boot and Shutdown Times

Shorten the time it takes for your desktop to appear when you turn on your PC, and make XP shut down faster as well.

No matter how fast your PC boots, it's not fast enough. Here's a hack to help you get to your desktop more quickly after startup, and to let you walk away faster after shutdown.

The quickest way to speed up boot times is to use the free Microsoft utility BootVis.exe. Although it's intended primarily for developers, anyone can use it to analyze their boot times and see where there are slowdowns. More important, the tool will also automatically make system changes to speed up your boot time, so you don't need to go into a lengthy analysis of where your slowdowns are and how to solve them.

Depending on your system and how it's set up, you may see only a moderately faster startup time, or you may speed up boot time dramatically. I've seen reports of improvements ranging from a little over 3 seconds to more than 35 seconds. The improvements I found on my systems were moderate—7 seconds faster on one, and 10 seconds faster on another. Think of all the things you could accomplish with another 10 seconds in the day!

The BootVis utility traces boot time metrics and then displays the results in a variety of graphs showing total boot time, CPU usage, disk I/O, driver delays, and disk utilization. Download it from http://www.microsoft.com/hwdev/platform/performance/fastboot/BootVis.asp and extract it into its own folder. Go to the folder and double-click on BootVis.exe. To analyze how your system boots, choose Trace [image] Next Boot. (Choose Trace [image] Next Boot + Driver Delays if you want to trace delays caused by drivers as well as your normal boot sequences.) Tell the program how many times to reboot and run the test (the more times it runs, the more accurate the results, although the longer the test takes to run). Click OK, and your system will reboot. After you log on after the reboot, you'll see this message:

Please WAIT for Bootvis to launch!

Don't do anything yet; the program is working, even though it doesn't appear to be doing anything. After a while, you will see the screen shown in Figure 1-3. Soon after that the results appear, as shown in Figure 1-4.

Figure 1-3. BootVis alerts you that it is working
Figure 1-4. BootVis activity graphs display how much time each bootup activity takes

A series of graphs outline boot activity and loading time. The Boot Activity graph, shown in Figure 1-4, is the most important and details all aspects of the boot, including how much time each boot activity takes. Hover your mouse over an activity, such as Driver, and a balloon tip will appear, telling how much time that activity takes to load. To see the total boot time, hover your mouse over the rectangle at the top of a solid black line, and your total boot time will be displayed in a balloon tip, as shown in Figure 1-4.

The pictures and graphs are pretty, but the truth is, you don't really need them, because the utility will automatically make changes to speed up your boot time. To have the utility speed up your boot time, choose Trace [image] Optimize System and click Reboot Now when a prompt appears. Your system will shut down, reboot, give you the same initial prompt as when it's analyzing your system, but then alert you that it's reorganizing your boot files for faster startup. When the alert goes away, you can use your computer as you would normally. If you want to determine your increase in boot speed, run BootVis again and compare the new boot time to your previous boot time.

1.4.1 Enable Quicker Startups with a Boot Defragment

There's another way to speed up XP startup: make your system do a boot defragment, which will put all the boot files next to one another on your hard disk. When boot files are in close proximity to one another, your system will start faster.

On most systems, boot defragment should be enabled by default, but it may not be on yours, or it may have been changed inadvertently. To make sure that boot defragment is enabled on your system, run the Registry Editor [Hack #68], and go to:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Dfrg\BootOptimizeFunction

Edit the Enable string value to Y if it is not already set to Y. Exit the Registry and reboot. The next time you reboot, you'll do a boot defragment.

I've found many web sites recommending a way of speeding up boot times that may in fact slow down the amount of time it takes to boot up, and will probably slow down application launching as well. The tip recommends going to your C:\WINDOWS\Prefetch directory and emptying it every week. Windows uses this directory as a way of speeding up launching applications. It analyzes the files you use during startup and the applications you launch, and creates an index to where those files and applications are located on your hard disk. By using this index, XP can launch files and applications faster. So, by emptying the directory, you are most likely slowing down launching applications. In my tests, I've also found that after emptying the directory, it takes my PC a few seconds longer to get to my desktop after bootup.

1.4.2 Speed Up Shutdown Times

It's not only startup times that you'd like to speed up; you can also make sure that your system shuts down faster. If shutting down XP takes what seems to be an inordinate amount of time, here are a couple of steps you can take to speed up the shutdown process:

Don't have XP clear your paging file at shutdown

For security reasons, you can have XP clear your paging file (pagefile.sys) of its contents whenever you shut down. Your paging file is used to store temporary files and data, but when your system shuts down, information stays in the file. Some people prefer to have the paging file cleared at shutdown, because sensitive information such as unencrypted passwords sometimes ends up in the file. However, clearing the paging file can slow shutdown times significantly, so if extreme security isn't a high priority, you might not want to clear it. To shut down XP without clearing your paging file, run the Registry Editor and go to:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Memory Management

Change the value of ClearPageFileAtShutdown to 0. Close the Registry and restart your computer. Whenever you turn off XP from now on, the paging file won't be cleared, and you should be able to shut down more quickly.

Turn off unnecessary services

Services take time to shut down, so the fewer you run, the faster you can shut down. For information on how to shut them down, see [Hack #4].


Hack 4 Halt Startup Programs and Services

Increase your PC's performance and speed up startup times by shutting off applications and services that you don't need.

One of the best ways to speed up your PC without having to spend money for extra RAM is to stop unnecessary programs and services from running whenever you start your PC. When too many programs and services run automatically every time you start up your system, startup itself takes a long time, and too many programs and services running simultaneously can bog down your CPU and hog your memory.

Some programs, such as antivirus software, should run automatically at startup and always run on your computer. But many other programs, such as instant messenger software, serve no purpose by being run at startup. And while you need a variety of background services running on your PC in order for XP to function, there are many unnecessary services that run on startup. For example, on many systems, the Wireless Zero Configuration Service runs to automatically configure a WiFi (802.11) network card, even though no such card is present in the system.

1.5.1 Eliminating Programs that Run at Startup

Stopping programs from running at startup is a particularly daunting task, because there is no single place you can go to stop them all. Some run because they're put in the Startup folder, others because they're part of logon scripts, others because of Registry settings and so on. But with a little bit of perseverance, you should be able to stop them from running.

1.5.1.1 Cleaning out the Startup folder

Start by cleaning out your Startup folder. Find it in C:\Documents and Settings\<User Name>\Start Menu\Programs\Startup, where <User Name> is your Windows logon name. Delete the shortcuts of any programs you don't want to run on startup. As with any shortcuts, when you delete them, you're only deleting the shortcut, not the program itself. (You can also clear out the startup items by going to Start [image] Programs [image] Startup and right-clicking on items you want to remove.) Next, clean out your Scheduled Tasks folder. Go to C:\WINDOWS\Tasks, and delete the shortcuts of any programs that you don't want to run automatically on a schedule.

You can bypass all the programs in your Startup folder on an as-needed basis. To stop XP from loading any programs in the Startup folder, hold down the Shift key during boot-up. No programs in the Startup folder will run, but the items will still remain there, so that they will start up as they would normally the next time you boot.

1.5.1.2 Using the System Configuration Utility

Taking the previous steps will stop the obvious programs from running at startup, but it won't kill them all. The best tool for disabling hidden programs that run on startup is the System Configuration Utility, shown in Figure 1-5. To run it, type msconfig at a command prompt and press Enter. (If that doesn't work, first do a search for msconfig.exe, and then when you find the file, double-click it.)

Figure 1-5. The Startup tab of the System Configuration Utility

To stop a program from running at startup, go to the Startup tab in this utility and uncheck the box next to the program. It can sometimes be difficult to understand what programs are listed on the Startup tab. Some, such as America Online, are clearly labeled. But often, you'll see a phrase or collection of letters, such as fs20. That's the name of the running file—in this case, fs20.exe, which is Free Surfer mk II, an excellent free popup killer [Hack #33]. As you can see from the picture, I've chosen to let this useful tool run on startup.

To get more information about a listing, expand the width of the Command column near the top of the Startup tab. Expand it enough and you'll see the startup command that the program issues, including its location, such as C:\Program Files\Free Surfer\fs20.exe. The directory location should be another hint to help you know the name of the program.

When stopping programs from running at startup, it's best to stop them one at a time rather than in groups. You want to make sure that you're not causing any system problems by stopping them. So stop one and restart your PC. If it runs fine, then stop another and restart. Continue doing this until you've cleared all the programs you don't want to run automatically.

Each time you uncheck a box and restart your PC, you'll get a warning, shown in Figure 1-6, that you've used the System Configuration Utility to disable a program from starting automatically. If you don't want to see that warning, disable it by checking the box in the dialog itself.

Figure 1-6. Disabled program warning

After you've used the System Configuration Utility to identify programs that run on startup, you may want to try disabling them from with the programs themselves. So run each program that starts automatically, and see if you can find a setting that allow you to halt it from running on startup.

1.5.1.3 Using the Registry to halt programs running on startup

Even the System Configuration Utility won't necessarily let you identify and kill all programs that run on startup. You may also need to hack the Registry to disable them. To do so, run the Registry Editor [Hack #68] and go to HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run. The right pane will contain a list of some of the programs that automatically run at startup. The Data field tells you the path and name of the executable so that you can determine what each program is. Right-click on any program you don't want to run, and choose Delete. That will kill any programs that run specific to your logon. To kill programs that run for every user of the system, go to HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run and follow the same instructions for deleting other programs you don't want to run at startup.

1.5.2 Disabling Services that Run at Startup

Constantly running in the background of XP are services—processes that help the operating system run, or that provide support to applications. Many of these services launch automatically at startup. While you need many of them, there are also many that aren't required and that can slow your system down when they run in the background.

You can disable services at startup by using the System Configuration Utility, similar to the way that you halt programs from running at startup, except that you use the Services tab instead of the Startup tab. But the System Configuration Utility doesn't necessarily list every service that launches on startup. A bigger problem is that disabling services is more of shot in the dark than disabling programs. When you disable a program, you can get a sense of what the program does. But when you disable a service through the System Configuration Utility, there's often no way to know what it does.

A better way of disabling services at startup is via the Services Computer Management Console, shown in Figure 1-7. Run it by typing services.msc at the command prompt. The Services Computer Management Console includes a description of all services, so that you can know ahead of time whether a particular service is one you want to turn off. It also lets you pause the service, so that you can test out your machine with the service off to see whether it's needed or not.

Figure 1-7. The Services Computer Management Console

After you run the console, click on the Extended tab. This view will show you a description of each service in the left pane when you highlight the service. The Startup Type column shows you which services launch on startup—any services with "Automatic" in that column. Click on that column to sort together all the services that automatically launch on startup. Then highlight each of those services and read the descriptions.

When you find a service you want to disable, right-click on it and choose Properties. In the Properties dialog box that appears, choose Manual from the "Startup type" drop-down list. The service won't start automatically from now on, but you can start it manually via the console. If you want the service disabled so that it can't be run, choose Disabled. To test the effects of turning off the service, turn off any services that you don't want to run by clicking "Stop the service" in the left pane, or by right-clicking on the service and choosing Stop.

Table 1-2 lists some common services you might want to halt from running at startup.

Table 1-2. Services you might want to turn off

Service

What it does

Portable Media Serial Number

Retrieves the serial number of a portable music player attached to your PC.

Task Scheduler

Schedules unattended tasks to be run. If you don't schedule any unattended tasks, turn it off.

Uninterruptible Power Supply

Manages an Uninterruptible Power Supply (UPS) connected to your PC.

Automatic Updates

Automatically checks for Windows updates. (You can check manually by going to http://windowsupdate.microsoft.com.)

Telnet (service available on XP Pro only)

Allows a remote user to log in to your computer and run programs. (This will not be found on all versions of XP Pro.)

Wireless Zero Configuration Service

Automatically configures a WiFi (802.11) network card. Disable this only if you're not using a WiFi network card.


Hack 5 Create Multiple Startup Profiles with Advanced Startup Manager

If you need to start different programs on startup, depending on what you need to do on your PC, create different startup profiles with this startup utility.

With the hacks covered in this chapter, you can customize how XP starts up. But there's one thing these hacks won't be able to do for you—create different startup profiles. For that, you need downloadable software.

Let's say, for example, you have a laptop that you sometimes run attached to a keyboard, monitor, and an always-on Internet connection, and other times you travel with it, so it is not connected to the Internet. When you use it when you travel, you use it primarily in airplanes, airports, and other places where you typically aren't connected to the Internet. You also run a piece of monitoring software that will send a signal to a call center if your laptop is stolen. You don't need to run that software when you're not on the road.

Ideally, you would have one set of programs that run automatically at home and another set of programs that run when you're on the road. At home, you might want instant messenger software and file sharing software to load at startup; on the road, you don't want that software to load automatically, but you do want your monitoring software to load.

Advanced StartUp Manager—a piece of shareware from Ray's Lab (http://www.rayslab.com), shown in Figure 1-8—lets you create multiple startup profiles so that you can have separate profiles for your laptop at home and the road—or for any other purpose. It's free to try, but it costs $19.95 if you decide to keep it.

Figure 1-8. Create multiple startup profiles with Advanced Startup Manager

In addition to creating a profile for traveling and one for home, you may want to create other profiles. For example, when you want to play games, you'll want to start your system with a minimal number of services and programs running in the background, so you'll create a profile that disables a variety of services, such as the Indexing service, the Task Scheduler, and the Themes service that lets you apply themes to your PC. If you frequently need to troubleshoot your network, you'll want to create a network-troubleshooting profile that automatically starts networking analysis software, such as QCheck. [Hack #57].

To create a profile, add all the programs you want to run on startup, by having them start from the Startup folder, the Registry, or the Win.ini file. Where you want them to start from is up to you. To add a program, just highlight where you want it to run from, choose File [image] Add Program, and choose the program's executable file. You can add switches, if you want, in the Flags field of the screen you use to add the program. You can also choose whether the program should run for just one specific user or for all users of the machine. To delete a program from the profile, right-click on it and choose Delete.

When you have built a profile with all the programs you want to run at startup, save it by choosing File [image] Backup Configuration as, and then choosing a name for the profile. Create as many profiles as you want. To load a profile, choose File [image] Open Backup, and choose the profile you want to load. After you've loaded a profile, the next time you start your computer it will load with that startup software. Be aware that this means you can't choose a profile when you boot your system. You have to run Advanced StartUp Manager before you exit XP, choose the profile you want to run next time you start XP, and then exit.

1.6.1 See Also

  • OSL 2000 (http://www.osloader.com) lets you boot from up to 100 separate operating systems (including multiple copies of XP or other versions of Windows), lets you boot from a second hard disk, and offers a variety of other features, such as an automatic boot timer. It's shareware and free to try, but it costs $25 if you decide to continue using it.

  • For software to customize shutdowns, try Shutdown Now! (http://www.dworld.de). It gives you just about every option you can imagine for shutdown. You can specify applications to launch or documents to load automatically before shutdown, schedule shutdowns, perform actions such as ejecting and loading CDs on shutdown, empty directories on shutdown, and the list goes on. It's shareware and free to try, but if you keep using it you're expected to pay $19.50.

  • For a free shutdown manager, try Switch Off (http://yasoft.km.ru/eng/switchoff), a simple shutdown utility that runs in your system tray. It lets you schedule shutdowns and perform other tasks on shutdown, such as locking your workstation, and it also lets you do any of them quickly from the system tray. It's not nearly as powerful as Shutdown Now!, but it's free.


Hack 6 Miscellaneous Startup and Shutdown Hacks

A grab bag of ways to customize the way you start up and shut down your system.

There are many small ways that you can control the way you start up and shut down your PC. This grab bag of four hacks shows you the best of them.

1.7.1 Create One-Click Shutdown and Reboot Shortcuts

Turning off or rebooting XP involves a several-step process: click the Start menu, choose Shut Down, and then select Shut Down or Restart. If you want, however, you can exit or reboot much more quickly, by creating a shortcut that enables one-click shutdowns. You can also use the shortcut to customize the shutdown or reboot—for example, by displaying a specific message or automatically shutting down any programs that are running.

First, create a shortcut on your desktop by right-clicking on the desktop, choosing New, and then choosing Shortcut. The Create Shortcut Wizard appears. In the box asking for the location of the shortcut, type shutdown. After you create the shortcut, double-clicking on it will shut down your PC.

But you can do much more with a shutdown shortcut than merely shut down your PC. You can add any combination of several switches to do extra duty, like this:

shutdown -r -t 01 -c "Rebooting your PC"

Double-clicking on that shortcut will reboot your PC after a one-second delay and display the message "Rebooting your PC." The shutdown command includes a variety of switches you can use to customize it. Table 1-3 lists all of them and describes their use.

I use this technique to create two shutdown shortcuts on my desktop—one for turning off my PC, and one for rebooting. Here are the ones I use:

shutdown -s -t 03 -c "See you later!"
shutdown -r -t 03 -c "You can't get rid of me that quickly!"

Table 1-3. Switches you can use with shutdown

Switch

What it does

-s

Shuts down the PC.

-l

Logs off the current user.

-t nn

Indicates the duration of delay, in seconds, before performing the action.

-c "messagetext"

Displays a message in the System Shutdown window. A maximum of 127 characters can be used. The message must be enclosed in quotation marks.

-f

Forces any running applications to shut down.

-r

Reboots the PC.

1.7.2 Automatically Turn On Num Lock, Scroll Lock, and Caps Lock

When you start your PC, Num Lock, Scroll Lock, and Caps Lock don't automatically toggle on. You can automatically turn each of them on or off whenever your PC starts, for all accounts on the PC. As a practical matter, most people probably want to have only Num Lock automatically turned on, but this Registry hack gives you the power to force any combination of keys on or off. Run the Registry Editor [Hack #68] and go to HKEY_USERS\.Default\Control Panel\Keyboard. Find the String value InitialKeyboardIndicators. By default, it is set to 0, which means that Num Lock, Scroll Lock, and Caps Lock are all turned off. Set it to any of the following values, depending on the combination of keys you want turned on or off:

0

Turns off Num Lock, Caps Lock, and Scroll Lock

1

Turns on Caps Lock

2

Turns on Num Lock

3

Turns on Caps Lock and Num Lock

4

Turns on Scroll Lock

5

Turns on Caps Lock and Scroll Lock

6

Turns on Num Lock and Scroll Lock

7

Turns on Caps Lock, Num Lock, and Scroll Lock

Exit the Registry. When you restart, the new setting will take effect.

1.7.3 Stop Error Messages from Displaying on Startup

If you constantly see an error message that you can't get rid of—for example, from a piece of software that didn't uninstall properly and continues to give errors on startup—you can disable it from displaying on startup. Run the Registry Editor and go to HKEY_LOCAL MACHINE\SYSTEM\CurrentControlSet\Control\Windows. (This key holds a variety of Windows system settings, such as the location of your system directory.) Create a new DWORD called NoPopupsOnBoot and give it a value of 1. Exit the Registry and reboot for the setting to take effect. To disable it, either delete the DWORD value or give it a value of 0.

1.7.4 Give More Time for Processes to Close at Shutdown

When you shut down Windows, XP gives each process, service or application 20 seconds to close before the operating system turns off the computer. If the process, service, or application doesn't shut down within 20 seconds, a dialog box appears, prompting you to either wait 20 more seconds, immediately end the process, service, or application, or cancel shutdown.

If this dialog box appears frequently, you may be running an application, service, or process that often takes more than 20 seconds to close. To solve the problem, you can increase the amount of time that XP waits to display the dialog box so that the dialog box will no longer appear. To do so, run the Registry Editor and go to HKEY_CURRENT_USER\Control Panel\Desktop. Look for the String value WaitToKillAppTimeout. Edit the value by entering the amount of time you want XP to wait before displaying the dialog box, in milliseconds. The default is 20000, or 20 seconds. If you want XP to wait 25 seconds, enter the value of 25000. Exit the Registry and reboot.


Hack 7 Control User Logins by Hacking the Registry

Make better use of the XP login screen.

If there is more than one user account on your system, or if you've set up XP to require logins, you'll have to log in to XP before you can begin to use it. But you needn't stay with the default XP login rules; you can use a single Registry key to customize how you log in. For example, you can display custom text before login, and you can remind anyone with an account on the PC to change their password a certain number of days prior to the password's expiration.

To control logon options, run the Registry Editor [Hack #68] and go to the HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon subkey, which contains a variety of logon settings (as well as some settings not having to do directly with logons). Following are the most important values you can edit to customize logons.

DontDisplayLastUserName

This setting lets you control how the system logon dialog box is used. If this String value is present and set to 1, all users will have to enter both their username and password in order to log on. If the value is 0, the name of the last user to log on will be displayed in the system logon dialog box.

DefaultUserName

This String value contains the name of the last user who logged on. It will be displayed only if the DontDisplayLastUserName value is not present or is set to 0.

LegalNoticeCaption

This String value, used in concert with the LegalNoticeText value, displays a dialog box prior to logon that contains any text you want to display. (The text doesn't have to be a legal notice, but this value is often used for that purpose.) The box has a title and text. The LegalNoticeCaption value will be the dialog box's title.

LegalNoticeText

This String value, used in concert with LegalNoticeCaption, contains the text that you want to be displayed inside a dialog box displayed prior to logon.

PasswordExpiryWarning

This DWORD value lets you display a warning message to users a certain number of days before their passwords are set to expire. It lets you determine how many days ahead of time the warning should be issued. To edit the value, click on the decimal button and enter the number of days.

ShutdownWithoutLogon

This String value enables or disables a button on the XP logon dialog box that lets the system be shutdown. A value of 1 enables the button (so that it is shown); a value of 0 disables the button (so that it is not shown).

Shell

This String value really doesn't have to do with logons, but it's one you should know about. It determines the shell—the user interface—that will be used by XP. The default is Explorer.exe, but it can be another shell as well—for example, the Program Manager from older Windows versions. Type in the name of the program—for example, Progman.exe for Program Manager, or Taskman.exe for the Task Manager.

AutoRestartShell

This DWORD value doesn't have to do with logons either, but it's another good one to know. It sets whether to automatically restart the Windows shell if the shell crashes. A value of 1 automatically restarts the shell. A value of 0 tells XP not to restart the shell, forcing you to log off and then back on again to restart it.

Now that the Startup and Shutdown are under control, let's move on to the user interface, in Chapter 2.


2.1 Hacks #8-20

The Windows XP makeover was the biggest change Microsoft made to the Windows interface since it moved from Windows 3.1 to Windows 95. Rounded-edge windows, large, cartoon-like icons, and a completely redesigned Control Panel are just a few of the most obvious changes. It's not merely the way XP looks that has been changed, but how it works as well. It's based on a more stable kernel and finally gets rid of its DOS-based heritage.

But let's face it: XP's interface isn't perfect. As shipped, its cartoonish user-friendliness may help newbies, but it can frustrate power users. XP's graphical user interface (GUI) need not be one-size-fits-all, though. Under the hood, there are countless changes you can make to the way it looks and functions. In this chapter, you'll learn how to hack your way to a better GUI—one that reflects your own preferences, not the market-driven designs of Microsoft engineers.


Hack 8 Customize the GUI with TweakUI

Want to bend XP's interface to your will without getting your hands into the Registry or having to excavate through menus three levels deep? Then get this supremely useful freebie from Microsoft and create your own customized version of XP.

There are countless ways to customize XP's interface, including Registry hacks and menus and options hidden four layers deep. But if you're the kind of person who lives in the express lane, juices up on double espressos, and wants to hack away at the interface fast, then you need TweakUI (Download it for free from Microsoft at http://www.microsoft.com/windowsxp/pro/downloads/powertoys.asp. It's part of a suite of free, unsupported utilities from Microsoft called XP PowerToys, but it's far and away the best one.) It lets you tweak not only the interface, as the title suggests, but also many other system settings, such as how Internet Explorer's search works, whether to automate your logon upon system startup, and whether to enable CD autoplay so that the CD immediately starts up whenever you pop it into your drive. In this hack, you'll learn how to use it and apply that knowledge to create a speedy, stripped-down version of XP. Figure 2-1 shows TweakUI in action, customizing the display of thumbnail pictures in Windows Explorer.

Figure 2-1. Customizing the size and quality of thumbnails in Windows Explorer

I don't have room to show you all the ways you can hack the user interface with TweakUI, but here are some of the highlights:

  • The General section lets you control XP's animated effects, fades, and shadowing. Also worthwhile in that section is "Show Windows version on desktop." Check the option and it displays, in the lower-right portion of your screen, your exact version of XP—for example, "Windows XP Home Edition Build 2600.xpsp2.021108-1929(Service Pack 1)," as shown in Figure 2-2. I find it useful for knowing whether I need to add XP Service Packs, or for providing the information to tech support if I have an operating system problem that needs to be solved. You'll have to log off or restart your PC before it will display your version.

Figure 2-2. Displaying your exact version and build of XP on your desktop

You can also force the operating system to display your exact version and build of XP on your desktop by using a Registry hack. Run the Registry Editor [Hack #68]. go to HKEY_CURRENT_USER\Control Panel\Desktop, and find the DWORD value PaintDesktopVersion. Change the value to 1. Exit the Registry and reboot. To remove the version and build number, change the value back to 0. In beta versions of XP, the value was turned on by default, but when the product shipped, it was turned off.

  • Hide Desktop icons that apparently can't be deleted from the Desktop, such as the Internet Explorer, Microsoft Outlook, My Computer, My Documents, My Network Places, and the Recycle Bin. To do this, go to the Desktop section and uncheck the boxes next to the icon you want to vanish. You won't have to log off for the changes to take effect. (You can force the Registry to do the same thing: see [Hack #13].)

  • In the Explorer section, customize the Taskbar and Desktop by enabling or disabling balloon tips and determining which programs will be allowed to show up on the Frequently Used Programs list, among other customizations.

  • Customize how Windows Explorer looks and functions by controlling the quality of image thumbnails; changing the way that shortcuts look; determining whether to include Help, Recent Documents, and Logoff on the Start menu; and many similar options.

There's a lot more as well—to find it all, download it and try it all out.

2.2.1 Create a Speedy, Stripped-Down Interface with Tweak UI

While it may be fun to use TweakUI to fiddle with the UI, its real power becomes apparent when you use it to create your own customized XP interfaces. For example, you may be the type who is concerned about only one thing when you use your PC: pure functionality. You want to get your work done fast, and you don't want to be bothered by the extra frou-frous that XP throws in your way and that slow down your system. Here's how to create a speedy, stripped-down interface using TweakUI:

Turn off animations, fades, and similar features

Animations and fades are pretty, but they require system resources and slow down your system. You can turn off a wide variety of these animations and fades from the General section of TweakUI. Uncheck the boxes next to all of them, such as Enable menu animation, Enable menu selection fading, Enable tooltip animation, and the many others listed there.

Speed up right-click menu displays, hovers, and other mouse actions

If you want menus to appear with absolutely no delay when you right-click on an object or icon, go to the Mouse section and move the Menu speed slider all the way to the left. Test how fast the menus will display by right-clicking on the test icon. From this section, you can also increase your mouse sensitivity so that it responds more quickly to your clicks and drags. In the Mouse sensitivity section, decrease the numbers next to Double-Click and Drag, and see the results by double-clicking the test icon.

The Mouse section also lets you change the mouse's sensitivity to "hovering"—for example, displaying a tool tip when you hover your mouse over an icon. To speed up the hover display, highlight Hover underneath the Mouse section, then decrease the numbers next to Hover sensitivity and Hover time. Test out your settings using the test icon.

Decrease the image quality of thumbnails in Windows Explorer

Windows Explorer uses up RAM when it displays thumbnails, which can slow down your system, because the RAM could instead be used for your applications or the operating system itself. Use TweakUI to give thumbnails the minimum amount of RAM only. Go to the Explorer\Thumbnails section and in the Image Quality area, move the slider all the way to the left, to the lowest setting for image quality. Decrease the thumbnail size, in pixels.

You can also completely turn off thumbnails so that they aren't displayed in Windows Explorer. From Windows Explorer, choose View [image] Details, or choose View [image] List.

Delete unnecessary desktop icons

Desktop icons take up RAM, and clutter your interface, so you want as few of them as possible on your desktop if you want a stripped-down version of XP. You can delete most desktop icons, but some of them such as Outlook and Internet Explorer apparently can't be deleted. However, TweakUI lets you delete them. Go to the Desktop section and uncheck the boxes next to the icons that you want off the Desktop, as shown in Figure 2-3. (You can force the Registry to do the same thing—see [Hack #13].)

Hide Control Panel applets

The Control Panel is filled with applets that you will rarely, if ever, use, and they clutter up the interface, making it more difficult to find the applets you do want to use. To hide applets, go to the Control Panel section and uncheck the boxes next to the applets that you want to hide. (You can force the Registry to do the same thing—see [Hack #9]. That hack also shows you how you can run the applets, even after you've removed their icons.)

Clean up the right-click "New" menu

When you right-click on the desktop and choose New, you can automatically create a new document by choosing from a submenu. That submenu may offer many choices of which document types to create, depending on the applications you have installed on your PC, and how those applications handle their installation process. In many instances, those choices may be little more than clutter, because you may rarely need to create new documents of certain types. Strip down that submenu to the essentials, so that it has only those document types that you frequently create. Choose Templates, and uncheck the boxes next to the document types you rarely create. For example, most people rarely use the Briefcase [Hack #30], but that is one of your choices, so remove that unless you regularly move files using it. (For a hack on how to add power to the right-click context menu in Explorer, see [Hack #29].

Enable autologon

If you're the primary person who uses your PC, you can enable autologon so that you're logged in automatically when the system starts and don't have to log on manually each time. Choose Autologon from the Logon section, check the box next to "Log on automatically at system startup," and make sure that your username, domain, and password are correct.


Hack 9 Control the Control Panel

Whether you're a fan of the new Control Panel or not, there's a lot you can do to make it more palatable—like hiding applets you never use, re-categorizing the ones you do use, and displaying all applets in a simple-to-use cascading menu.

When I first started using XP, one of the things that annoyed me most was its new Control Panel. Yes, the big new icons for running applets are certainly pretty, but the Control Panel's several-layer organization forces you to click far too many times in order to get to the applet that you want. And its clutter of applets that I rarely if ever use make it even more difficult and confusing.

My first reaction was to click on the Switch to Classic View button, to do away with the new design, but the Classic View has its problems as well: its long, alphabetized list of thumbnails is just as difficult to navigate as the new Control Panel.

The solution? Start by cleaning up the Control Panel, hiding applets that you rarely if ever use. Note that when you hide the applets, you can still use them; you just won't see their icons in the Control Panel.

In this hack, you'll not only find out ways that you can control the Control Panel—you'll also see how you can apply that knowledge to create different customized Control Panels.

2.3.1 Hide Unused Applets with the Registry

To hide unused applets using the Registry, run the Registry Editor [Hack #68] and go to HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Control Panel\don't load.

The key, as its name implies, determines which Control Panel applet icons are not loaded into the Control Panel. You'll still be able to run those applets from the command line after you hide them (as explained later in this hack); you just won't be able to see their icons in the Control Panel.

To hide an applet, create a new String value whose name is the filename of the applet that you want to hide. For example, to hide the Mouse Control dialog box, the String value would be main.cpl. See Table 2-1 for a list of Control Panel applets and their filenames.

Table 2-1. Control Panel applets and their filenames

Applet

Filename

System Properties

sysdm.cpl

Display Properties

desk.cpl

Network Connections

ncpa.cpl

Accessibility Options

access.cpl

Add or remove programs

appwiz.cpl

Add Hardware Wizard

hdwwiz.cpl

Internet Properties

Inetcpl.cpl

Region and Language Options

intl.cpl

Game Controllers

joy.cpl

Mouse Properties

main.cpl

Sound and Audio Devices

mmsys.cpl

User Accounts

nusrmgr.cpl

ODBC Data Source Administrator

odbccp32.cpl

Power Options Properties

Powercfg.cpl

Phone and Modem Options

telephon.cpl

Time and Date Properties

timedate.cpl

Speech Properties

sapi.cpl

Create separate String values for each applet you want to hide, then exit the Registry. The applets will vanish from the Control Panel. To make hidden applets appear again, delete its string value from this same registry key.

2.3.2 Hide Unused Applets with XP Pro's Group Policy Editor

If you have XP Professional, you don't need to get your hands dirty with the Registry to hide unused applets; you can instead use XP Professional's exceedingly useful Group Policy Editor to accomplish the same task. The Group Policy Editor is primarily used for setting network and multiuser policies and rights, but it can also be used to customize the way that XP looks and works. (For example, to use it to hack away at the Start Menu and Taskbar, see [Hack #10].) Run the Group Policy Editor by typing gpedit.msc at the Run prompt or command line.

Once you've run it, go to User Configuration\Administrative Templates\Control Panel, the section that handles the Control Panel. As you can see when you get there, you can do a lot more than hide the Control Panel's unused applets in this section of the Group Policy Editor; you can also control many other aspects of how the Control Panel looks and functions.

Now right-click on "Show only specified Control Panel applets," and choose Properties. You'll see the screen pictured in Figure 2-3.

Figure 2-3. Disabling Control Panel applets in the Group Policy Editor

Get ready for a bit of counterintuitive selecting. To disable Control Panel applets, you must choose the Enabled radio button, because you're enabling the feature to show only certain Control Panel applets. Strange, but true.

When you do this, you'll hide all applets in the Control Panel, which is a bit draconian. If you don't want to see any applets at all for some odd reason, you're now done; just click OK. But you'll most likely want to show some applets, so to add them, click the Show button. The Show Contents screen appears. Click Add, and you're ready to list all the Control Panel applets that you want to appear. For each item that you want to appear, type in its Control Panel filename, which you can find in Table 2-1. For example, if you want the Date and Time dialog box to appear, type in timedate.cpl.

You can also use TweakUI [Hack #8] to hide Control Panel applets.

When you've listed all the Control Panel applets that you want to appear, click OK and exit the Group Policy Editor. Only the applets that you've chosen to display will now appear in the Control Panel.

This technique is most useful when you're hiding most applets in the Control Panel and want to display only a few. There's another way to use the Group Policy Editor to hide applets, and it's better suited for when you want to hide only a few applets. In User Configuration\Administrative Templates\Control Panel, double-click on "Hide specified Control Panel applets" and choose Enabled. After you click on Enabled, choose Show [image] Add and type in its Control Panel filename (which you can find in Table 2-1) for each applet that you want to hide. Click OK on each dialog box that appears. When you exit the Group Policy Editor, the specified applets will no longer appear in the Control Panel.

To customize other aspects of how the Control Panel works, follow the same instructions as outlined previously—right-clicking on the item you want to change, choosing Properties, and then picking your options.

How to Run Hidden Applets

Hiding applets cleans up the Control Panel, but leaves you with another problem—what to do if you need to run an applet whose icon you've hidden? It's simple to do. At the Run box or command line, type in the name of the applet you want to run—such as Inetcpl.cpl for the Internet Properties applets and press Enter. See Table 2-1 for a list of filenames.

2.3.3 Recategorize Control Panel Applets

Hiding applets goes only partway toward cleaning up the Control Panel. You can also recategorize applets and put them in any category you want. For example, by default, the Mouse Properties applet can be found in the Printers and Other Hardware category, but if you'd prefer that it instead be found in Accessibility Options, you can move it there.

To put any applet into any category you want, you need two pieces of information: the filename of the applet (for example, main.cpl for the Mouse Properties dialog box), and the Registry value for each Control Panel category (for example, 0x00000007 (7) for Accessibility Options.) For filenames of each applet, see Table 2-1. For the Registry value for each Control Panel category, see Table 2-2. With these two pieces of information in hand, you can recategorize any or all Control Panel applets.

Table 2-2. Control Panel categories and their Registry value data

Control panel category

Value data

Accessibility Options

0x00000007 (7)

Add or Remove Programs

0x00000008 (8)

Appearance and Themes

0x00000001 (1)

Date, Time, Language and Regional Options

0x00000006 (6)

Network and Internet Connections

0x00000003 (3)

Other Control Panel Options

0x00000000 (0)

Performance and Maintenance

0x00000005 (5)

Printers and Other Hardware

0x00000002 (2)

Sounds, Speech, and Audio Devices

0x00000004 (4)

User Accounts

0x00000009 (9)

No category

0xffffffff

To recategorize a Control Panel applet, run the Registry Editor [Hack #68] and go to HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Control Panel\Extended Properties\{305CA226-D286-468e-B848-2B2E8E697B74}2. The key {305CA226-D286-468e-B848-2B2E8E697B74}2 is the container that holds all Control Panel categories. (Remember that it's safest to back up your Registry first [Hack #71].

Now find the Registry key of the applet that you want to recategorize. The filename of the applet will appear on the end of the key; for example, %SystemRoot%\system32\main.cpl is the Mouse Properties dialog box. Turn to trusty Table 2-1 for a list of other filenames for Control Panel applets.

Change the key's DWORD value to the value of the Control Panel category into which you want the applet to appear, as detailed in Table 2-2. For example, if you want the applet to appear in the Performance and Maintenance category, give it a value of 5. The value will then be displayed in the Registry as 0x00000005(5).

When you're done, exit the Registry. The applet will now appear in the new category.

2.3.4 Display Control Panel Applets in a Cascading Menu

If you're a "just the facts ma'am" type, then you'll want to bypass the Control Panel altogether. Rather than clicking on effete icons, you can instead force XP to display Control Panel applets in a cascading menu when you choose Control Panel from the Start button, as shown in Figure 2-4.

Figure 2-4. Turning the Control Panel into a cascading menu for quick access to applets

To force the Control Panel to display as a cascading menu, right-click on the Taskbar and choose Properties [image] Start Menu. Click the Customize button and choose the Advanced tab. In the Control Panel heading, choose "Display as a menu." Press OK twice.

2.3.5 Build Customized Control Panels

Armed with all this Control Panel hackery, you can build customized Control Panels. For example, you can build a Control Panel for computer newbies, which would hide the more technical applets and categories. Hide the applets in the Network and Internet Connections category, the Performance and Maintenance category, and the Sounds, Speech, and Audio Devices category—that way, newbies can't get into trouble by making changes that will affect the system in unexpected ways.

For system administrators, group all system-type applets into a single category, such as Network and Internet Connections. You'd probably want to keep all the existing applets there, but also add the Administrative Tools, Scheduled Tasks, and System applets to it, as well as the Printers and Faxes applet. (If the administrator has to handle other hardware, such as scanners, add the Scanners and Cameras applet as well.)

For those who like to hack their systems and want instant, stripped-down access to customization tools, take all the applets that are now in Network and Internet Connections, and all those in Performance and Maintenance, and group them into the Appearance and Themes category. Then force the Control Panel to display as a cascading menu, and all of the hackery-type applets will be available instantly, because the Appearance and Themes category is at the top of the cascading menu and all the relevant applets will be available directly from it.


Hack 10 Hack the Start Menu and Taskbar

XP Professional's Group Policy Editor gives you instant access to changing more than three dozen interface settings. Here's how to use it to create your own personalized Start Menu and Taskbar.

XP Professional's Group Policy Editor does more than just customize the Control Panel [Hack #9]; it gives you control over many aspects of XP's interface as well—in particular, the Start Menu and Taskbar. In fact, it gives you quick access to over three dozen separate settings for them.

Run the Group Policy Editor by typing gpedit.msc at the Run prompt or command line. Go to User Configuration\Administrative Templates\Start Menu and Taskbar. As you can see in Figure 2-5, the right pane displays all the settings you can change. If you click on the Extended tab at the bottom of the screen, you'll be shown a description of the setting that you've highlighted, along with an explanation of each of the options. Settings you can customize include showing the My Pictures icon, the Run menu, and the My Music icon on the Start Menu; locking the Taskbar so that it can't be customized; and many others. To change a setting, double-click on it and choose the options from the menu it displays, as outlined in [Hack #9].

Figure 2-5. Customizing the Start Menu and Taskbar in the group policy editor

There's not room in this hack to go into detail about each of the settings you can change, so I'll tell you about some of my favorites. I've never been a big fan of My Documents, My Pictures, and My Music. In fact, I never use those folders, so there's no point having them on the Start Menu. The settings in the Group Policy Editor let you get rid of them.

If you share your PC with other people, the Group Policy Editor is a great way to make sure that no one can change the Start Menu and Taskbar except you. So when you have the Start Menu and Taskbar working the way you like, they'll stay that way until you want to change them. Enable "Prevent changes to Taskbar and Start Menu Settings," and no one will be able to change their settings except you. Select "Remove Drag-and-drop context menus on the Start Menu," and no one except you will be able to remove or reorder items on the Start Menu. You can even stop anyone else from shutting down Windows by selecting "Remove and prevent access to the Shut Down command." (Of course, they can still shut down your PC the old-fashioned way: using the power switch.)

Among the many entries here are a lot of pointless ones, by the way. You can remove the Log Off entry on the Start Menu, for example, which certainly isn't high on my list of must-haves. But who knows, you may want to do that or any of the many other changes the Group Policy Editor allows. Go in there yourself and muck around; you'll find plenty to change.

2.4.1 Hack the Taskbar with TweakUI

TweakUI [Hack #8] can be used to hack the Taskbar to a limited degree. Go to its Taskbar section, and you can disable or enable balloon tips, and enable or disable warnings when you're low on disk space. Underneath the Taskbar section, you'll find a Grouping subsection that controls how Taskbar "grouping" works. When you run too many programs with too many files open, all can't fit individually on the Taskbar. So, XP groups files from the same application with each other. For example, if you have four Word files open, it shows only a single icon for Word on the Taskbar, with the number 4 inside it. Click on the icon, and a list of all four files pops up. You can then choose which to open. TweakUI lets you control how that grouping works; you can decide whether to first group applications with the most windows, or instead first group applications that you use the least. You can also choose to group all applications with two or more windows open, three or more windows open, and so on.


Hack 11 Clean Up the Most Frequently Used Programs List

Make this infrequently used tool useful. Ban programs from the Most Frequently Used Programs List, change the number of programs on the list, or do away with it altogether to make more room for the Pinned Programs List.

Windows keeps track of programs you use frequently and puts them on the Most Frequently Used Programs List, which appears on the new Windows XP-style Start Menu (not the Classic-style Start Menu) between the Pinned Items List at the top and the All Programs link at the bottom. The Most Frequently Used Programs List is a quick way to access programs you use often. But the rules for when programs appear on that list and disappear from the list are murky at best, and there appears to be no logic to what programs appear there.

There is some hidden logic, however. XP bans a variety of programs from the list. If any of the following words or phrases are included in the program's shortcut name, the program will be excluded from the list: Documentation, Help, Install, More Info, Readme, Read me, Read First, Setup, Support, What's New.

Additionally, the following executables are excluded from the list: Setup.exe, Install.exe, Isuninst.exe, Unwise.exe, Unwise32.exe, St5unst.exe, Rundll32.exe, Explorer.exe, Icwconn1.exe, Inoculan.exe, Mobsync.exe, Navwnt.exe, Realmon.exe, and Sndvol32.exe.

2.5.1 Banning Programs from the List

There may be other programs you'd like to ban from the list, not just those that XP bans by default. Just because you use a program a time or two doesn't mean that you want it in on the Start Menu's Most Frequently Used Programs List. You can ban programs from the list using a Registry hack.

Run the Registry Editor [Hack #68] and go to HKEY_CLASSES_ROOT\Applications. Underneath this key, you'll find a series of subkeys, each of which represents an application. The primary purpose of these subkeys, as you'll see later in this hack, is to determine whether the program appears on the Open With dialog box that appears whenever you try to open an unknown file type. But you can also add a value to any of the subkeys which will ban programs from appearing on the Most Frequently Used Programs List.

Look for a subkey that is the executable name of the application that you want to ban from the list—for example, visio.exe for the Visio business illustration program. Once you find the application's subkey, create a new String value for that subkey, named NoStartPage. Leave the value blank. Exit the Registry. You may have to reboot in order for the setting to take effect and the program to be banned from the list.

2.5.1.1 Another use for HKEY_CLASSES_ROOT\Applications

While you're rooting around in HKEY_CLASSES_ROOT\Applications, you may want to hack the Open With dialog box (shown in Figure 2-6) that appears whenever you try to open an unknown file type. Each application's subkey in HKEY_CLASSES_ROOT\Applications controls whether that particular application will show up on the dialog box.

Figure 2-6. Hacking the Open With dialog box

If you want to ban a particular program from the Open With dialog box, look for the application's subkey underneath HKEY_CLASSES_ROOT\Applications, add a String value named NoOpenWith, and leave the value blank.

2.5.1.2 Ban programs from the Most Frequently Used Programs List with TweakUI

If you don't want to muck around in the Registry, you can ban programs from the Most Frequently Used Programs list using TweakUI. (To learn how to download, use and run TweakUI [Hack #8]. Run TweakUI, and choose Taskbar [image] XP Start Menu. You'll see the screen shown in Figure 2-7, with a list of programs and checks next to most or all of them.

Figure 2-7. Using TweakUI to ban programs from the Most Frequently Used Programs List

Each program with a check next to it will be allowed to appear on the Most Frequently Used Programs List. To stop a program from appearing on the list, uncheck the box and click OK.

2.5.2 Change the Number of Programs that Appear on the List

By default, the Most Frequently Used Programs List has room for six programs, but you can change that default and have more or fewer programs appear. Right-click on the Start button and choose Properties [image] Customize [image] General. The Customize Start Menu dialog box, shown in Figure 2-8, appears. To customize the number of programs to include on the list, edit the "Number of programs on Start menu" box. You can choose any number between 0 and 30. Be aware, though, that depending on your screen resolution and whether you're using large or small icons, the entire list might not appear if you choose a large number. No matter how high your resolution is, for example, don't expect there to be room for 30 programs.

Figure 2-8. Customizing the number of programs on the Most Frequently Used Programs List

2.5.3 Make Room for the Pinned Programs List

The Pinned Programs List, just above the Most Frequently Used Programs List on the XP-style Start Menu, gives you instant access to any program you want. You, rather than the operating system, decide what programs go there. To add a program to it, drag the program's icon or filename to the Start Menu, and when the menu pops up, drag it to the spot on the list where you want it to appear.

This list makes a lot more sense than the Most Frequently Used Programs list: after all, you know better than XP what programs you want within easy reach. So, do what I do: kill the Most Frequently Used Programs List as a way to make more room for the Pinned Programs List. When you kill the Most Frequently Used Programs List, there will be a big blank space between the Pinned Programs List and the All Programs button. Drag programs to fill that space; the shortcuts will stay there until you delete them.

You can kill the Most Frequently Used Programs List with a Registry hack. Run the Registry Editor [Hack #68] and go to HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer. Create a new DWORD called NoStartMenuMFUprogramsList and give it a value of 1. You'll have to reboot or log off and back on for the setting to take effect. When it does, the nice big blank space will be left for you to fill with pinned programs.


Hack 12 Rename and Change "Unchangeable" Desktop Icons and System Objects

To create the perfect XP interface, you want to be able to give every desktop icon and system object the name and icon of your choice. Here's how to do it—even to objects that appear to be unchangeable.

Interface hackers (myself included) are a details-oriented bunch. We want to be able to control every part of the interface so that it reflects our personality. That means being able to choose our own icons for desktop items and system objects, give new names to system objects, and create our own balloon tips—for example, adding a balloon tip to the Recycle Bin saying "Take Out the Trash!"

But it's not as simple as you might think. Microsoft has a way of protecting its own. For example, it won't let you change the text and balloon tips associated with a variety of system objects, such as the Recycle Bin, Outlook, Internet Explorer, My Computer, and My Network Places.

You can normally change both the name and the balloon text (text that appears when you hover your mouse over the icon) of all the icons on your desktop, but you can't change these. Normally, to change the name and balloon text of an icon, you first right-click on the icon and choose Properties. To change the name of the icon, you choose the General tab and, in the box at the top, type in the name that you want to appear beneath the icon.

Then, to change the balloon text, you click on the Shortcut tab and in the Comment box type in the text that you want to appear. When you're ready to make the change, click OK. The icon name and balloon text should now be changed.

But when you try to do this for system objects such as Outlook, Internet Explorer, My Computer, and Network Neighborhood, it won't work. The proper options don't appear when you right-click on them and choose Properties.

There are ways, however, to change them in any way that you want, so that you can create your own personalized XP interface.

2.6.1 The Registry to the Rescue

The Registry is your best tool for personalizing XP. It will let you change both the text and balloon tip associated with system objects. First, you need to know the object's class ID (CLSID), which uniquely identifies each system object. Table 2-3 lists the CLSIDs for common desktop objects.

Table 2-3. CLSIDs for desktop objects

Desktop object

CLSID

My Computer

{20D04FE0-3AEA-1069-A2D8-08002B30309D}

Recycle Bin

{645FF040-5081-101B-9F08-00AA002F954E}

Microsoft Outlook

{00020D75-0000-0000-C000-000000000046}

Internet Explorer

{FBF23B42-E3F0-101B-8488-00AA003E56F8}

The Internet

{3DC7A020-0ACD-11CF-A9BB-00AA004AE837}

My Network Places

{208D2C60-3AEA-1069-A2D7-08002B30309D}

Briefcase

{85BBD920-42A0-1069-A2E4-08002B30309D}

Dial-Up Networking

{992CFFA0-F557-101A-88EC-00DD010CCC48}

Armed with the proper CLSID, it's easy to change the name and balloon text of system objects. First, use Table 2-3 to find the CLSID for the object whose name or balloon text you want to change. Then run the Registry Editor [Hack #68] and go to HKEY_CLASSES_ROOT\CLSID, a key that lets you change characteristics of system objects, and highlight the CLSID whose name or balloon text you want to change. For example, for My Computer, highlight the subkey HKEY_CLASSES_ROOT\CLSID\{20D04FE0-3AEA-1069-A2D8-08002B30309D}. Keep in mind that HKEY_CLASSES_ROOT\CLSID has many CLSIDs listed under it, so it might take you a while to find the proper subkey.

Once you find the right subkey, if you want to edit the name of the object, open the Default value and type in the text that you want to appear underneath the object. If you want to edit the balloon text for the object, open the InfoTip value and type in the text that you want to appear as balloon text. Once you're done, exit the Registry and reboot.

You may also be able to force the changes to take effect without rebooting. After you exit the Registry, go to your Desktop and press F5 to refresh the screen. The new names and balloon tips might now appear.

2.6.2 Change the Desktop Icons of System Objects

You can hack objects besides names and balloon with this method. You can also change the desktop icons of system objects that appear to have unchangeable icons.

First, using Table 2-3, find the CLSID for the object whose icon you want to change. Then run the Registry Editor, go to HKEY_CLASSES_ROOT\CLSID, and look for the CLSID subkey from Table 2-3 for the object whose icon you want to change. Open the subkey and then the DefaultIcon subkey under that. For example, to change the icon for My Computer, open the subkey HKEY_CLASSES_ROOT\CLSID\{20D04FE0-3AEA-1069-A2D8-08002B30309D}\DefaultIcon. Change the Default value to the path of the icon that you want displayed. Exit the Registry. You may have to reboot in order for the new settings to take effect.

Some people aren't able to change their icons using this method. Instead of editing HKEY_CLASSES_ROOT\CLSID, they have to edit HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\CLSID\, and that does the trick.


Hack 13 Remove "Unremovable" Desktop Icons

To create your own customized XP interface, you need to be able to remove certain desktop icons. A Registry hack lets you remove any you want, including those apparently protected by XP.

Creating the perfect, customized XP interface doesn't only mean changing icons; it also means removing them. For example, many power users look down their nose at America Online, and yet, on many systems, that icon can't be removed easily.

America Online isn't the only icon protected this way; many others are as well. Which desktop icons are protected on your system will depend on your exact version of XP (for example, SP-1) and the manufacturer of your PC. The Recycle Bin is protected on all versions, but the America Online icon is protected on some systems, and not on others.

To customize XP to your liking, you'll want to be able to delete these protected icons. To do so, you'll need a Registry hack. Run the Registry Editor [Hack #68] and go to HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Desktop\NameSpace. Here's where you'll find various special desktop icons. They're not listed by name, but instead by CLSID—for example, {645FF040-5081-101B-9F08-00AA002F954E} for the Recycle Bin. Table 2-3 in [Hack #12] lists CLSIDs of common desktop objects, so use it to find the CLSID of the icon you want to delete.

To remove an icon from the desktop, simply delete the key of the icon—for example, {645FF040-5081-101B-9F08-00AA002F954E} for the Recycle Bin. Then exit the Registry, go to your Desktop, and press F5 to refresh the screen. The Recycle Bin icon should now be gone.

On some systems, the icons may not be deleted immediately. Instead, after making the Registry change, you might have to right-click on the icon and choose Delete.

Some CLSIDs in HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Desktop\NameSpace can be deleted from the desktop without having to go through this procedure, but when you try to delete them they may give you a special warning message. For example, when you try to delete Microsoft Outlook from the Desktop, you get the warning message "The Outlook Desktop icon provides special functionality and we recommend that you do not remove it." If you'd like, you can edit that message to display whatever you want. In the CLSID's subkey—for example, {00020D75-0000-0000-C000-000000000046} for Microsoft Outlook—you'll find the value Removal Message. Edit this value to whatever text you want, and your warning message will appear whenever someone tries to delete the icon.

Keep in mind that when you remove desktop icons you're removing only icons, not the underlying feature or program. So, the Recycle Bin still works even if you remove its icon. To open the Recycle Bin, go to C:\RECYCLER and open the folder inside it. To restore an item that's been deleted, right-click on it and choose Properties [image] Restore. Delete items as you would any other item.

Some manufacturers make America Online an unremovable desktop icon. If that's the case with your PC and you want to remove it, delete the CLSID {955B7B84-5308-419c-8ED8-0B9CA3C56985}. America Online will still work, but its icon will no longer be on the desktop.


Hack 16 Hacking Your Way Through the Interface

Use Registry hacks to make a grab-bag of great interface changes.

Hidden in the mazes of the Registry are countless ways to hack XP's interface. Here are some of my favorites.

2.10.1 Hide All Icons in the Notification Area

The System Tray, also called the Notification Area, is the small area on the far-right side of the Taskbar, in which utilities and programs that run in the background, such as antivirus software, show their icons.

I don't find it a particularly intelligent use of screen real estate, so I'd prefer not to see the icons there. To hide them, run the Registry Editor [Hack #68] and go to HKEY_CURRENT_USER/Software/Microsoft/Windows/CurrentVersion/Policies/Explorer. Among other things, this key controls the display of objects throughout XP. Create a new DWORD called NoTrayItemsDisplay. Assign it a value of 1. (A value of 0 will keep the icons displayed.) Exit the Registry and reboot.

While you're at the HKEY_CURRENT_USER/Software/Microsoft/Windows/CurrentVersion/Policies/Explorer key, you can also delete the My Recent Documents icon on the Start menu. Create a new DWORD called NoRecentDocsMenu. Assign it a value of 1. (A value of 0 will keep the icon displayed.) Exit the Registry and reboot.

2.10.2 Hide Only Certain Icons in the Notification Area

You might like to display some icons in the notification area but hide others. If so, you can hide icons on a case-by-case basis. You'll do it by delving through menus, though, not by hacking the Registry. Right-click on the Taskbar and choose Properties [image] Taskbar. The Taskbar and Start Menu Properties dialog box appears. This dialog box, as the name implies, lets you control how the Taskbar and Start Menu look and function.

In the Notification area of the dialog box, check the box next to "Hide inactive icons," then click Customize. The Customize Notifications dialog box appears, as shown in Figure 2-15.

Figure 2-15. Hiding inactive icons

Click on the program's listing in the Behavior column, and choose from the drop-down menu to hide the icon when the program is inactive, always hide it, or never hide it. Click OK twice. Your changes will take immediate effect.

2.10.3 Add Specific Folders to the Open Dialog Box

When you use certain Windows applications (such as Notepad) to open a file, on the left side of the Open dialog box are a group of icons and folders (such as My Documents, My Recent Documents, Desktop, My Computer, and My Network) to which you can navigate to open files.

Good idea, bad implementation. Do you really keep documents in My Computer? Unlikely, at best. It would be much more helpful if you could list only those folders that you use, and if you could choose to put any folder there, not just ones XP decides you need.

In fact, you can do it, with a Registry hack. It'll let you put just the folders of your choosing on the left side of the Open dialog box. Note that when you do this, it will affect XP applications such as Notepad and Paint that use the Open and Save common dialog boxes. However, it won't affect Microsoft Office applications and other applications that don't use the common dialog boxes.

If you want to change the dialog "frequently used" folders for Microsoft Word, try Woody Leonhard's Place Bar Customizer, one of many useful utilities from http://www.wopr.com.

Run the Registry Editor and go to HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\comdlg32. This is the key that determines how common dialog boxes are handled. You're going to create a subkey that will create a customized location for the folders, and then give that subkey a series of values, each of which will define a folder location.

To start, create a new subkey underneath HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\comdlg32 called Placesbar, and create a String value for it named Place0. Give Place0 a value of the topmost folder that you want to appear on the Open dialog box—e.g., C:\Projects.

Next, create another String value for Placesbar called Place1. Give it a value of the second folder that you want to appear on the Open dialog box. You can put up to five icons on the Open dialog box, so create new String values up to Place4 and give them values as outlined in the previous steps. When you're done, exit the Registry. You won't have to reboot for the changes to take effect. Figure 2-16 shows an example of an Open dialog box customized this way.

Figure 2-16. A customized Open dialog box

If you want no folders to appear in common open dialog boxes, you can do that as well. In HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\comdlg32 create a new DWORD value called NoPlacesBar and give it a value of 1. Exit the Registry. If you want the folders back, either delete NoPlacesBar or give it a value of 0.

2.10.4 Turn Off System Beeps

To me, system beeps that my PC makes when it encounters certain system errors are like balloon tips—gnat-like annoyances that I can do without. So I turn them off using a Registry hack. Run the Registry Editor, go to HKEY_CURRENT_USER\Control Panel\Sound, and find the Beep and ExtendedSounds String values. Set each value to No. Exit the Registry and reboot. The beeps will no longer sound.

2.10.5 Use Your Own Graphic for Your User Account

This one isn't a Registry hack, but I couldn't resist putting it in here since it's one of the more useful ways to customize the interface. The Windows XP graphic for your user account on the Start Menu may not be to your taste, and your choice of other graphics to display there isn't particularly inspiring, either. After all, not everyone wants to be pictured as a rubber ducky, a snowflake, or a pair of horses.

But you're not limited to XP-supplied pictures for your user account: you can use any picture in .gif, .jpg, .png, or .bmp format. In this hack, I'll show you how to use your own picture.

To change your User Account picture to any one that you want, from Control Panel choose User Accounts, then pick the account you want to change and choose "Change my picture" [image] "Browse for more pictures." Navigate to the picture you want to use and click on OK. Figure 2-17 shows the screen you'll use to change your picture; it also shows the customized User Account picture I use during the winter holiday season.

Figure 2-17. Changing your User Account picture

If you have a digital camera or scanner attached to your PC, a button will show up on the screen shown in Figure 2-17 that lets you take a picture with the camera, or scan a picture with the scanner, and then immediately use that picture for your user account.

For those interested in saving keystrokes, there's a quicker way to get to the screen letting you customize your picture. From the Windows XP-style Start menu, click on your picture, and the screen appears.


Hack 17 Remove "Uninstallable" XP Utilities

Think you can't uninstall Windows Messenger, WordPad and similar components? Think again. This hack shows you how.

Windows has always had a problem with uninstalling software, and it's particularly poor at uninstalling its own utilities, such as WordPad or Windows Messenger. Uninstalling these utilities can free up hard disk space if your hard disk is starting to fill up. And if you never use Windows Messenger, you most likely will want to uninstall it, because the program frequently launches itself automatically even after you've shut it down repeatedly, kind of like Dracula returning from the dead. It won't bother you any longer if you uninstall it.

To remove XP utilities and components, you normally choose Control Panel [image] Add or Remove Programs [image] Add/Remove Windows Components to get to the Windows Component Wizard, shown in Figure 2-18. To uninstall a utility or component, just follow the wizard's instructions.

Figure 2-18. The Windows Component Wizard

Ah, but there's a catch. A number of Windows utilities and components—notably Windows Messenger and WordPad—don't show in the Windows Component Wizard, so there's no apparent way to uninstall them. But you can, in fact, remove these components. XP has a Setup Information file that controls what appears in the Windows Component Wizard. If you edit this file, you can force these components to appear in the Wizard, and you can then remove them as you would any others.

To start, use Notepad or another text editor to open the Setup Information file, sysoc.inf, which is generally found in the C:\WINDOWS\INF folder. For safety's sake, make a backup of the file before editing it, so you can revert to it if you need to. You should also set up a System Restore point before making the changes. To set up a System Restore point, choose Control Panel [image] Performance and Maintenance [image] System Restore and then follow the instructions.

C:\WINDOWS\INF is a hidden folder, so if you want to view its contents, you will have to enable hidden folders by going into Windows Explorer and choosing Tools [image] Folder Options [image] View and choosing Show Hidden Files and Folders.

When you open the file, look for the line describing the program you want to uninstall. Lines in the file have the format:

program=program.dll,OcEntry,program.inf,,numeral

Programs that are uninstallable all have the word hide (or HIDE) embedded in the string. When this word is included in the string, the program won't show up in the Windows Component Wizard. The Pinball game entry, which doesn't show up in the wizard, looks like this:

Pinball=ocgen.dll,OcEntry,pinball.inf,HIDE,7

To force it to show up in the wizard, remove the word hide from the entry that refers to the component that you want to remove. For example, if you want to remove Pinball, edit its entry to this:

Pinball=ocgen.dll,OcEntry,pinball.inf,,7

Save the sysoc.inf file, then run the Windows Component Wizard. The component will now show up in the wizard. Remove it as you would any other component.

Keep in mind that not all of the entries in sysoc.inf are as easy to understand as Pinball and WordPad. For example, if you want to remove Windows Messenger, look for the entry that starts with the text msmsgs. If you want to remove the Accessibility Wizard, look for the entry for AccessOpt. Table 2-4 lists the "uninstallable" programs their entries in the sysoc.inf file.

Table 2-4. "Uninstallable" programs and their sysoc.inf entries

Entry

What entry refers to

AccessOpt

Accessibility Wizard

MultiM

Multimedia components, including Media Player, Volume Control, and Sound Recorder

CommApps

Communications components, including Chat, Hyperterminal, and Phone Dialer

AutoUpdate

Windows Automatic Update

TerminalServer

Terminal Server

dtc

Distributed Transaction Coordinator

dom

COM+

WBEM

Windows Management Instrumentation

Pinball

Pinball game

MSWordPad

WordPad

msmsgs

Windows Messenger

You may run into a few gotchas when trying to remove "uninstallable" components. On some systems, you simply won't be able to remove Windows Messenger, because Windows Messenger won't show up on the Windows Component Wizard even after you edit the sysoc.inf file. And some components, such as Terminal Server, will show up in the wizard if you edit the sysoc.inf file, but the wizard still won't let you uninstall them.

2.11.1 Hide Components You Don't Want to Be Uninstalled

You can use this same technique in reverse to hide components you don't want to be uninstalled accidentally. Simply put the word HIDE in the proper place in the entry that you don't want to show up in the Windows Component Wizard. For example, if you want to hide the uninstall entry for the fax utility, edit its entry by changing:

Fax=fxsocm.dll,FaxOcmSetupProc,fxsocm.inf,,7

to:

Fax=fxsocm.dll,FaxOcmSetupProc,fxsocm.inf,HIDE,7


Hack 18 Create Transparent Windows

Make any XP window transparent and control the amount of transparency for each.

One of the cooler new interface features of XP is the ability to use transparent or semitransparent windows, in which the background can show through the current window. But there's a problem with that feature: very few programs take advantage of transparency, and there is no way built into XP for you to make windows transparent. So, to a great extent, the feature is worthless.

However, a number of downloadable programs tap into that XP capability and let you make any window transparent. My favorite is Glass2K (http://www.chime.tv/products/glass2k.shtml), because it's small, it's simple, and above all, it's free. It doesn't muck around with your system by making Registry changes or installing .dlls. It's just run an executable file, and with it you can make any window transparent. When it's running, go to the window you want to make transparent, and press Ctrl-Shift and a number from 0 to 9. 9 makes the window the least transparent, 1 makes it the most transparent, and 0 sets it so that it's solid, with no transparency. You can also right-click on a window, and select the degree of transparency from the program's pop-up menu. The window will keep that degree of transparency as long as you run the program and keep the transparency setting. Figure 2-19 shows the results of making windows transparent with the program.

Figure 2-19. Making any windows transparent with Glass2K

Trans-XP is another downloadable that lets you make windows transparent. It's shareware, and is free to try, but costs $14.95 if you decide to keep it. It's available from http://www.totalidea.com.

The downloadable version limits you to having only three transparent windows.

Another similar program is Actual Transparent Windows. It's also shareware and is free to try, but it costs $19.95 if you decide to keep it. It's available from http://www.actualtools.com.

If you're looking for an all-in-one tool that lets you make countless interface tweaks, including making any window transparent, try Tweak-XP, from http://www.totalidea.com. In addition to giving you transparency, it lets you hide programs on the Start Menu, and create your own folder icons. It also offers a variety of optimization tools, as well as utilities such as a pop-up ad blocker, a Registry cleaner, Zip file repairer and much more. It's shareware and free to try, but you're expected to pay $29.95 if you keep using it.

There's one drawback to using transparent windows: it takes up processing power and RAM, so it may slow down your system. The fewer transparent windows you create, the less processing and RAM are used, so handle transparent windows with care.


Hack 19 Make Your Own Cursors and Icons

Don't settle for the icons and cursors that Microsoft built for you. Roll your own with downloadable software.

If you're not happy with the cursors and icons that XP ships with, don't despair. You can easily make your own with Microangelo, from http://www.microangelo.us. It's shareware and free to try, but if you continue using it, you're supposed to pay $54.95. You can create animated icons or regular icons—in both the standard 32-pixel and large 48-pixel sizes—and a variety of cursors as well. Use paint-type tools and build your icons and cursors on a grid, as shown in Figure 2-20. A preview is available, so you can see the effects of what you do as you work.

Figure 2-20. Creating an icon with Microangelo

What I find most useful about the program is that you can import existing cursors, icons, or other graphics, edit them, and then save the edited version. I'm no great artist, so I find editing existing graphics much easier than creating ones from scratch. The fine art of pixel placement in tiny icon images can be trickier than expected.

For a big selection of cursors, get CursorXP Free from http://www.windowblinds.net, the same company that makes the interface-customizing program WindowBlinds [Hack #15]. CursorXP Free is free, as the name implies. Install it, and a new CursorXP tab is added to the Mouse Properties dialog box, shown in Figure 2-21.

Figure 2-21. Customizing cursors with CursorXP Free

The Mouse Properties dialog box lets you choose from a variety of new cursors that ship with the program. By clicking on the Options/Configure button at the bottom of the dialog box you can also customize how each cursor works and looks. (The button toggles between Options and Configure, depending on whether you click on the Configure button at the top of the dialog box.) You can also import cursors that you've created with Microangelo or another program.

If you want a more powerful version of the program that includes special effects—the ability to colorize cursors, add trail effects, and more—you can try CursorXP Plus from the same site. The Plus version costs $10 to register.

If you want to create cursors from scratch, your best bet is Axialis AX-Cursors (http://www.axialis.com). It's shareware and free to try, but it costs $14 if you decide to keep using it. In addition to drawing tools, it lets you convert any existing graphic into a cursor. It also lets you do a screen capture and convert what you've captured to a cursor, and it includes an exceptionally wide range of cursor-editing tools. To give you a sense of its power, I'll create a cursor from scratch and make it larger than normal. If you have a parent with poor eyesight, you can make custom cursors that he can easily see.

Since I'm not artistically inclined, I'm not going to use the program's drawing tools. Instead, I'm going to search the Internet for a graphic that I'll start with, then have AX-Cursors automatically turn it into a cursor. Then I'll resize it to be very large.

A rocket is a good shape for a cursor, so I search for a drawing of one by doing a Google image search by going to http://www.google.com, clicking on images, and then searching for the word rocket. Rather than a photograph, I find a bold-looking drawing of a rocket, with a limited number of colors; that will make the best cursor. Figure 2-22 show the results of the search. I'm going to use the rocket in the lower-right portion of the screen as a starting point.

Figure 2-22. Finding a graphic using Google image search

I save the graphic to my hard disk by clicking on it to see the full-size graphic, then right-clicking on the large image, choosing Save As, and saving it to my disk. AX-Cursors can import graphics only in a handful of format: .bmp, .jpg, .dib, and rle. In this case, I have a .gif file. So, before importing it, I convert it to a .jpg file [Hack #86].

Now I run AX-Cursors. I want to create a large cursor, so I first set the cursor size by choosing Draw [image] New Image Format. I have the option of saving it as an icon of 32 x 32, 48 x 48, 64 x 64, or 72 x 72. I choose the largest size and the 256-color option.

Next I choose Draw [image] Import Bitmap, and choose the rocket image that I've just saved. The program lets me crop the image so that I can just import part of it, but in this instance I want the whole thing, so I don't crop it. I can also set the cursor's transparency. In this instance, because the cursor is going to be for someone with eyesight problems, I choose no transparency. After I'm done, the picture is converted into a cursor that I can edit, as shown in Figure 2-23. Notice that you're given tools to edit the cursor in the middle of the screen. In the right side of the screen, you can see a picture of the original graphic.

Figure 2-23. Converting the image into a cursor

The cursor looks good to me, so I save it by choosing File [image] Save. It's now ready to be used. So I exit the program, choose Control Panel [image] Printers and Other Hardware [image] Mouse [image] Pointers [image] Browse and choose the icon I've just created. It's done; you can see it in action in Figure 2-24.

Figure 2-24. The completed cursor in action

2.13.1 See Also

  • For a collection of more than 7,000 free icons you can download and use, go to http://www.iconarchive.com. Also see http://www.iconbazaar.com for a collection of free icons.

  • For a collection of free cursors to download and use, go to http://www.1freecursors.com. Note that some cursor and icon sites use a lot of pop-up ads. To get rid of them, see [Hack #33].


Hack 20 Windows XP to Windows 2000: Retro is Cool

Don't like those cute XP graphics? Here's how to make Windows XP look more like Windows 2000.

Sometimes, no matter how much you tweak, you still don't like what you see. After sampling the hacks in this chapter, I decided that I didn't care for the cartoon-like graphical look of Windows XP (see Figure 2-25).

Figure 2-25. Windows XP desktop

Since XP is so customizable, it only took a few seconds to make my start menu and desktop look like the old standby Windows 2000.

First, let's change that cluttered XP start menu (see Figure 2-26) to a classic Start menu.

Figure 2-26. Windows XP Start menu

Right click anywhere on the taskbar at the bottom of the screen and select Properties from the popup menu. Go to the top of the window and select the Start Menu tab. Click the button for Classic Start menu. While you're in this tab you also have the option of customizing the Classic Start menu. Choose Customize to add or remove programs from your start menu, enable options such as drag and drop, or display Favorites. Hit OK and your start menu will now look like the one shown in Figure 2-27, just like Windows 2000.

Figure 2-27. The lean and mean Classic Start menu running on Windows XP

Now that you've cleaned up the Start menu, it's time to change the look of your desktop. Though it's not a necessary step to making your desktop look like Windows 2000, your notification area (the lower right-hand corner near the clock) will be a lot neater if you go back to the Taskbar tab, and uncheck Hide inactive icons. Windows 2000 doesn't have the graphical features of XP, so hiding the icons before switching over is a good idea.

Right click anywhere on the desktop and choose Properties from the popup menu. Select the Themes tab and under Themes, scroll down to Windows Classic. Hit OK and your desktop will now look like the one shown in Figure 2-28.

Figure 2-28. Back to the past: Windows Classic theme running on Windows XP

Your desktop now has the icons, the window setup, the Start menu, and the general look and feel of Windows 2000.

—Lorrie LeJeune


Chapter 10. Graphics and Multimedia

    Section 10.1. Hacks #86-90

    Hack 86. Image Conversion in a Pinch

    Hack 87. Problem-Free CD Burning

    Hack 88. Save Streaming Music to Your PC

    Hack 89. File Sharing without the Spyware

    Hack 90. Tips for Making Videos with Windows Movie Maker


10.1 Hacks #86-90

XP is Microsoft's first attempt to truly integrate multimedia hardware and graphics-playing abilities. In previous versions of Windows, things such as movie making, music recording, CD burning, and graphics seemed an afterthought rather than a core part of the operating system.

But with XP, that changed. It's not only that Microsoft dressed up the operating system to make it look better; it also now offers Windows Media Player, a fully featured piece of music and entertainment software, and Windows Movie Maker, which lets you create home movies and videos.

In this chapter, you'll find hacks for improving your created movies, burning CDs more easily, converting graphics among formats, music sharing without spyware, and more.


Hack 86 Image Conversion in a Pinch

When you need to convert images from one format to another, or need to shrink the size of existing images, try these two graphics tools.

I frequently have to convert graphics from one format to another. For example, I may need to convert a high-quality, very large bitmap TIFF file to a much smaller GIF or JPEG for posting to the Web. Sometimes, I need to shrink the size of a file, while keeping the same format—for example, when sending a picture via email to relatives or friends. When I'm creating my own icons [Hack #19], I need to convert graphics to the .ico format. There are also times when I work with an artist who needs a file in a particular format.

XP's built-in Paint program can't really do the trick. It can convert only a handful of graphics formats (for example, it can't handle .pcx or .ico format), and it won't let you customize the graphic; for example, you can't alter the compression of .jpg files to make them smaller. And it can't do batch conversions; to convert a file you have to open it and then save it in a different format.

For the kind of image conversion I do, I don't need a full-blown graphics program like Photoshop that carries a full-blown price tag of up to $600 (Photoshop Elements is another alternative, but that's not free either). Instead, I turn to the freeware and shareware programs detailed in the rest of this hack.

10.2.1 IrfanView

For most image-conversion chores, I turn to the free program IrfanView (http://www.irfanview.com), which is named after its creator, Irfan Skiljan. It lets you convert individual images or batches of images at a time, handles a wide variety of formats, and gives you a great deal of control over the conversion. For example, when converting to a JPEG, you can set the image quality, whether to save as color or grayscale, and whether to save it as a progressive graphic—one that gradually paints on the screen as it downloads over the Web.

To do a batch conversion, after you run the program, choose File [image] Batch Conversion, browse to the directory that has the files you want to convert, and select them. Choose the output format and any options you want to apply to the files. For example, for a certain project I needed to convert a group of large graphics in TIFF format to JPEG format, and the resulting files had to be very small, grayscale, and in progressive format. Figure 10-1 shows the options I chose in IrfanView.

Figure 10-1. Converting a batch of files at a time with IrfanView

If you need to convert only an individual file, then call up the file, save it in whatever format you want, and use options like those shown in Figure 10-1.

IrfanView does much more than image conversion. I use it as my all-purpose file viewer, for example. It also works with scanners to bring images into your PC, and it includes basic image-editing tools.

10.2.2 ImageConverter .EXE

One thing that IrfanView can't do is display before-and-after pictures of the graphic you're converting. For example, you can't preview what the converted picture will look like after it is converted. This can make image conversion a hit-or-miss affair: you'll first have to choose your conversion options, then convert the image, and then finally look at the output. If you're not happy with the results, you have to start back at the beginning, choose different options, and hope this one works.

ImageConverter .EXE (http://www.stintercorp.com/genx/imageconverter.php) shows you a side-by-side comparison of the before-and-after images, before you do the actual conversion. It also shows you the size of each image. That way, before you do the conversion, you can keep tweaking it until you have the size and quality you want. Figure 10-2 shows an example of shrinking a JPEG file while still trying to retain as much detail and quality as possible. The image on the left is the original image and is 242 KB. The one on the right is only 36 KB, but there is very little difference in the quality of the two, so I chose to save this one.

Figure 10-2. A side-by-side comparison of image quality and size

The program does batch conversions, as well as letting you convert files one at a time. It also lets you edit and add a wide variety of special effects when you convert, such as changing the color depth and contrast, adding a motion blur, posterizing the image, and more. The program is shareware and free to try, but you're expected to pay $35 if you decide to keep it.

10.2.3 See Also

  • Paint Shop Pro (http://www.paintshoppro.com) is an excellent all-around graphics program that also does image conversion, including batch image conversion. It's shareware and free to try, but it has a registration fee of $99.


Hack 87 Problem-Free CD Burning

XP lets you easily record digital music to your PC and burn music CDs. Here's how to make sure your digital music doesn't skip, pop, crackle, and hiss, as well as other advice on CD burning.

Windows Media Player lets you burn CDs, as well as "rip" digital music from CDs and put them on your hard disk; but, as anyone who has ever burned and ripped music knows, the process is never problem-free. When you rip music, you may find that your digital music files skip and pop. And when you burn CDs, you may find that those CDs skip and have similar problems as well.

I've had many problems like that myself, particularly when copying opera CDs, which, as you'll see later in this hack, suffer from a nagging problem that causes most copied CDs to skip at least several times per CD.

10.3.1 What to Do if Your Digital Music Files Skip and Pop

When you rip music from CDs or old LPs, you may find that the digital music you rip to your PC skips and pops. There can be many causes for skipping and popping, so this section provides a number of ways to fix a variety of problems.

10.3.1.1 Cleaning up .wav files

If you're recording from old LPs, the problem most likely isn't your computer. You're probably recording the music faithfully, but the vinyl on the LP has been damaged, so the resulting digital music suffers from skips and pops. You can solve the problem by cleaning up the skips and pops using downloadable software.

WAVClean (http://www.excla.com/WAVclean/English) and WaveCorrector (http://www.wavecor.co.uk) will both eliminate pops, skips, crackles, hisses, and similar noises from music you record from old LPs. Both programs require a several-step process. First, record the digital music using Windows Media Player or similar ripping software. You'll have to record in .wav format, because that's the only format these programs handle. Next, clean up the .wav files with one of the programs. Which one you use depends on whether you want to automate the cleanup or take a hands-on approach, and on how bad the problems are that you want to correct. WAVClean is the more automated of the two; load the .wav file, select Scrub, and choose from basic settings, and it eliminates hisses and crackles. It won't, however, clean up deeper scratches, so it's best for recordings that suffer from just hissing and crackling. With WaveCorrector, on the other hand, you see an actual oscilloscope view of the music files, with pops and similar problems highlighted in blue. You can either have the program make the edits to the file itself, or you can preview the edits and do the correcting yourself. WaveCorrector also includes a recording feature, so that you don't have to use Media Player or other ripping software, such as MusicMatch Jukebox (http://musicmatch.com). Once you've cleaned up the music, you can either convert it to .mp3 or .wma digital music to save on your hard disk using MusicMatch Jukebox, or you can burn directly from a .wav file to a CD using Windows Media Player, MusicMatch Jukebox, or similar software.

Both programs are shareware and free to try, but you are expected to pay if you continue using them. WAVClean costs to register, and $30 WaveCorrector costs $45.

10.3.1.2 Other advice for reducing skips and pops

If you've recorded the digital music from a CD rather than an LP, the problem may be dirt and grime on the original CD, and physically cleaning it may solve the problem. Wipe the bottom of the CD clean. The bottom of the CD may be scratched, and that can cause problems as well. In that case, you can try some of the CD-cleaning devices sold at music stores and computer stores.

Don't let your friends and family stomp around during recording! With enough movement, CD players can skip just like turntables, for those of you who remember such antiques.

Additionally, if the ripping software you're using allows it, try slowing down the speed with which you rip your music, or ripping it at a lower bit rate.

Windows Media Player doesn't let you adjust the speed with which you rip music, but it does let you alter the music's bit rate. MusicMatch Jukebox lets you adjust the ripping speed as well as the bit rate.

Finally, if you have a very old CD drive, the drive itself may be a problem. With some older, slower drives, when you rip music, you'll frequently get skips. If that's your problem, the only solution will be to buy a newer drive.

10.3.2 What to Do If Your Burned Music CDs Skip

On occasion, your source and the digital music files will be free of skips, but when you burn a CD, the resulting CD skips. Sometimes, if you slow down the speed that you burn to a CD, you'll solve the problem. Most burning software will let you adjust your burning speed. In Windows Media Player, choose Tools [image] Options [image] Devices and highlight your CD drive. Then, click on Properties and choose the Recording tab, as shown in Figure 10-3. From the "Select a write speed" drop-down box, choose a slower speed than Fastest. Also, close all other programs when you're burning a CD, so that CPU, RAM, and system resources are all devoted to CD burning.

Figure 10-3. Slowing down CD burning in Windows Media Player

If that doesn't solve the problem, try using analog rather than digital CD writing. Choose Tools [image] Options [image] Devices, highlight the CD drive that you want to use analog playback, click on Properties, and go to the Audio tab. From the Copy section, choose Analog. If that still doesn't work, go back to the same tab and choose "Use error correction." This will slow down the CD burning process even further, but it may solve the problem.

10.3.3 What to Do if Long Selections Are Interrupted by Skips

On opera CDs, or any CD with particularly lengthy pieces, a single aria or other musical selection is sometimes spread out over two or more contiguous tracks. When a CD player plays the CD, the aria sounds as if it were one track; the music flows smoothly, without interruption. However, Windows Media Player and similar burning software, such as MusicMatch Jukebox, automatically adds pauses between tracks when you burn to a CD, so when you rip music from the opera CD and then burn it, the aria will be interrupted.

Some software lets you eliminate the pause between tracks when you burn to a CD. But then it eliminates all pauses, so the entire opera plays as if it were one long, single track, with no pauses, and you can't listen to it.

What's a Cecilia Bartoli or Renée Fleming fan to do?

You can solve the problem by using a program that makes an exact duplicate of an entire CD, rather than copying individual files. Both Exact Audio Copy (http://www.exactaudiocopy.de) and Nero Burning ROM (http://www.nero.com) will do that. They'll make images of the CD and then let you use those images to burn a CD. I've found that opera CDs burned with them generally don't have the unnatural pauses. Exact Audio Copy is free, while Nero Burning ROM is shareware and free to try, but $69 if you keep using it.

Music from the Library

If you're looking to build up a digital music or CD collection, the Internet isn't the only place to turn. Another excellent place is the public library. Many libraries have excellent CD collections, particularly if you're interested in classical music, opera or jazz. While the legalities of the issue are questionable at best, technically you can rip music from your library's CD collection, and burn CD collections from the ripped music as well. Many libraries allow you to search the catalog and make request via the Internet, so you can make requests from home, and be notified via email when the CDs are in. In Cambridge, MA, where I live, I regularly make requests this way, and the library is part of a regional library network, so I have access to the entire library network's music collection. I frequently refer to the Penguin Guide to Compact Discs to find the best recording of a particular opera, request the CD, then add it to my digital music collection.

10.3.4 See Also

If you use Windows Media Player Version 9 to burn CDs, download and use the TweakMP PowerToy for Windows XP from http://www.wmplugins.com. (It's available for Version 9 only, not Version 8, of Windows Media Player.) The PowerToy has a variety of tools, most of which are only moderately useful. But the feature that makes it worthwhile is its ability to level the volume of files when you burn a CD. One problem with burning CDs is that the digital music files you're going to burn are frequently recorded at different levels. That means that when you play the CD, the music plays at different volumes, forcing you to constantly change the volume control on your CD player. The PowerToy automatically levels the volume of all files, so that the volume is the same on all tracks on the burned CD. After you install the plug-in, choose Tools [image] Plugins [image] TweakMP to run it. To do volume leveling, click on the CD tab and check the box next to "Automatically level the volume of files when copying to an audio CD. "


Hack 88 Save Streaming Music to Your PC

Build up a digital music collection by saving files in MP3 format when you listen to Internet radio stations.

When I'm at my PC, I spend a fair amount of time listing to streaming Internet radio stations, such as you can find at http://www.shoutcast.com, http://www.live365.com, or the many radio stations available directly from Windows Media Player and MusicMatch Jukebox.

To listen to radio stations with Windows Media Player, first launch it by choosing Start [image] All Programs [image] Accessories [image] Entertainment [image] Windows Media Player, then click on the Radio Tuner button.

Often, I'll want to listen to a particular song again after hearing it—for example, a pavan by the English Renaissance composer John Dowling that I don't have on my CD collection. But because radio stations stream music to your PC, that music apparently can't be called back up and listened to again. Same deal with sample clips on Amazon.com and other sellers of digital music—once you've listened to the clip, you can't save it like other files.

However, there is a way to save streaming music or any streaming audio to your PC as a digital music file. Super MP3 Recorder (http://www.supermp3recorder.com) lets you capture streaming music in MP3 and WAV formats. It's shareware and free to try, but if you continue to use it, you're expected to pay $19.95, or $29.95 for the Professional version, which lets you do sound editing and lets you automatically start recording at preset times.

To record streaming music, install and run the program, then choose Option, which will bring up the screen shown in Figure 10-4. This screen lets you choose which format to record your music. Unless you're planning to edit the sound file, choose MP3 as your recording format, because WAV produces files that are extremely large.

Figure 10-4. Choosing your file format and sound quality before recording

Click OK and return to Super MP3 Recorder's main screen. Now click Volume Control. This lets you not only set the volume control, but also to choose from which input you want to record. The program can record from a CD player, microphone, auxiliary input, and several other sources. By default, it's enabled to record only from a CD, so you have to choose the Wave Out option if you're recording from an audio stream.

By default, the recorded music files are stored in the C:\Program Files\Super Mp3 Recorder Professional folder. To change the location, click on the Browse button and choose a new folder.

Now you're ready to record. Listen to your radio station (or any other streaming input) and, when you want to record, click on the Start Recording button. The program will tell you that it's started recording, show you how long you've been recording, and display information about your recording format, as shown in Figure 10-5.

Figure 10-5. Recording an Internet radio station and saving to an MP3 file

The program's controls work like a CD player's, so you can pause and stop recording. When you've finished recording, go to the location where you've chosen to save your files, and the music file will be there, ready to play. The file will have an odd name, such as rec0611-143130.mp3. If you want it to have a more understandable filename, before you start recording, give it a filename of your choosing in the Destination file box, shown in Figure 10-5.

10.4.1 See Also

  • Ripcast Streaming Audio Ripper is a similar program, but is designed to work with SHOUTcast servers that deliver streaming MP3 files, so won't work for all streaming audio formats. It's shareware and free to try, but you're expected to pay $9.98 if you continue to use it. It's available from Internet download sites and from http://www.xoteck.com/ripcast.


Hack 89 File Sharing without the Spyware

Finding and sharing music files doesn't mean that your system has to be filled with pop-up ads and spyware. Here's how to share files and entertainment files without the excess baggage.

If you're a fan of the Kazaa file-sharing and music-sharing software, you probably know that the biggest problem with the program is that it's full of pop-up ads and spyware. The spyware tracks your activities as you use the Internet, reports on them to an ad server, and you're then served ads based on your travels. Additionally, some of the spyware can be even more insidious and in the future could make use of your computer's spare CPU cycles without you knowing it.

If you try to track down and disable the program's associated spyware, as detailed in [Hack #33], you'll disable Kazaa.

10.5.1 Kazaa Lite

One solution is to get an ad-free and spyware-free version of the program, called Kazaa Lite, shown in Figure 10-6. In all other respects, it looks and functions like Kazaa and taps into the same file-sharing network, but it doesn't carry the ads and spyware. It's free and available for download from http://doa2.host.sk.

Figure 10-6. Kazaa Lite

Search and share files with it just as you do with Kazaa. As with Kazaa, if you're using a high-speed connection and fast PC, you may find that your PC will be turned into a supernode, which means you'll be subject to many searches and downloads from other Kazaa and Kazaa Lite users. In essence, your PC becomes a gateway into the entire file-sharing network for nearby users. This can be problematic and clog your bandwidth. If you don't want to be a supernode, choose Tools [image] Options [image] Advanced and check the box next to "Do not function as a SuperNode."

The program offers other benefits as well. When you run Kazaa, it calculates your participation level—how frequently other people download files from you. Based on that participation level, you may either have to wait in a long line to download files from others, or else immediately jump to the head of the download queue. Kazaa Lite automatically gives you the highest participation level, so that you need not wait in line to download. Additionally, it will automatically find several sources for the file you want to download and then download from all sources simultaneously to save you download time.

By the way, don't look for the software in a popular download site such as http://www.download.com. The owner of Kazaa asked that the software be removed from that site, and the site complied. Instead, go straight to http://doa2.host.sk/.

10.5.2 Shareaza

Another ad-free and spyware-free alternative to Kazaa is Shareaza (http://www.shareaza.com), a front-end peer-to-peer client for the popular Gnutella file-sharing network.


Hack 90 Tips for Making Videos with Windows Movie Maker

Ways you can make better home movies and other videos with XP's built-in video maker.

XP is Microsoft's most media-aware operating system, and it comes with built-in software for making and editing videos and home movies: Windows Movie Maker. (To run it, choose Start [image] All Programs [image] Accessories [image] Windows Movie Maker.) But making videos properly with it can be tricky, so check out these tips on how to make better home movies and videos.

10.6.1 Capture the Video Properly

Windows Movie Maker lets you edit movies and add special effects and titles, but it all starts with capturing the video properly. So, first make sure that you bring the video into your PC in the best way.

If you have an analog video camera or videotape, you need some way of turning those analog signals into digital data. You can do this via a video capture board or by using a device you can attach to your FireWire or USB port. If you're going the route of a video capture board, make sure the board has XP-certified drivers; otherwise, you may run into trouble. To find out whether a board has XP-certified drivers, search the Windows Compatibility List at www.microsoft.com/windows/catalog.

If you have a USB port, you can import analog video with USB Instant Video or USB InstantDVD, both available from http://www.adstech.com. They're hardware/software combinations; to get the video into your PC, connect the analog video device to the USB Instant Video or USB InstantDVD device, and then connect a USB cable from the device to the USB port on your PC. (A similar product, called the Dazzle Digital Video Creator 150, will do the same thing. For details, go to http://www.dazzle.com.)

Check your system documentation to see what type of USB port you have. If you have a USB 1.1 port, you won't be able to import high-quality video, and you'd be better off installing a video capture card. USB 2.0 will work fine, though.

If you have a FireWire-enabled PC, you're also in luck, because its high-speed capacity is also suitable for importing video. You'll have to buy extra hardware, called Hollywood DV-Bridge. Plug your RCA cable or S-Video cable into Hollywood DV-Bridge, and then plug a FireWire cable from Hollywood DV-Bridge into your FireWire port, and you'll be able to send video to your PC. For more information, go to http://www.dazzle.com/products/hw_bridge.html.

Once you've set up the hardware and your camera, recording the video is easy. Open Windows Movie Maker, choose File [image] Record, start the camera or video, and click Record.

10.6.2 Capturing Video with a Digital Video Camera

If you have a digital video camera or WebCam, you shouldn't need any extra hardware in order to capture video from it, as long as you have a FireWire port on your PC. These devices generally include built-in FireWire ports (the cameras might call the port an IEEE 1394 or an i.Link port). If you don't have a FireWire port on your PC, you can install a FireWire port card. These generally cost well under $100. Make sure that the card is OHCI (Open Host Controller Interface)-compliant.

When you plug your digital camera into a FireWire port and turn it on, Windows will ask you what you want to do with the camera. Tell it that you want to Record in Movie Maker, and it will launch Movie Maker to the Record dialog box, with a video showing in the preview window.

10.6.3 Best Settings for Recording Video

Before you start recording, you'll see a preview of your movie in the Record dialog box, shown in Figure 10-7. This is your chance to change your video settings, and choosing the proper setting is perhaps the most important step in creating your video.

Figure 10-7. Options for recording video in Windows Movie Maker

Look at the Setting drop-down box in Figure 10-7. This box lets you choose the quality of the video you're creating, which is the most important setting. These setting will be dependent on the input source; digital video cameras, for example, let you record at a higher quality than analog video cameras, so they will give you a wider range of options. Movie Maker comes with a number of preset profiles, including three basic ones: High, Medium, and Low quality. When you make a choice of your profile, Movie Maker tells you how many hours and minutes of recording time you have, based on your disk space and the disk requirements of the profile. For example, you might have 193 hours of recording time based on the High setting, but 1,630 hours based on the Low setting.

Those three profiles aren't your only choices, though. You can choose from a much wider variety of profiles (as a general rule, I suggest doing that), based on what you plan to do with the eventual video. Do you plan to post the video on the Web? Just play it back at home? Run it on a personal digital assistant? These other profiles are designed for specific purposes like those.

To select the profile, choose Other in the Setting drop-down list. Underneath it, a new drop-down list appears, shown in Figure 10-8, with a range of profiles from which you can choose. They're prebuilt for specific uses—for example, recording video to post on the Web, for color PDA devices, and for broadband NTSC (National Television Standards Committee), which is standard TV.

Figure 10-8. Choosing from additional preset profiles

Whenever you choose a profile, you'll see underneath it the frame size of the video, the frames per second, and if you choose a profile from Other, you'll also see the video bit rate. Here's what the settings mean:

Video display size

The size of the video, in pixels—for example, 740 by 480, or 320 by 240.

Frames per second

The number of frames captured per second. For smooth video, you need 30 frames per second, which is the "High quality" setting. The medium and low quality settings record at 15 frames per second.

Video bit rate

The bit rate of the recorded video—the higher the bit rate, the greater the quality.

Audio bit rate and properties

These settings aren't shown in the Windows Movie settings, but they vary according to which profile you choose. Audio properties are measured in kilohertz (kHz)—the higher the number, the greater the quality. Audio bit rate measures the bit rate—again, the higher the bit rate, the greater the quality.

To help you make the best choice among profiles, Table 10-1 shows the settings for every one of the Movie Maker profiles.

Table 10-1. Settings for Movie Maker profiles

Profile name

Video display size

Video bit rate

Audio properties

Audio bit rate

Video for web servers (28.8 Kbps)

160x120 pixels

20 kilobits per second (Kbps)

8 kilohertz (kHz)

8 Kbps

Video for web servers (56 Kbps)

176x144 pixels

30 Kbps

11 kHz

10 Kbps

Video for single-channel ISDN (64 Kbps)

240x176 pixels

50 Kbps

11 kHz

10 Kbps

Video for email and dual-channel ISDN (128 Kbps)

320x240 pixels

100 Kbps

16 kHz

16 Kbps

Video for broadband NTSC (256 Kbps)

320x240 pixels

225 Kbps

32 kHz

32 Kbps

Video for broadband NTSC (384 Kbps)

320x240 pixels

350 Kbps

32 kHz

32 Kbps

Video for broadband NTSC (768 Kbps)

320x240 pixels

700 Kbps

44 kHz

64 Kbps

Video for broadband NTSC (1500 Kbps total)

640x480 pixels

1,368 Kbps

44 kHz

128 Kbps

Video for broadband NTSC (2 Mbps total)

640x480 pixels

1,868 Kbps

44 kHz

128 Kbps

Video for broadband film content (768 Kbps)

640x480 pixels

568 Kbps

44 kHz

128 Kbps

Video for broadband film content (1500 Kbps total)

640x480 pixels

1,368 Kbps

44 kHz

128 Kbps

Video for color PDA devices (150 Kbps)

208x160 pixels

111 Kbps

22 kHz

32 Kbps

Video for color PDA devices (225 Kbps)

208x160 pixels

186 Kbps

22 kHz

32 Kbps

DV-AVI (25 Mbps)

720x480 pixels (NTSC)

720x525 pixels (PAL)

1,411 Kbps

48 kHz

16 Kbps

10.6.4 Tips for Making Your Own DVDs

If you use Movie Maker to make or copy your own videos and burn them to DVDs, consider these tips:

  • The USB 1.0 standard is not fast enough to connect a camera or other video input to your PC. Its throughput of 11 Mbps isn't fast enough for capturing high-quality video, which is 30 frames per second with 24-bit color at a resolution of 640 by 480, and requires speeds of at least 210 Mbps. USB 2.0, which has a speed of 480 Mbps, and FireWire, which has a speed of 400 Mbps, will work, however.

  • Make sure you have a substantial amount of free hard disk space if you're going to burn your videos to DVDs. The video will be cached onto your hard disk before it's burned to DVDs, so you'll typically need several free gigabytes.

  • Defragment your hard drive [Hack #74] before creating and burning DVDs for best performance. If you have a second hard drive, use that for DVD creation rather than your primary hard drive. Regardless of the speed of your CPU, turn off any background applications that are running when you import video and create your DVD.

  • If you're burning high-quality video to a DVD, figure that you'll be able to fit about an hour's worth on a single DVD. At a lower quality (lower bit rate), you can fit up to about two hours on a DVD. Keep in mind, though, that if you write at the lower bit rate, the DVD might not be able to be played on a set-top DVD player, though it will work on your PC's DVD player.

  • There's no single accepted standard for DVD burning, so not all DVD disks that you burn will work on all set-top DVD players. Generally, most set-top DVD players will play DVD-R discs, but they may not all play DVD-RW or DVD+RW disks. Manufacturer information can't always be trusted, but check the web sites for the latest details.

  • After you've created your video and you're ready to burn it to a DVD, set aside plenty of time. It can take up to two hours to burn a one-hour DVD, depending on your CPU and drive speed.

10.6.5 See Also

  • If you want features beyond those offered by Windows Movie Maker, try Ulead DVD Movie Factory. In addition to basic video-editing tools, it lets you use transitions and add special effects and menus, and it includes backgrounds, preset layouts, and music you can add to your videos. In addition, it will burn to DVD, VCD, and SVCD and can save files in a variety of video formats. It's shareware and available to try for free, but you're expected to pay $44.95 if you keep using it. It's available from Internet download sites, as well as from http://www.ulead.com.


Chapter 11. System Performance

    Section 11.1. Hacks #91-94

    Hack 91. Track System Performance with the Performance Console

    Hack 92. Getting the Most Out of Your RAM

    Hack 93. More Power: Registry Hacks to Speed Up XP

    Hack 94. Repair and Recovery with the Recovery Console


11.1 Hacks #91-94

XP provides you with a variety of ways to hack your system to juice up its performance. Built-in tools, like the Performance Console, can monitor dozens of performance metrics and then take automated actions when those metrics fall below a certain level. You can make better use of your existing RAM by using a variety of different hacks, and the Registry offers many ways to speed up system performance as well.

In this chapter, we'll cover all those ways, as well as others, to help make sure that XP runs as efficiently as possible.


Hack 91 Track System Performance with the Performance Console

Before you can hack away at things to speed up your computer, you should know how to monitor system performance in the first place. As a power user, you'll like knowing what's causing those slow-downs and blips in performance. The Performance Console is a great hacker's tool for monitoring and tracking resources of all kinds.

Computers get faster every year, but somehow we still end up sometimes waiting around for them to finish a task.

Reducing Visual Effects

Windows XP's visual effects—such as fading and sliding menus, background images for folders, and drop shadows for icon labels—make it the snazziest-looking operating system that Microsoft has yet produced. But all those effects can take their toll on system performance, especially if you have an older computer.

XP gives you the option of balancing these visual effects against system performance. You can go full-bore and use all the visual effects, you can turn them all off, you can have your system decide which to use, or you can pick and choose which effects to turn on and off. Right-click on My Computer and choose Properties [image] Advanced [image] Settings (under the Performance section). To turn off all effects, choose "Adjust for best performance." To use all visual effects, choose "Adjust for best appearance." To turn on and off individual effects, choose Custom, then check the effects you want to use and uncheck the ones you don't. Experiment to see how they affect system performance.

To figure out what's slowing your computer down and get to the root of the problem, use the Performance Console (perfmon) to track and graph the activities of Windows XP and its components. First, I'll show you how to set up a log, and then I'll give you some ways to put the console logs to good use.

11.2.1 Setting Up Your Logs

Choose Start [image] Run and type perfmon. You'll see the Microsoft Management Console (MMC), with the Performance titlebar. In the left pane, click System Monitor to see a graph of your current system performance, including your processor, memory, and disk. You can use the toolbar buttons to configure the graph data and format. This graph is useful for seeing what's going on now, but it's useless for looking at the long-term picture.

To create log files of your system's performance, click Performance Logs and Alerts in the left pane of the MMC. You can create counter logs (with the values of performance indicators, measured on a regular basis), trace logs (with the values of performance indicators when something happens, such as a program crash), and alerts (an action for Windows to take when a counter hits a specified value). Log files stored in text format contain one line per observation, with values separated by either commas or tabs, and are usually stored in the C:\Perflogs folder. You can import these log files into a spreadsheet or database for analysis, reporting, and graphing. SQL and binary (nontext) log file formats are also available. (See article Q296222 in the Microsoft KnowledgeBase for how to log data directly to an SQL database.)

Create a counter log by right-clicking Counter Logs in the left pane and choosing New Log Settings from the shortcut menu. Specify the statistics you want to log by clicking Add Counters on the General tab of the Properties sheet for the log (see Figure 11-1). A nice feature of this utility is that you can choose whether to monitor the local computer or another computer on your LAN. Don't add more than a few counters, or your log file will grow quickly and be confusing to analyze. To select a counter, first select the performance object (i.e., the part of the computer system you want to monitor, such as memory or disks), and then choose counters from the list.

Figure 11-1. Creating or editing a performance log

Set the interval to the frequency you'd like to sample the data. Don't choose too frequent an interval, or your log file will take over your entire hard disk (start with once a minute). On the Log Files tab, specify the file type, name, and location. If you plan to import this file into a spreadsheet or database program, choose Text File (comma-delimited) for the type. On the Schedule tab, specify when the log start and stops—manually, or automatically on a schedule.

The Performance console itself can slow down your computer considerably. Run it only when you need it, and don't set the logging interval to be too short. Set logs to stop after a day or two; otherwise, they'll run until your hard disk fills up.

11.2.2 What to Watch

These counters are often worth logging:

\Memory\Pages\sec

Number of pages read from disk or written to disk when Windows runs out of memory. Swapping information to and from the disk can slow down your system significantly. Consider adding more memory.

PhysicalDisk\Avg. Disk Queue Length

Number of read and write requests are waiting for the disk to respond. High numbers indicate that a faster disk drive would speed up performance.

PhysicalDisk\% Disk Time

Percentage of the time the disk was busy. This is another indicator of a slow or overloaded disk.

Processor\% Processor Time

Percentage of the time the processor was busy with all types of processes. This counter can tell you whether delays are caused by an overloaded CPU.

11.2.3 Viewing Performance Logs

With the System Monitor in the MMC, you can view a log as a graph. Click System Monitor in the left pane of the MMC window and click the View Log Data icon on its toolbar. Add the log file to the list. When you are looking at the graph, click the Properties button on the toolbar to change how the graph looks.

To look at the contents of a comma-separated (.cvs) log file in Excel or your default spreadsheet program, double-click the filename in Windows Explorer. Excel may complain that the file is still open (since the Performance Console is still appending information to it); click Notify to see what's in the file so far. In Excel, you can analyze, graph, and print the counters.

11.2.4 Performance Alerts

Create an alert to let you know when a counter exceeds a specified value. For example, the Performance Console can let you know when the idle processor time drops below 10%. Right-click Alerts in the left pane of the MMC window and choose New Alert Settings to create a new alert. Add one or more counters, and specify the limit (upper or lower) beyond which Windows should take action. On the Action tab, specify what Windows does when the alert occurs: specifically, you can have it add a note to an event log or run a program.

—Margaret Levine Young


Hack 92 Getting the Most Out of Your RAM

The best way to improve system performance is to make better use of your RAM. Here are several hacks to show you how to try this before you buy more.

No matter how much memory you have, you could always use more. Installing more RAM is generally the quickest way to better XP performance.

But you can also speed up XP by making better use of the RAM you already have. In this hack, we'll look at how you can speed up your system performance by using your RAM more effectively.

11.3.1 Make Better Use of Your Memory with the Task Manager

If your system doesn't have enough RAM, or if it uses what it has improperly, your system slows down. That's because in those circumstances it moves data and programs to a paging file on your hard disk, and your hard disk is slower than RAM. A certain amount of this is normal, but if you use a paging file too much, or if even your paging file can't handle the memory load, you'll run into system slowdowns and problems.

The Task Manager's Performance tab, shown in Figure 11-2, provides the best way to monitor memory use. To run the Task Manager, press Ctrl-Alt-Delete, then click on the Performance tab. With it, you can interpret the information and make better use of your memory.

Figure 11-2. The Task Manager's Performance tab

The most important parts the screen shown in Figure 11-2 are the charts that report on paging file use and the tabular material below it that give a more detailed view of your current use of memory.

The charts relating to the Page File are self-explanatory; they show current usage, as well as usage over time. If you see that Page File use is frequently high, it means either that your system isn't making the most efficient use of RAM, or you need more RAM. In that case, follow the advice later in this hack for how to make better use of RAM.

The data below the Page File chart can be almost impossible to decipher. Table 11-1 details what the data means, and makes recommendations on how to use that information to make better use of RAM.

Table 11-1. Understanding Performance tab memory reporting

Category

Subcategory

What the data means

Totals

Handles

Lets a program use system resources such as registry keys, fonts, and bitmaps. Sometimes, poorly written programs don't close their handles down when the program closes, leading to memory loss. As a practical matter, you won't need to monitor this number.

Threads

A discrete portion of a program executing a single task independently of other parts of a program. Again, as a practical matter, you won't need to monitor this number.

Processes

Reports on the number of programs and services (processes) currently running on your system. Monitor this to see whether you have too many programs and services running on your PC. To shut down unnecessary services, see [Hack #4].

Commit Charge (K)

Total

The total amount of physical memory (RAM) and virtual memory (page file) currently in use, in kilobytes. The more programs, files, and data you have open, the greater your commit charge will be. The greater the commit charge, the more demands will be put on your system. To reduce the commit charge, close programs and files, especially large files.

Limit

Reports on the total amount of physical and virtual memory that is currently available for your PC, measured in kilobytes. To increase the limit, you can increase the Page File size (see article 4.9 "Optimize Your Swap File Size") or add RAM to your system.

Peak

Reports on the highest total amount of memory, measured in kilobytes, that has been in use during your current session. Check this value each session to see whether the Peak value is frequently at or near the Limit value. If it is, you need to increase your memory, by either adding RAM or increasing your Page File size.

Physical Memory (K)

Total

Displays the total amount of RAM in your PC, in kilobytes. This number can be confusing; to find out the amount of RAM in megabytes, divide it by 1,024.

Available

Reports on the total amount of RAM, in kilobytes, currently available. When available RAM is used up, your system begins to use its Page File.

System Cache

Reports on the total amount of RAM, in kilobytes, that is being used for the most recently accessed data and programs. Programs and data can be in the system cache even after they have been closed down; the PC looks to the system cache first when opening a program or file, since it can be opened from the cache faster than from the hard disk.

Kernel Memory (K)

Total

The total amount of memory, in kilobytes, in use by the primary components of the XP kernel. The kernel is the core programs and files that make up the operating system.

Paged

The total amount of memory in a Page File, in kilobytes, used by the primary components of XP.

Nonpaged

The total amount of memory of RAM, in kilobytes, used by the primary components of XP.

Here's how to use the information on the tab to make better use of RAM:

  • If the Total Commit Charge exceeds the Total Physical Memory, you probably need more RAM. When the Commit Charge is regularly higher than the Physical Memory available, it means that you have to regularly use a Page File, which slows your system down. Buy more RAM; it's inexpensive and will boost system performance.

  • Before running a memory-intensive application, use the Processes Tab to identify memory-hogging applications, and close them down. The Processes tab of the Task Manager lists every process and program in use and shows the total amount of memory each uses. Click twice on the Mem Usage heading on the tab to reorder the list of programs and processes so that those that require most memory show up at the top. Close down programs that you don't really need before running a memory-intensive application.

  • If the Peak Commit Charge is frequently at or near the Limit Commit Charge, you need to increase your memory. When this occurs, it means that your PC is frequently out of memory or close to being out of memory. Either add RAM or increase your Page File size.

11.3.2 General Advice for Making Better Use of RAM

So, you've learned how to use the Task Manager. Here are some additional tips for making better use of your existing RAM:

  • Remove DLLs from cache memory. If you notice your system running slowly after XP has been running for some time, or if your RAM seems to be getting low for some reason, the culprit may be left-behind DLLs from programs that are no longer running, but that XP still keeps in memory. Sometimes XP keeps DLLs in cache memory even when the program that required them is no longer running, and this cuts down on the memory available to other applications.

    You can use a simple Registry hack to have XP automatically remove from cache memory DLLs that are no longer needed by programs. Run the Registry Editor [Hack #68] and go to HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer. Create a new DWORD value named AlwaysUnloadDll, and give it a data value of 1. Exit the Registry and reboot for the new setting to take effect. Note that this setting may cause problems with some programs. Some Windows programs—especially older and 16-bit programs—may issue error messages with this setting in effect; so if that starts happening, delete the new key or give it a value of 0.

  • Reduce the number of colors. Using 32-bit color takes up a great deal more memory than 16-bit color, and it also puts a greater strain on your processor. If you primarily use business applications such as word processors and spreadsheets, you most likely won't notice a different between 16-bit and 32-bit color, so going with 16-bit color is a good bet. To change your color depth, right-click on the desktop, choose Properties [image] Settings, and in the Color Quality box choose 16 bit.

  • Avoid DOS applications. DOS applications don't allow XP to manage memory properly, and they hold onto the memory they use, not allowing it to be swapped out for use for other programs or processes. If you use any DOS applications, replace them with Windows versions.

  • Reduce the icons on your desktop. Every icon on your desktop uses up memory. Delete icons you don't use regularly. Run the Clean Desktop Wizard, which will automatically delete icons that you don't regularly use. Right-click on the Desktop and choose Properties [image] Desktop [image] Customize Desktop [image] Clean Desktop Now. A wizard will step you through the process of deleting unused icons. If you want the wizard to run every 60 days, check "Run Desktop Wizard every 60 days."

  • Reduce the applications and services running in the background. You may have many programs and services running in the background, without realizing it. Look at your Notification area, and see if there are any programs running that you don't require. Shut them down, and make sure that they don't load at startup. Also, XP frequently starts services on startup that you might not need [Hack #4]. For example, if you don't use a wireless network card, you don't need the Wireless Zero Configuration service.


Hack 93 More Power: Registry Hacks to Speed Up XP

Put your Registry-hacking knowledge to good use: hack your way to running Windows XP at top speed.

Creating and marketing tuning and customization utilities for the Windows XP operating system is quickly becoming big business. A Google search will turn up hundreds of sites and programs dedicated to tweaking Windows XP. But no matter what type of interface is developed to make system tweaking easier and safer for the average user, the end result is that the changes are reflected in XP by modifying the Registry. For some people, commercial tweaking utilities may be the method of choice, but with a few precautions and safeguards it's possible to enhance system performance without any tools other than those supplied with Windows XP.

As you learned in Chapter 7, you can use Regedit [Hack #68] to edit the Registry. Make sure you take the precautions outlined in that chapter and back up your Registry [Hack #71], no matter how comfortable you are editing the thing.

No single tweak is going to take an ancient PC and turn it into a gamer's dream machine. It's even unlikely that a number of tweaks will achieve substantial performance gains, but every little bit does help. As long as you keep your expectations realistic, you'll learn something about the Registry and hopefully see a performance increase in the process.

11.4.1 Menu Speed

When XP first appeared, there was a lot of conversation about the new interface, both good and bad. In spite of the initial complaints, most users stick with the default settings rather than reverting to the Classic interface found in previous Windows versions. But you may want to change the delay you notice when you click on the Start Menu. I see no reason for there to be any delay when I click on the Start Menu. Effects are pretty, but I wouldn't click on it if I didn't have business inside, so let's get it open and get moving. The default speed can be adjusted with a quick Registry hack.

Go to the Registry key HKEY_CURRENT_USER\Control Panel\Desktop\MenuShowDelay. The default value is 400. Set it to 0 to remove the delay completely, but if you do that it will be nearly impossible to move the mouse fast enough not to activate All Programs if you mouse over it en route to your final selection. Pick a number that suits your style, make the change, then test it until you find a good compromise between speed and usability.

11.4.2 Place Windows Kernel into RAM

It's a given that anything that runs in RAM will be faster than an item that has to access the hard drive and virtual memory. Rather than have the kernel that is the foundation of XP using the slower Paging Executive functions, use this hack to create and set the DisablePagingExecutive DWORD to a value of 1.

Perform this hack only if the system has 256 MB or more of installed RAM!

Edit the Registry key HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Memory Management\DisablePagingExecutive to 1 to disable paging and have the kernel run in RAM (set the value to 0 to undo this hack). Exit the Registry and reboot.

11.4.3 Alter Prefetch Parameters

Prefetching (the reading of system boot files into a cache for faster loading) is a commonly overlooked component that can have a significant impact on system boot time. This tweak allows you to select which components will make use of the prefetch parameters. To see which files are gathered using each of the settings, clear the prefetch cache located at C:\Windows\Prefetch and then enable one of the settings listed in this hack. Clear the cache and repeat for each setting.

Set the Registry key HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Memory Management\PrefetchParameters\EnablePrefetcher to 0 to disable prefetching, 1 to prefetch application launch files, 2 to prefetch boot files, or 3 to prefetch as many files as possible.

11.4.4 Disable 8.3 Name Creation in NTFS

Files that use the 8.3 naming convention can degrade NTFS drive performance. Unless you have a good reason for keeping the 8.3 naming convention intact (such as if you're using 16-bit programs), a performance gain can be achieved by disabling it:

Set the Registry DWORD key HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\FileSystem\NtfsDisable8dot3NameCreation to 1. Exit the Registry and reboot.

—Jim Foley


Hack 94 Repair and Recovery with the Recovery Console

If Windows won't start, use the DOS-like Recovery Console to make repairs.

The Recovery Console is one of the last-ditch tools you can use if your Windows installation doesn't start up at all. Before you resort to the Recovery Console, if Windows starts up, make sure you've already tried System Restore (especially if you've recently changed your hardware).

To run System Restore, choose Control Panel [image] Performance and Maintenance [image] System Restore.

If it won't start, try running the Windows XP Setup Wizard from the installation CD and choosing its Repair option, or try starting Windows in Safe Mode.

If none of these easier paths work, you're stuck using the DOS-like Recovery Console to figure out what's wrong with Windows, your system or boot partition, or your disk's master boot record (MBR). You can use its DOS-like commands to look at the files and folders that make up Windows, and possibly repair them. You can also repair the master boot record and boot sector.

You can configure the Recovery Console not to require the administrator password on login. In the Registry Editor [Hack #68], set the value of key HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\WindowsNT\CurrentVersion\Setup\RecoveryConsole\SecurityLevel to 1.

11.5.1 Starting the Recovery Console

To start the Recovery Console, boot your computer from the Windows XP installation CD and follow the prompts. When it asks which Windows installation you want, type the number of the installation (1, if Windows XP is the only operating system installed) and press Enter. Type the password for the Administrator account. When the Recovery Console is running, you see the prompt D:\WINDOWS>, which tells you the name of the current folder (directory).

If you plan to use the Recovery Console often, add it to your boot menu (the menu that appears if you have a multiboot system). You must be logged in as an administrator. Choose Start [image] Run and type the command d:\i386\winnt32.exe /cmdcons (replace d: with your CD drive's letter if it's not D). The Recovery Console occupies about 7 MB of disk space and stores its program files in \Comdcons on your system drive.

Now you can type commands and press Enter, just like in the good old days of DOS! However, not all DOS commands work (see Section 11.5.5 at the end of this hack), and you can't examine files in all folders. You are restricted to the Windows program folder (C:\Windows on most systems), its subfolders, the root folder of the Windows partition (C:\ on most systems), removable drives (including diskette, ZIP, and CD drives—but these are read-only), and the \Cmdcons folder (which contains the Recovery Console program itself, if you have added it to your boot menu).

If you know DOS, the Recovery Console's commands look familiar, though only a few are available and some work differently. To see a list of all the available commands, type help and press Enter. To find out how a specific command works, type the command, followed by a space and /? (for example, expand /?). When you are done using the Recovery Console, type exit and press Enter to reboot your computer.

11.5.2 Looking Around

Use these commands to examine your system:

cd folder

Changes the current folder to the folder you name. In the folder name, two dots (..) represents the parent folder of the current folder. To move to a different drive, type its drive letter and a colon and press Enter.

dir folder or dir filename

Lists the contents of the folder, including files and subfolders. For the filename, you can use * as a wildcard character (for example, dir *.dll). You see the last modification date and time, attributes, size (in bytes) and filename. The attributes are represented by letters: d (directory or folder), h (hidden), s (system), e (encrypted), r (read-only), a (changed since last backup), and c (compressed).

map

Lists the drive letters with their file format (FAT32 or NTFS), size, and pathname.

type filename

Displays the contents of the file as text. For executable, graphic, and other nontext files, you see garbage.

If a filename or pathname includes spaces, enclose it in double quotes.

11.5.3 Fixing the MBR, Boot Sector, or Boot Menu

If your system can't find a partition from which to boot, try fixing the MBR. Type fixmbr to rewrite the MBR on the boot partition (the drive or partition from which the computer starts up).

If the system finds the boot partition but the Windows boot sector is fouled up on the Windows partition (the drive or partition where Windows is installed), rewrite the Windows boot sector by typing fixboot. To specify which drive is the Windows partition, you can add the drive letter (e.g., fixboot c:).

Windows XP includes a boot menu that allows you to choose which operating system to start up. (It doesn't appear if your system has only one operating system.) To fix the boot menu, use the bootscan command. Type bootcfg /scan to look at all your partitions and drives, scanning for Windows installations. Type bootcfg /list to list the entries in boot.ini (the file that contains your boot menu entries).

11.5.4 Fixing Windows

If something is wrong with your Windows installation, use these commands to modify or replace the problematic files:

attrib filename flag

Changes the attribute of a file (filename). The flag is + (adds, or turns on) or - (removes, or turns off), followed by r (read-only), s (system), or h (hidden).

chkdsk drive

Checks and repairs files and folders on drive. Add the /p switch to check the drive even if no problems are marked.

copy sourcepath1 sourcepath2

Copies the file from sourcepath1 and names the new file sourcepath2. The asterisk wildcard (*) doesn't work, so you can copy only one file at a time.

diskpart

Lets you add or delete partitions, though you can't resize or move them. (For that, you need a program like PartitionMagic; go to http://www.partitionmagic.com.)

expand pathname

Decompresses files from a .cab file and puts the result in the current folder. If the .cab file contains more than one file, add /f:* to extract all the files. Or add /f:* /d to list all the files in the .cab, and then use expand pathname /f:filename command to extract just the one you want.

11.5.5 Hacking the Hack

By default, the Recovery Console doesn't allow you to use wildcards, copy files from local drives to removable media, or use the cd command to list files in subfolders in all folders on all local disks. It also issues a warning message every time you copy files that overwrite existing files.

However, if you have the Professional Edition, you can change that behavior using the Group Policy Editor. At a command prompt, type gpedit.msc to run the Group Policy Editor. Go to Local Computer Policy\Computer Configuration\Windows Settings\Security Settings\Local Policies\Security Options. In the list of policies on the right, double-click on "Recover console: Allow floppy copy and access to all drives and all folders." Select the Enabled option and click OK.

Doing this won't actually make the changes; at this point, you'll have to use the Recovery Console itself to do that. Open the Recovery Console and use the following commands to customize its behavior:

set allowwildcards = true

This command lets you use the * and ? wildcards with the Recovery Console commands.

set allowallpaths = true

This command lets you use the cd command to list all files and subfolders on all folders on all local disks.

set allowremovablemedia = true

This command lets you copy files from local drives to removable media.

set nocopyprompt = true

This command lets you copy files that overwrite existing files, without getting a warning prompt.

—Margaret Levine Young


Chapter 12. Hardware

    Section 12.1. Hacks #95-100

    Hack 95. Troubleshoot Hardware by Decoding Device Manager Error Messages

    Hack 96. Uncover Hidden Hardware with the Device Manager

    Hack 97. Check Your PC's Pulse and Tweak It for Better Performance

    Hack 98. Remap Your Keyboard

    Hack 99. Use ClearType for Better Laptop and LCD Resolution

    Hack 100. Networking on the Cheap: Set Up a Direct Cable Connection


12.1 Hacks #95-100

You probably notice your hardware only when it causes problems. When everything goes according to plan, it's invisible, which is the way we like it.

You can tweak your hardware in a variety of ways to make it run better, and you can use XP's built-in utilities to troubleshoot any problems. In this chapter, we'll look at hacks to help you troubleshoot hardware problems, remap your keyboard, make laptop and LCD screens more readable, and set up a cheap network by connecting two PCs.


Hack 95 Troubleshoot Hardware by Decoding Device Manager Error Messages

The Device Manager is a great hardware troubleshooting tool, but you'll need this hack to make sense of the error messages it relays to you. Here's how to decode the cryptic messages and how to use the messages to solve hardware woes.

If you install and uninstall enough hardware on your system, error messages and system conflicts are a way of life. XP does a far better job than previous versions of Windows at keeping conflicts to a minimum, but on occasion they still pop up.

The first step in resolving these problems is to use XP's built-in Hardware Troubleshooters. Choose Start [image] Help and Support [image] Hardware [image] "Fixing a hardware problem" and under "Fix a problem" click Hardware Troubleshooter. It's a wizard-style interface, so follow the prompts.

But that won't always solve the conflict. Luckily, XP includes a built-in way to resolve system conflicts by hand: using the Device Manager, XP's best all-around hardware-troubleshooting tool. Run it by typing devmgmt.msc at a command prompt or in the Run box. You'll see a list of all the devices installed on your system, as shown in Figure 12-1.

Figure 12-1. The Device Manager displaying all the devices installed on your system

To find information about any device, right-click on it and choose Properties. The device's multitabbed Properties dialog box appears, as shown in Figure 12-2. You'll be able to get comprehensive information about the device from here. You can also do troubleshooting by clicking on the Troubleshoot button.

Figure 12-2. The Device Manager General tab

When you open the Device Manager to the view shown in Figure 12-1, an icon will be displayed next to any device involved in a system conflict. A yellow exclamation point means that the device has a problem or conflict of some sort. A red "X" means that the device is disabled. A blue "i" (which stands for information) means that the device's resource configuration has been altered via the Device Manager.

The blue "i" icon shows up only when you choose one of two views: "Resource by type" or "Resource by connection." To switch to those views, use the View menu.

Only the yellow and red icons mean that there's a problem of some sort. To find out more details about the problem, double-click on the device that has an icon next to it, and an error message and error code will appear in the "Device status" section of the General tab shown in Figure 12-2. Those error messages are supposed to help you solve the hardware problem. Unfortunately, though, they're cryptic at best, and, as a general rule, you won't be any closer to resolving the problem after you read them.

However, armed with the right knowledge, you can resolve the problems based on the error message you see. The advice in Table 12-1 (adapted from MS Knowledge Base article 125174) tells you how to use the Device Manager to solve the problem.

Table 12-1. Device Manager error codes, messages, and potential solutions

Code

Error message

Recommended solution

1

This device is not configured correctly.

Update the drivers by choosing Update Driver from the Driver tab, and follow instructions in the Hardware Update wizard. You can also try removing the device in the Device Manager and running the Add New Hardware wizard from Control Panel.

2

The <type> device loader(s) for this device could not load the device driver.

Update the drivers by choosing Update Driver from the Driver tab, and follow instructions in the Hardware Update wizard. You can also try removing the device in the Device Manager and running the Add New Hardware wizard from Control Panel.

3

The driver for this device might be corrupt or your system may be running low on memory or other resources.

Update the drivers by choosing Update Driver from the Driver tab, and follow instructions in the Hardware Update wizard. You can also try removing the device in the Device Manager and running the Add New Hardware wizard from Control Panel. In addition, check memory and system resources by right-clicking My Computer, choosing Properties [image] Advanced tab, and then clicking Settings under Performance to see whether that is the problem. You might have to install more RAM to solve the problem. Also, try clicking Troubleshoot on the General tab of the device, in order to run the troubleshooting wizard.

4

This device is not working properly because one of its drivers may be bad, or your Registry may be bad.

Update the drivers by choosing Update Driver from the Driver tab, and follow instructions in the Hardware Update wizard. You can also try removing the device in the Device Manager and running the Add New Hardware wizard from Control Panel. If neither of these resolves the problem, get a new .inf driver file from the hardware manufacturer.

5

The driver for this device requested a resource that Windows does not know how to handle.

Update the drivers by choosing Update Driver from the Driver tab, and follow instructions in the Hardware Update wizard. You can also try removing the device in the Device Manager and running the Add New Hardware wizard from Control Panel.

6

Another device is using the resources this device needs.

Click on Troubleshoot on the General tab to run the Hardware Troubleshooter.

7

The drivers for this device need to be reinstalled.

Click Reinstall Driver.

8

Code 8 has many error messages associated with it.

Click Update Driver. You can also try removing the device in the Device Manager and running the Add New Hardware wizard from Control Panel.

9

Code 9 has several error messages associated with it.

Try removing the device in the Device Manager and running the Add New Hardware wizard from Control Panel. If that doesn't work, contact the manufacturer for the correct registry settings or updated drivers. You might also need to update your system's BIOS.

10

This device either is not present, is not working properly, or does not have all the drivers installed. This code may also have a manufacturer-specific error message associated with it, depending on the device.

Make sure that the device is physically connected to the computer properly. If that doesn't work, update the driver from the Driver tab.

11

Windows stopped responding while attempting to start this device and therefore will never attempt to start this device again.

Contact the hardware manufacturer for updated drivers.

12

This device cannot find enough free <type> resources that it can use. Note: <type> is a resource type, such as IRQ, DMA, Memory, or I/O.

Click Hardware Troubleshooter and run the troubleshooting wizard.

13

This device either is not present, is not working properly, or does not have all the drivers installed.

Click Detect Hardware. You can also try removing the device in the Device Manager and running the Add New Hardware wizard from Control Panel.

14

This device cannot work properly until you restart your computer.

Restart your computer.

15

This device is causing a resource conflict.

Click Troubleshoot on the General tab of the device, and run the troubleshooting wizard

16

Windows cannot identify all the resources this device uses.

Click the Resources tab and manually enter the settings as detailed by the manufacturer's documentation.

17

The driver information file <name> is telling this child device to use a resource that the parent device does not have or recognize. Note: <name> is the .inf file for the device.

Click Update Driver. You can also try removing the device in the Device Manager, and running the Add New Hardware wizard from Control Panel.

18

Reinstall the drivers for this device.

Click Reinstall Driver.

19

Your Registry may be bad.

Click Check Registry.

20

Windows could not load one of the drivers for this device.

Click Update Driver.

21

Windows is removing this device.

Wait several seconds and then refresh the Device Manager view. If the device appears, restart your computer.

22

This device is disabled.

Click Enable Device.

22

This device is not started.

Click Start Device.

23

Several error messages may appear with Code 23.

Click on Properties or Update Driver, depending on which button appears.

24

This device is not present, is not working properly, or does not have all its drivers installed.

Click Detect Hardware or Update Drivers, depending on which button appears.

25

Windows is in the process of setting up this device.

Restart your computer.

26

Windows is in the process of setting up this device.

Restart your computer.

27

Windows can't specify the resources for this device.

Remove the device in the Device Manager, and run the Add New Hardware wizard from Control Panel. If the device still does not work, get updated drivers or other assistance from the manufacturer.

28

The drivers for this device are not installed.

Click Reinstall Driver. You can also remove the device in the Device Manager and run the Add New Hardware wizard from Control Panel. If the device still does not work, get updated drivers from the manufacturer.

29

This device is disabled because the firmware for the device did not give it the required resources.

Check the device's documentation on how to enable its BIOS. If that doesn't work, enable the device in your computer's CMOS settings.

30

This device is using an Interrupt Request (IRQ) resource that is in use by another device and cannot be shared. You must change the conflicting setting or remove the real-mode driver causing the conflict.

Check Device Manager to see if another device is using the same IRQ and disable it. If you can't find another device using the IRQ, look for drivers loaded in a Config.sys or Autoexec.bat file, and disable them.

31

This device is not working properly because Windows cannot load the drivers required for this device.

Click on Properties. If that doesn't work, remove the device in the Device Manager, and run the Add New Hardware wizard from Control Panel. If the device still does not work, get updated drivers or other assistance from the manufacturer.

32

Windows cannot install the drivers for this device because it cannot access the drive or network location that has the setup files on it.

Restart the computer.

33

Windows cannot determine which resources are required for this device.

Contact the hardware manufacturer and configure or replace the device. Also try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab.

34

Windows cannot determine the settings for this device. Consult the documentation that came with this device and use the Resource tab to set the configuration.

Change the hardware settings by following the manufacturer's instructions and then using the Resources tab to configure the device. Also try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab.

35

Your computer's system firmware does not include enough information to configure and use this device properly. To use this device, contact your computer manufacturer to obtain a firmware or BIOS update.

Run the troubleshooting wizard by clicking on Troubleshoot on the General tab. If that does not work, get a new or updated BIOS from your computer manufacturer.

36

This device is requesting a PCI interrupt but is configured for an ISA interrupt (or vice versa). Please use the computer's system setup program to reconfigure the interrupt for this device.

Check your computer's documentation for how to reconfigure the IRQ settings in the BIOS. Also, try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab.

37

Windows cannot initialize the device driver for this hardware.

Uninstall and then reinstall the driver. Also, try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab.

38

Windows cannot load the device driver for this hardware because a previous instance of the device driver is still in memory.

Restart the computer. Also, try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab.

39

Windows cannot load the device driver for this hardware. The driver may be corrupt or missing.

Uninstall and then reinstall the driver. Also, try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab.

40

Windows cannot access this hardware because its service key information in the registry is missing or recorded incorrectly.

Uninstall and then reinstall the driver. Also, try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab.

41

Windows successfully loaded the device driver for this hardware but cannot find the hardware device.

Uninstall and then reinstall the driver. Also, try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab. If the device is non-Plug-and-Play, you may need to run the Add Hardware wizard. To do that, from the Control Panel, choose Performance and Maintenance -> System -> Hardware -> Add Hardware Wizard.

42

Windows cannot load the device driver for this hardware because there is a duplicate device already running in the system.

Restart the computer. Also, try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab.

43

Windows has stopped this device because it has reported problems.

Check the hardware documentation. Also, try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab.

44

An application or service has shut down this hardware device.

Restart the computer. Also, try starting the troubleshooting wizard by clicking on Troubleshoot on the General tab.

45

Currently, this hardware device is not connected to the computer.

Reconnect the device to the computer.

46

Windows cannot gain access to this hardware device because the operating system is in the process of shutting down.

No fix should be necessary; the device should work properly when you start your computer.

47

Windows cannot use this hardware device because it has been prepared for "safe removal" but it has not been removed from the computer.

Unplug the device from your computer and then plug it in again.

48

The software for this device has been blocked from starting because it is known to have problems with Windows. Contact the hardware vendor for a new driver.

Get and install a new or updated driver from the hardware manufacturer.

49

Windows cannot start new hardware devices because the system hive is too large (exceeds the Registry Size Limit).

Uninstall any devices you are no longer using. To see devices that are using drivers, but are no longer attached to your computer, see [Hack #96]

12.2.1 See Also

  • [Hack #96]

    [ Team LiB ]


Hack 96 Uncover Hidden Hardware with the Device Manager

Hardware ghosts and other hidden devices can cause system conflicts, and the Device Manager won't report on them. This hack forces the Device Manager to uncover all your hidden hardware so you can resolve any conflicts.

One of the strangest hardware problems you'll encounter in XP are hidden and ghosted hardware devices that are invisible to you but that may cause system conflicts. You won't be able to see them in the Device Manager [Hack #95]. When you use that troubleshooting tool, you won't be able to uncover any problems they may be causing.

There are several types of these hidden and residential gateways:optimizingghosted devices that are hidden by the Device Manager. Non-plug-and-play printers, drivers, and similar devices don't show up. Most newer devices are plug-and-play, so you'll most likely encounter this problem only if you have old hardware attached to your PC. (Plug-and-play devices are automatically recognized and installed in XP.) In this instance, the device is physically present on your PC, but the Device Manager doesn't show you that it's there.

Then there are the so-called nonpresent or ghosted devices—devices that you've removed from your system without doing an uninstall, or whose uninstallation did not work properly. These devices aren't physically present in your system, but XP treats them as if they were and devotes system resources to them. For example, if you physically remove an old network card without doing an uninstall, it may cause IP and other kinds of conflicts, because XP treats it as if it were still in your system.

The Device Manager also may not give you details about USB devices that you only temporarily use and that you frequently attach and remove—for example, MP3 players that you attach to your PC only when you want to add or delete MP3 files from them. Even when these devices aren't present in your system, XP devotes resources to them. If you replace one USB device with another of the same model, it's best to go through the uninstall process rather than just swap them.

And then there are devices that you may have moved from one slot to another. XP may believe that they are actually present in two slots, so it devotes resources for both slots to them.

Displaying these hidden devices can help with troubleshooting. For example, a hidden device could possibly conflict with a nonhidden device. And there may be instances in which you will want to uninstall hidden devices—for example, when you've moved a non-plug-and-play network card from one slot to another and want to uninstall it from one slot.

But to do this kind of troubleshooting you'll need to force the Device Manager to display information about the devices; otherwise, you won't know how to solve the problem.

Forcing the Device Manager to display non-plug-and-play printers, drivers, and similar devices is a simple matter. Run the Device Manager by typing devmgmt.msc at a command prompt and pressing Enter, and then choosing View [image] Display Hidden Devices, and they will appear.

Displaying ghosted or nonpresent devices takes a little more work. You'll set a system-wide environment variable that forces the Device Manager to display them. First, right-click on My Computer and choose Properties [image] Advanced [image] Environment Variables. The Environment Variable dialog box opens. This dialog box let you set system variables for the entire system or for individual users. Environment variables control a variety of XP features, such as the location of your Windows directory and TEMP directories and the filename and location of the command processor that will launch when you run the command prompt.

There are two sections in the Environment Variables dialog box: "User variables" and "System variables." To apply the variable to a single user, use the "User variables" dialog box; to apply the variable to all users, use the "System variables" dialog box. In this case, you'll want to create the variable system-wide, so click New in the "System variables" section. The New System Variable dialog box appears. For "Variable name," type devmgr_show_nonpresent_devices. Once you've created the name, you need to give it a value. To turn the setting on, type 1 in the "Variable value" box. You can see the box filled out properly in Figure 12-3. Click OK and then OK again.

Figure 12-3. Setting the Device Manager to always show ghosted devices

So, now you've set the system variable properly, but the Device Manager won't display ghosted devices yet. You first have to tell it to display them. Run the Device Manager by typing devmgmt.msc at a command prompt or the Run box and pressing Enter. Then, choose View [image] Display Hidden Devices and the ghosted devices will appear, as shown in Figure 12-4. You should see quite a few devices now, including a lengthy list of non-plug-and-play drivers. Typically, devices that are not currently present on your PC will be shown as gray, rather than the black that connotes present devices. You may also see some devices listed more than once, as shown in Figure 12-4.

Figure 12-4. Displaying ghosted devices in the Device Manager

Now, use the Device Manager to troubleshoot any of those ghosted devices, as detailed in [Hack #95]. If you find any ghosted devices that you will no longer use on your PC, uninstall them from the Device Manager by right-clicking on the device and choosing Uninstall.

12.3.1 Hacking the Hack

If you want to use the Device Manger only on occasion to show ghosted devices and don't want to add another environment variable to your system, you can add the variable on an instance-by-instance basis—for example, for a single time that you run the Device Manager. At the command prompt, type set devmgr_show_nonpresent_devices=1 and press Enter. You won't get a prompt in response; the command prompt will stay blank. At the same instance of the command prompt, type start devmgmt.msc and press Enter. The Device Manager will launch in a separate window. Now, enable the Device Manager to show ghosted devices in the same way you did previously in this hack.

Keep in mind that you have to run the Device Manager from the same instance of the command prompt in which you typed devmgr_show_nonpresent_devices=1. If you run the Device Manager outside the command prompt, it won't display ghosted devices.


Hack 97 Check Your PC's Pulse and Tweak It for Better Performance

Find out how well your PC performs, peer under the hood to get diagnostic information, and get advice on tuning it, with Sandra.

Do you know how well your PC is really performing? How well do you think it does compares to other systems? And do you have any idea of nitty-gritty information like its memory bank layout, the current video refresh rate, which currently running process consumes the most memory, or which services you can most likely safely disable [Hack #4]?

Better yet—how about using that information to get tips to get your PC to run faster?

My favorite hardware analysis and tune-up program, Sandra (http://www.3bsoftware.com), will do all that and more. Sandra is shareware and free to try for 30 days, but if you use it beyond that you'll have to buy Sandra Pro for $29. Sandra Pro also gives you access to about a half-dozen analysis modules that Sandra doesn't have, such as modules about your network or fonts.

When you first run Sandra, you may well be overwhelmed, because you'll see several dozen icons, each of which runs a different diagnostic and benchmark test when double-clicked upon. For example, run the Memory Bandwidth Benchmark and Sandra returns results similar to the results shown in Figure 12-5, which measure the performance of one of my PCs. As you can see, it measures the speed of your memory and compares it to other memory chipsets. It also shows you the layout of your motherboard's memory bank, including the exact memory configuration in each bank. This is important when you want to add memory. Figure 12-5 shows me that I have two memory banks, each of which has a 128 MB memory chip in it. That means if I want to upgrade I'm going to have to take one of those chips out and essentially throw it away.

Figure 12-5. A memory bandwidth test and diagnostic for my PC

Sandra doesn't just give you diagnostics; it also offers recommendations on how you can fine-tune your PC. In this instance, it notes that my main system and my video system share memory, which reduces performance, and suggests that I install a video card with its own memory, as a way to improve performance.

The fastest way to get an overview of your system—as well as to get comprehensive advice on fine-tuning every part of your system, not just one subsystem—is to run the Performance Tune-Up Wizard. It analyzes your entire system and offers tips on tuning up each subcomponent, as shown in Figure 12-6. For my PC, it offered about a dozen tips, including which background services I might want to disable, ways to make my video system perform faster, among other advice.

Figure 12-6. Sandra offers system-wide tips for fine-tuning your PC's performance

12.4.1 See Also

  • Aida32 (http://www.aida32.hu) is a freeware diagnostic tool that gives you comprehensive information about your system.


Hack 98 Remap Your Keyboard

Create your own personalized, ultimate keyboard by remapping its keys to the way you want them to work.

Personal keyboard preferences are idiosyncratic; even a minor matter such as where the Alt or Ctrl keys should be located can inspire fevered debate. So, if you have personal preferences about where keys should be located, you can remap your keyboard to your own tastes using the TradeKeys utility from PC Magazine. It lets you map any key to any other key, including extended keys such as Right Ctrl, Right Alt, and the Windows logo key.

I find the utility particularly useful when I use one of my two laptops. Laptop keyboards are notoriously nonstandard, and I find the layout of my Dell Inspiron particularly maddening. The Windows key, for example, rather than being located on the lower-left part of the keyboard, where Nature intended it to be, is instead hidden away on the upper-right. Similarly, the Menu key, instead of being on the lower-right where all good Menu keys should be found, is also tucked away up on the right. So, I use TradeKeys to remap my Left Alt key to be a Windows key, and my Right Ctrl key to be a Menu key. True, it leaves me with only one Alt key and one Ctrl key, but that's a small price to pay to get the Windows and Menu keys in their proper places.

Remapping the keys is simple, as shown in Figure 12-7. After you run the program, choose the key you want to change from the "Map from:" area, and then choose the key you want it mapped to from the "Map to:" area. For example, to remap my Left Alt key to be a Windows key, I chose Left Alt in "Map from:" and Left Window in "Map to:" Then, I clicked on "Map [image] ". Keep on mapping keys in this way until you're satisfied with your new keyboard; then choose Save . . . . The new mapping will not take effect until you log off and then log back on. On some systems, you'll have to reboot.

Figure 12-7. Remapping keys with TradeKeys

You can also create different keyboard layouts and use each depending on how you're using your computer. Some simple games, for example, use letter keys to control motions and actions. If you prefer using other keys, such as the larger Ctrl and Alt keys, for those motions and actions, you can create one keyboard layout for that game and another layout for your normal use. To create a new keyboard layout, first map it, then choose Save. Give it a descriptive name. Create multiple keyboard layouts that way. Then, when you want to use one, call up TradeKeys, choose Load, and choose the layout you want.

TradeKeys is free, but only if you pay an annual fee for access to PC Magazine utilities. You'll have to pay $19.97 for a year, or $14.97 for a year if you're a PC Magazine subscriber. Go to http://www.pcmag.com and click on Downloads to download it and other "free" utilities.


Hack 99 Use ClearType for Better Laptop and LCD Resolution

Stop squinting at your laptop or LCD screen. Make any laptop and LCD screen easy to read.

Many people who use laptops complain that text is particularly difficult to read on LCD screens. Making matters worse is that many laptops are designed to work at very high resolutions (for example, 1400 by 1050 pixels), and at those resolutions the small type is particularly problematic on an LCD. The problem gets increasingly worse, because laptop screens keep getting larger and their resolutions keep increasing. On my 15-inch laptop with 1400-by-1050 pixel resolution, it's almost impossible to read text. Desktop-style LCD screens also have the same problems.

A simple hack will make text easier to read on both laptops and LCD screens; use Microsoft's ClearType technology, built into XP. To enable ClearType, right-click on the Desktop and choose Properties. Select Appearance [image] Effects. The Effects dialog box appears. Check the box next to "Use the following method to smooth edges of screen fonts." Select ClearType from the drop-down box, click OK, then click OK again. You'll notice the difference in how type is displayed.

You can use ClearType on a normal desktop PC monitor as well as a laptop, but I don't recommend it. On a normal monitor, it makes text appear blurry, and people have complained that using it gives them headaches. I've tried it and can vouch for that—headaches quickly ensue.

One problem with ClearType is that XP doesn't offer any apparent way to customize its appearance. However, there is an online tool that lets you fine-tune its appearance so that it's best for you. To tune ClearType, go to http://www.microsoft.com/windowsxp/pro/using/howto/customize/cleartype/tuner. You'll be asked whether you want to install and run the Microsoft Cleartype Tuning Control. Click Yes. From the page that opens, make sure the Turn on ClearType box is checked. There are two versions of the control; depending on your version of XP and whether you have certain XP service packs installed, you might get one or the other. In one of them, from the opening page, you click on Next; in the other, from the opening page, you click on "Move on to Step 2: Tuning ClearType Settings." Depending on the version of the control, the next page may display two versions of the same text and ask which looks better (One version is for RGB monitors, and the other version for BGR monitors). Choose the text that looks better and click Next. (One version of the control skips this page entirely, so you may not see it.)

Next, you'll come to a page that displays a block of text in six different ways. Click on the text that looks best and then click on Finish. You're done; you've tuned ClearType.

One thing you need to watch out for is that the text Microsoft displays isn't real text at all; it's a series of graphics that have been made to appear as if they were text. So, the tuner won't necessarily reflect what you'll actually see on your system. To more accurately tune your settings, while you're going through the tuning process, open a Word document in another window and look at the text in the document after you've tried different settings. The text in that window will more accurately show you how the text will appear with various settings.

Some users think ClearType looks better on some LCD screens than others. If you're creating screenshots for printing, you might try turning it off, since the effect doesn't always work as well on paper.

12.6.1 Hacking the Hack

When you enable ClearType, it's available only after you log on. So, the fonts displayed before log on won't benefit from ClearType. You can, however, use a Registry hack to enable Clear Type fonts even before logon. Run the Registry Editor [Hack #68] and go to go to HKEY_USERS\.DEFAULT\Control Panel\Desktop. Open the FontSmoothingType entry and change its value data to 2. (The default is 1, which means that font smoothing is enabled, but ClearType isn't. A value of 0 turns off both font smoothing and ClearType.) Exit the Registry Editor and reboot.


Hack 100 Networking on the Cheap: Set Up a Direct Cable Connection

You don't need a full-fledged network to connect two PCs using XP. Here's how to create a fast, cheap connection that's great for sharing files and other network needs.

If you are reading this book, which is (as you know) called Windows XP Hacks, then you probably get questions and pleas for help from your friends and family all the time (or you will, now that you've read the book!). You're the "computer guy" (women can be computer guys too, my female editor tells me) and you have the ability to "make it better." If that's a fair assessment of your situation, let's go through a scenario that happens to us hacker-types quite often.

It's 8:00 on a Sunday evening, and the phone rings. Your neighbor is panicking, because his computer is acting crazy and he just finished working on a huge PowerPoint presentation for work the next day. You grab your trusty laptop and your bag of computer parts and go next door.

You sit down at the computer and play with it a bit. Sure enough, it's got problems. The CD burner doesn't work, and the floppy drive is shredding disks. How's he going to transfer his file to his work machine? He doesn't have a dial-up account or Internet access, so you can't upload his file somewhere and download it to your computer—or perhaps it's just too big for his 28.8 bps modem to send.

Lucky for you (and for him), he's running Windows XP and so are you. Since you've read this book, you have exactly what you need on hand to save the day. You transfer his files to your laptop, burn a CD of the contents, and yet again save the day. He offers you money, but you refuse, because you'll keep him in mind the next time you need to move your piano.

12.7.1 Remember the Boy Scout Creed: "Be Prepared"

Before you can be the hero in this story, you need to have the proper tools. You might not have all the parts you need on hand, but you can get them with a quick trip to your computer store. There are three different cables you could use: a null serial cable, a parallel data cable, or a null Ethernet cable. All three cables are shown in Figure 12-8.

Figure 12-8. Null serial cable with DB-9 and DB-25 connectors (left), null Ethernet cable (right), and parallel data cable (back)

A null serial cable is the most universal cable; nearly every computer manufactured in the last 10 years has a serial port. The disadvantage is that serial transfer speeds are slower than parallel or Ethernet speed.

A null serial cable is not a serial modem cable; they look the same, but the connections are different. For this purpose, you want a cable that has female connectors on both ends. Serial cables can have two different connectors on the ends: DB-9 and DB-25. The DB-25 is an older connector that has 25 pins. If a computer has a DB-25 connector, it is probably too old to run Windows XP. I own a serial cable that has a DB-9 and a DB-25 connector on each end but I haven't used the DB-25 connectors for years. If you want to carry a serial cable, it is probably safe to buy one that only has DB-9 connectors.

If you have cable and some connectors lying around your office, you can make a null serial cable by connecting the same numbered pins on each connector, starting from the upper left, except for pins 2 and 3. Those pins are crossed so that pin 2 on one connector goes to pin 3 on the other and vice versa.

A parallel data cable allows for faster data transfers than a serial cable. A parallel data cable is not the same as a parallel printer cable! What you are looking for has a male DB-25 connector on each end. It is often called a LapLink cable or an FX cable. LapLink and FX were commercial products that performed this function in the past. Since Windows XP has the functionality built-in, all you need is the cable.

A null Ethernet cable is your best bet in terms of speed and ease of use. The advantages are that it works with all modern Windows operating systems and will be the fastest connection you can get. The disadvantages are that older computers may not have an Ethernet card or they may not have TCP/IP installed. You can purchase a null Ethernet card at most computer stores for a few dollars.

You can build a null Ethernet cable if you have a RJ45 crimper and RJ45 modular plugs by connecting the following pins with Cat-5 UTP cable: 1-3, 2-6, 3-1, and 6-2. The other pins are not necessary.

The null serial cable and the null Ethernet cable can be purchased for three or four dollars each from almost any computer store. The parallel data cable is a little more difficult to find, but it's still a good choice. No matter which of these you choose, you will be limited to connecting only two computers.

12.7.2 Cheap Networking with a Serial or Parallel Cable

Connect the computers using the serial or parallel cable. Make certain that you are connecting the same type of ports. Turn both computers on and log in so that both computers are waiting for you.

Decide which of the computers will be the host and which will be the guest. The host computer will be the one that supports the incoming connection. The guest will be the one accessing the remote computer.

On the host computer, open the Network Connections control panel. Click on the link labeled "Create a new connection." Click the Next button to get to the screen titled Network Connection Type. Choose the radio button labeled "Set up an advanced connection" and click Next. On the next screen, choose the radio button labeled "Connect directly to another computer" and click Next. When asked "Host or Guest," choose Host and press Next. You will be asked what device you wish to use to make the connection. If you are using a parallel cable, choose "Direct Parallel;" if you are using a null serial cable, choose the appropriate Communications Port (the one to which you connected your null serial cable—it should be labeled on your PC, but if not, check the documentation) and press Next. You will then be presented with the dialog box shown in Figure 12-9.

Figure 12-9. Host User Permissions screen

This dialog box asks you which users will have access to the host computer. If you are unsure about the security of the computer, you should choose an appropriate user. If you know the guest computer does not present a security risk, just choose the Guest account and press Next. The computer now has a network connection called Incoming Connections.

You need to know the network name of the host computer. If you do not know it, on the host computer right-click My Computer [image] Properties [image] Computer Name. The network name is the name next to the words "Full Computer Name."

Now it's time to configure the guest computer. Again, go to the Network Connections control panel applet and click the "Create a new connection" link. Select "Set up an advanced connection," click Next, choose "Connect directly to another computer," and click Next. This time, when given a choice of "Host or Guest," choose the Guest radio button and press the Next button. When asked for the connection name, type the network name of the host computer. If all goes well, you should see the dialog box shown in Figure 12-10. If you do, click the Finish button to close the dialog.

Figure 12-10. The New Connection Wizard

At this point, you have a physical and logical connection between the two computers. Activate the connection by double-clicking its icon on the desktop or in the Network Connections control panel of the guest computer. When the computers recognize each other, you will be asked for the username and password. If you provided guest access on the host computer, you do not need to enter anything; just click the Connect button. If the connection is made, Windows XP will pop up a notification on the taskbar, as shown in Figure 12-11.

Figure 12-11. New connection notification

At this point, you have a network connection. You can use your Network Neighborhood window to browse or search for the host computer. Shared folders will work the same as if you were on an Ethernet network. If your folders and printers do not have permission for the user on the host computer, they will not have the ability to share files or print.

Keep in mind that this method is a one-way connection. One computer is specifically the host and the other is the guest. Those roles cannot be reversed without creating another connection. If you would like to be able to access the computers without designating one as the host, you will need to use an Ethernet connection.

12.7.3 Cheap Networking with an Ethernet Cable

If you need to connect two computers and you want a fast connection, you need nothing more than the null Ethernet cable described earlier. Both computers need an Ethernet card with correct drivers and the TCP/IP protocol installed. An advantage of the Ethernet option is that it works on all versions of Windows, as well as other brands of computers.

If your computer does not have an Ethernet card, you can purchase one for $30 or so. For most home applications, a 10BaseT Ethernet card is sufficient, though a 10/100 card is not much more expensive and can send 10 times as much data. There are also cards called Gigabit Ethernet, but they are considerably more expensive and very few manufacturers include this type of equipment in their consumer-grade equipment. My favorite Ethernet card is the 3Com 3C905BTX. It's reasonably priced and every operating system knows how to deal with it. The DLink DFE530TX and the SMC 1244TX are also widely recognized and can be found for less than $25. Installing an Ethernet card with the manufacturer's instructions in hand is not difficult, but if you aren't comfortable working with the hardware inside your computer, you should let a technician do the job.

Connect the two computers using the null Ethernet cable. If the drivers are installed on both computers correctly, a green or orange light will appear near the point where you plugged in the cable on each computer. These link lights indicate that there is a physical connection present between the two computers and that the two Ethernet cards recognize each other. If you do not see the lights, it means that the drivers are not installed correctly, the cable is not wired correctly, or the card does not have a link light. The most likely cause is that the drivers are not installed, but I find that about 1 cable in 10 that I purchase is wired incorrectly.

Once you have a physical link established between the two computers, it's time to make the TCP/IP protocol work. Go to the Control Panel folder and open the Network Connections section. (Under Windows 98 and Windows Me, this control panel is called Network.) Search for your connection in its list and double-click it. Then, open the item named Internet Protocol (TCP/IP). (Under Windows 98 and Windows Me, every card and every protocol are listed in the same dialog.) Search for the one that says TCP/IP and has the name of your Ethernet card next to it.

There are many ways to configure a local area network, but the quickest and easiest way to connect two computers using a null Ethernet cable is to set the values, as listed in Table 12-2.

Table 12-2. Suggested TCP/IP setting for null Ethernet connection

Computer 1

Computer 2

IP Address

192.168.1.2

192.168.1.3

Subnet Mask

255.255.255.0

255.255.255.0

Gateway

192.168.1.1

192.168.1.1

Preferred DNS Server

Leave blank

Leave blank

Alternate DNS Server

Leave blank

Leave blank

At this point, the two computers will act is if they were on a larger network with routers and other equipment. You will not be able to access the Internet, but you will be able to share files and printers. The same restrictions apply here that apply to the other cabling options; the usernames on one computer must have appropriate permissions to access files and printers on the other computer.

If you plan to keep your cheap network connected all the time, use the Ethernet option. Ethernet has the advantage of being the fastest of the three cabling methods shown in this hack, and it is widely accepted as the high-speed networking choice. If you choose to add another computer at a later date or get broadband Internet access, the Ethernet option will be the easiest to adapt to the new network configuration.

—Eric Cloninger


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

"uninstallable" programs, entries in sysoc.inf file
.dbx file extensions (mail messages in Outlook Express)
.NET alerts (with Windows Messenger)
delivery of alerts
managing alerts from My Alerts Page
signing up for alerts
.pst file extension (Outlook)
.reg files
creating from existing portion of the Registry
default editor for, changing
deleting Registry keys and values
double-clicking on, changing default action to protect Registry
editing with word processors, problems with
exported from a Registry branch (example)
importing back into Registry
double-clicking on
opening in text editor
301 Permanent Redirect message
4NT command prompt
802.11x WiFi standard, versions of

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Actual Transparent Windows program
Ad-Aware (sypware detector)
adapters, getting information on with ipconfig
Adult Content Senders list (Outlook)
Advanced RISC Computing (ARC) path
Advanced Startup Manager, creating multiple profiles
advertising networks (cookie-based), opting out of
alerts
.NET [See .NET alerts]
performance
All Programs menu, customizing
America Online icon, removing from desktop
analog
CD, writing
video, converting to digital
animated effects (GUI), controlling
Annotis Mail
Anonymizer.com web service 2nd
anonymous web surfing
software for
Web-based anonymizer
ANSI codes
antennas for wireless networks
building your own for war driving
external and booster antennas, use of
tips for improving performance
antitrust case against Microsoft
appearance, customizing [See user interfaces]
applets
Control Panel
displaying in cascading menu
hiding from newbies
hiding unused
hiding with the Registry
hiding with XP Pro Group Policy Editor
recategorizing
running hidden applets
Java, running without problems
applications 2nd [See also programs]
background, reducing for better RAM use
command-line shortcuts for launching
customizing shortcuts
using with keyboard shortcuts for running
forcing older programs to use XP common controls
hidden fields in Word, security risks
memory-hogging, identifying with Task Manager
opening and creating Microsoft documents without Office
sharing with Messenger
uninstalling
cleaning up after
removing access to certain Microsoft programs
removing uninstall entries from uninstalled programs
XP-incompatible, forcing to run
Application Compatibility Toolkit, using
Compatibility Wizard, using
ARC (Advanced RISC Computing) path
archive files
Archive.pst (Outlook)
Web, single file (.mht)
arrays of strings [See string array values]
Ask Jeeves toolbar
ASR (Automated System Recovery)
Attachment Options add-in (Outlook)
attachments to email (blocked), opening in Outlook/Outlook Express
forcing Outlook Express to open blocked file attachments
forcing Outlook to open blocked file attachments
audio bit rate and properties(video setting)
authenticode settings for IE, customizing
AutoEndTasks key (Registry)
autologon, enabling
Automated System Recovery (ASR)
NTBackup installed on XP Home machine
Axialis AX-Cursors program

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Back Orifice Trojan, use of ports
background images, customizing in VDM
background services and applications, reducing
Backup and Restore utility
ASR, XP Home and
Backup Plus program
Backup Utility, installing manually in XP Home
backups
building better strategy for
backup utilities in Windows XP
getting a better backup program
mapping out backup plan
system organization that aids backup process
cookies (from IE)
Outlook and Outlook Express data files
add-in software, using
manually backing up Outlook
manually backing up Outlook Express
Registry 2nd
using Backup utility
using Registry Editor
using System Restore
restoring
balloon tips
changing for system objects
customizing for folders
batch conversions of image formats
batch file, creating
beeps (system), turning off
binary NOT operator (&!)
binary values (Registry) 2nd
subkey section, examples in
Blocked Senders List (Outlook Express)
Boolean operators in Indexing Service queries
booster antennas for wireless networks
boot defragment
boot files, defragmenting
boot menu, fixing
boot screen, changing
building startup screen from graphics
chossing from multiple screens
boot sector, fixing
boot.ini file
editing
[boot loader] section
[operating system] section
switches
BootVis utility
BootXP program
Briefcase
files, information about
mobile file transfers with
broadband Internet connections, targets of crackers and wannabes
browsers
Internet Explorer [See Internet Explorer]
Mozilla
cookie management, privacy settings
Navigator and Mozilla, deleting cookies
Opera and Mozilla, killing pop ups
browsing (network), speeding up
buffers (mouse and keyboard), changing size of
Bugnosis program
buttons [See also user interfaces]
customizing appearance of
VDM taskbar, customizing

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

cable modems, resetting to repair TCP/IP connection
cables and connectors for direct network connections
cache memory, removing DLLs from
CacheRight program
caching
DNS cache settings on XP, adjusting
improving web site performance with
calendar backup file (Outlook)
cantenna (wireless), building
online directions
Caps Lock, automatically turning on at startup
cards, wireless network
cd command to list all files and subfolders on all folders on all local disks
CDs
burning
digital music files that skip and pop
skipping in burned music CDs
storing backups on
cipher command
class definitions of unique objects
class ID (CLSID) for desktop objects
removing icons with
Classic Internet Search Companion
ClearType
fonts displayed before logon
clients
FTP
remote
IP addresses and domain names
setting up
clipboard enhancement with ClipCache Plus
cleaning up text
multiple clips, capturing and storing
Office clipboard vs.
orgainzing into folders
pasting clips into an application
Clipboard, screen captures to
collaboration with a whiteboard [See whiteboard]
colors
background, customizing for desktop
changing settings for Java applets
reducing for better RAM use
comma-separated (.cvs) log file, viewing in spreadsheet
command line
4NT program
Command Prompt Explorer Bar
disk defragmenter, running from
putting prompt on desktop
shortcuts for customized Windows Explorer views
desktop shortcuts
GUIDs, using with
shortcuts for launching applications
customizing with switches and parameters
usng with keyboard shortcuts for running
tools for troubleshooting network connections [See troubleshooting network connections]
command prompt, opening from Explorer context menu
comments, adding to HOSTS file
Commit Charge higher than Physical Memory available
compact privacy statements
company name registered as system owner, changing
Compare Folders feature (PowerDesk)
compatibility problems with earlier Windows programs
Application Compatibility Toolkit, using
Compatibility Wizard, using
components (XP)
hiding to prevent removal
removing
compression, file
NTFS
converting other filesystems to NTFS
converting previous filesystems to
disk space saved by
system or .log files, performance and
ZIP files vs.
screen capture images saved to Photo Editor
Connect on Demand setting (residential gateways)
connecting to web sites, problems with
connection settings for IE, customizing
connectors [See also hardware]
for wireless antenna
contacts
Outlook Express, in Windows Address Book
Outlook, backup files for
CONTAINS operator (Indexing Service)
content ratings, customizing for IE
context menus [See also shortcut menus]
Windows Explorer, improving
command prompt, opening
copy/move to folder options
Open With option
Send To option
Control Panel
building customized
displaying applets in cascading menu
hidden applets, running
hiding unused applets
Registry, using
XP Pro Group Policy Editor, using
recategorizing applets
Cookie Pal utility
cookies
examining and deleting manually
exporting, importing or backing up
IE cookie handling, customizing
IE privacy settings, effects of
opting out of cookie-based ad nedworks
related terminology, understanding
spyware problems with
third-party cookie managers
Windows Media Player, privacy problems with
Copy To Folder option (Explorer context menu)
copying files from local drives to removable media in Recovery Console
copyright laws, themes and
cordless phones, interference with wireless equipment
crackers (malicious hackers), attacks through
Create Shortcut Wizard
credential agencies, designating as trustworthy
cryptography [See also Encrypting File System]
PowerDesk utility
WEP encryption
cursors
capturing in screenshots
creating your own
Axialix AX-Cursors program (creating from scratch)
CursorXP Free program
CursorXP Plus program
Microangelo program
free, download site

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

DAP (Download Accelerator Plus) program
data files (current), backing up
data types, Registry 2nd
examples in subkey section listing
dates and times
expressions in Indexing Service queries
Maximum Idle Time setting (residential gateways)
NTFS date and time stamps, updates of
timeouts for programs, changing
decrypting files and folders with EFS
defragmentation [See disk defragmentation, improving]
dekstop shortcuts
Explorer custom views 2nd
Desktop.ini files
desktops
command-line prompt on
control for current users by Registry hive
customizing background, color and system icons
deleting unnecessary icons
hiding icons that can't be deleted
reducing icon numbers to conserve RAM
removing "unremovable" icons
showing Windows version on
system object icons, changing
Virtual Desktop Manager
activating the toolbar
customizing
switching between desktops
Windows 2000, using in XP
Destroy File feature (PowerDesk)
Detect Hidden Files (Word Tools menu)
Device Manager
error messages, decoding
error codes, messages, and potential solutions
hidden hardware, discovering
DHCP (Dynamic Host Configuration Protocol)
getting informationon with ipconfig
IP address assigned by, renewing
diagnostic services, bypassing ICF firewall
dictionary attacks
digital music files, skipping and popping
digital video cameras
direct cable connections for networking
cables and connectors
Ethernet cable, using
serial or parallel cable, using
directories [See also files; folders]
printing file listings in Outlook XP
Disconnect Network Drive option (Explorer Tools menu)
disk defragmentation, improving
boot files, defragmenting
failure of disk defragmenter
getting a better disk defragmenter
running disk defragmenter from command line
disk space
Disk Cleanup warning, disabling
DVD burning, requirements for
saved by NTFS compression
Diskeeper defragmenter
Display Properties dialog box
display settings, changing to run applets
DLLs, removing from cache memory
DNS
getting information on servers with ipconfig
getting IP address of server with netsh
settings, customizing for faster Internet access
cache settings
fixing DNS problems
HOSTS file
domain names for remote clients
DOS
applications, memory use and
executing commands with MCL command prompt
double-clicking on .reg files
DoubleClick online advertising network, opting out of
DoubleClickSpeed value (Registry)
Download Accelerator Plus (DAP) program
drawings, sharing with whiteboard [See whiteboard]
driver delays at startup, tracing
DSL
Internet access, hub/router settings for
resetting modems to repair TCP/IP connection
DVDs
making your own
storing backups on
DWORD values (Registry) 2nd
creating new (NoLowDiskSpaceChecks)
examples in subkey section listing
dynamic DNS service
Dynamic Host Configuration Protocol [See DHCP]
dynamic IP addresses [See also DHCP]
mapping to hostnames for servers

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Echo Request messages
sent by ping
sent by tracert
editing the Registry
.reg files, using for safety [See .reg files]
Registry Editor, using [See Registry Editor]
tracking changes with RegSpy
EFS [See Encrypting File System]
email
alternatives to Outlook/Outlook Express
Eudora
Pegasus
backing up and restoring Outlook/Outlook Express data files
add-in software, using 2nd
manually backing up Outlook
blocked attachments, opening in Outlook/Outlook Express
forcing Outlook Express to open blocked file attachments
forcing Outlook to open blocked file attachments
cleaning up text in clips with ClipCache Plus
getting IP adress of mail server with netsh
problems getting from server, troubleshooting
problems with ICF
SMTP service for
spam [See spam]
web-based, retrieving with your email software
Hotmail mail, getting with Hotmail Popper
Yahoo! mail, getting with YahooPOPs!
email addresses, obfuscating for harvesting bots [See spam]
EMS Free Surfer mk II
Encrypt/Decrypt feature (PowerDesk)
Encrypting File System (EFS)
encrypted files, sharing
encrypting files and folders
decrypting files and folders
encrypting/decrypting from command line
environment variables (system)
EQUALS operator (Indexing Service)
error messages
Device Manager, decoding
codes, messages, and potential solutions
disabling display at startup
ESP (Eudora Sharing Protocol)
Ethernet
cards for direct cable connection networks
null Ethernet cables 2nd
cheap networking with
PPPoE (Point-to-Point Protocol over Ethernet)
TCP/IP settings for null cable connection
Eudora
file sharing through ESP
free, ad-supported version
HTML display, turning off in emails
MoodWatch feature
sending voice messages via email
Exact Audio Copy program
Excel, command-line switches for starting
Exchange Server (Outlook on), backing up messages, contacts, and calendar
expanded string value (Registry) 2nd
explicit consent vs. implicit consent (for use of personal information)
Explorer [See Internet Explorer Windows Explorer]
exporting cookies from Internet Explorer
expressions in Indexing Service queries
external antennas for wireless PCs

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

fades (XP GUI), controlling
Fast User Switching, offline files and
fastdetect switch (boot.ini)
FAT32 filesystem
converting to NTFS
NTFS compression and
Favorites, saving offline with links
file attachments (blocked) in Outlook/Outlook Express
file extensions blocked by Outlook
file downloads, speeding up
file encryption key (FEK)
File Finder feature (PowerDesk)
file sharing
enabling through ICF firewall
Eudora Sharing Protocol (ESP)
without pop-up ads and spyware
spyware in software
TCP/IP, disabling
VPN connections, firewalls and
files
backing up [See backups]
capturing and storing with ClipCache Plus
encrypting with EFS
generating listings with Windows Explorer
Indexing Service utility
query language
left behind by uninstalled applications
listing all on local disk
mobile file transfers with Briefcase
offline
snchronizing to/fom LAN and your laptop
Open With option (Windows Explorer)
printing listings in Outlook XP
Registry information about
renaming with Better File Rename
viewing with IrfanView
filesystems
converting others to NTFS
Encrypting File System [See EFS]
NTFS [See NTFS]
filtering
Eudora capabilities for
noise filter for Indexing Service searches
in Outlook spam handling
firewalls
Internet Connection Firewall (ICF)
email, problems with ICF
tracking activity with ICF log
no-IP.com client, problems connecting
probing for online vulnerabilities
remote access connections and
unsolicited inbound traffic, allowing through
ZoneAlarm 2nd
configuring to block Trojans
versions of
FireWire ports, importing video
first-party cookies
customizing IE handling of
flushing your DNS cache 2nd
folders
clips stored with ClipCache Plus
Compare Folders feature (PowerDesk)
Copy to Folder and Move to Folder (Explorer context menu)
customizing icons and balloon text
encrypting with EFS
generating listings with Windows Explorer
GUIDs for
hidden (C:\WINDOWS\INF folder)
hiding with EFS
behavior of encrypted folders
decrypting folders
encrypting folders
encrypting/decrypting from command line
sharing encrypted files
left behind by uninstalled applications
listing all on local disk
offline files, synchronizing to/from LAN to your laptop
frames per second
FreeNets
networks not part of
freetext expression search (Indexing Service)
FTP client (PowerDesk)
FTP site, hosting with IIS
FX cables

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

GAPIS program (Google searches from your desktop)
gateways, residential [See residential gateways]
Genie-Soft, for backups of Outlook/Outlook Express
ghosted hardware devices
displaying with Device Manager
Gibson Research Corporation
web page listing known spyware
Glass2K program
Globally Unique Identifiers (GUIDs)
for system folders
for Windows Media Player
Google
image search
searches directly from your desktop (not your browser)
Google Toolbar
searching current site instead of entire Web
targeted searches of a particular site
Googlebar (third-party toolbar)
gpedit.msc command
graphical user interfaces (GUIs) [See user interfaces]
graphics [See also images]
converting to startup screen
cursor, importing with AX-Cursors
Google image search
image conversion
ImageConverter.EXE
IrfanView program
screenshots [See screenshots]
Group Policy Editor
customizing IE with
connection settings
IE settings you can modify
IE user interface
programs setting
security settings
Start Menu and Taskbar, customizing
Group Policy Editor, customizing IE with
URLs
groups (folders for ClipCache clips)
guest computer
configuring
GUIDs [See Globally Unique Identifiers]
GUIs (graphical user interfaces) [See user interfaces]

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

hard disk defragmentation [See disk defragmentation]
hardware
hidden, discovering with Device Manager
ghosted or nonpresent devices
hidden devices, forcing display of
occasional showing of ghosted devices
network, rated speed vs. actual performance
networking with direct cable connection
cables and connectors
Ethernet cable
serial or parallel cable
Registry information about
remapping the keyboard
screen resolution, improving
troubleshooting with Device Manager error messages
codes, messages, and potential solutions
header information for email, viewing in Outlook/Outlook Express
hexadecimal numbers (DWORD values as)
hibernation file, defragmenting
hibernation, NetBEUI protocol and
hidden and ghosted devices [See hardware]
hidden fields in Word, security risks of
Hidden File Detector utility
hives, Registry
defragmenting
HKEY_CLASSES_ROOT
HKEY_CURRENT_CONFIG
HKEY_CURRENT_USER 2nd
HKEY_LOCAL_MACHINE 2nd
HKEY_USERS
Hollywood DV-Bridge
home networks [See also networking; residential gateways]
router, resetting to repair TCP/IP connection
wireless, setting up
host computer [See hosts]
hosting web site with IIS
caching, improving performance with
installing IIS
MMC snap-in for site administration
redirecting incoming incorrect URLs
redirecting your site to a URL
hostnames
mapping to dynamic IP address
resolution to IP addresses
with ping
hosts
Dynamic Host Configuration Protocol [See DHCP]
network name of
pinging to diagnose connection problems
user permissions
HOSTS file
comments, adding
editing
incorrect or outdated listings
updating to prevent loss of access to sites
HTML
email addresses, writing in HTML characters
special characters, online listing of
turning off display in emails to prevent spam attacks
hubs/routers for home networks [See residential gateways]
hung programs, changing time for XP reporting

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

ICF [See Internet Connection Firewall]
ICMP (Internet Control Message Protocol)
allowing traffic through ICF firewall
Echo Request messages
sent by ping
sent by tracert command
icons
creating your own
Microangelo program
customizing folder icons
deleting from desktop
free, download site
Notification Area, hiding all in
removing "unremovable" from desktop
system objects, changing on desktop
IE [See Internet Explorer]
IIS [See Internet Information Services]
images
converting
ImageConverter.EXE, using
IrfanView program, using
PowerDesk, using
file formats, screen captures saved to Photo Editor
Google searches for
sharing with whiteboard [See whiteboard]
implicit consent vs. explicit consent (for use of personal information)
importing cookies from Internet Explorer
Index of Known Spyware (web page)
Indexing Service utility
noise filter, editing
query language
searching using properties
searching with operators and expressions
ranking search results
installing programs, changing default location for
instant messaging [See messaging Windows Messenger]
interference with WiFi equipment, avoiding
Internet Connection Firewall (ICF)
email, problems with ICF
spyware and
tracking activity with ICF log
Trojan horses, inability to protect against
unsolicited inbound traffic, allowing through
customizing default service settings
file sharing, allowing
ICMP
services that can be allowed to bypass ICF
Internet connections [See networking residential gateways]
Internet Explorer
cookie handling
customizing
exporting or backing up cookies
privacy settings, effects of
cookie settings, customizing
cookie-based advertising networks, opting out of
customizing with Group Policy Editor
connection settings
IE settings you can modify
programs setting
security settings
URLs
user interface
hiding desktop icon
pop ups, stopping
alternative browsers, using
proxy server, configuring to use
reading web pages offline
Search Companion, improving
searches
with Google Toolbar
web bugs, blocking
web bugs, program to alert you about
Internet Information Services (IIS)
caching
installing
MMC snap-in for site administration
redirecting incoming incorrect URLs
redirecting your site to a URL
Internet searches
Google Toolbar, using
metasearch software
Internet services
firewalls, problems with
port addresses for
port forwarding, enabling on residential gateways
using separate proxy servers for
IP addresses
DHCP-assigned, renewing
of DNS and mail servers, getting with netsh
hostname resolution to
HOSTS file, using for
ping, using
mapping hostname to dynamic IP adress
release and renewal with ipconfig
for remote clients connecting through dial-up, DSL, or cable
on residential gateway networks
IP protocols [See protocols]
ipconfig utility
releasing and renewing DHCP-assigned IP addresses
troubleshooting TCP/IP problems
command-line switches, listing of
IPSec protocol, use by VPNs
IPX/SPX with NetBIOS (alternative to NetBEUI)
IrfanView program

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Java applets, running without problems
changing display settings
Java Virtual Machine (JVM)
uninstalling older versions
verfiying
JavaScript, using to confuse email address harvesters
JVMs (Java Virtual Machines)
Microsoft version
Sun version
uninstalling older versions

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Kazaa Lite
Keep Alive setting (residential gateways)
kernel, placing in RAM for better performance
keyboard buffer, changing size of
keyboard shortcuts
for running applications
switching VDM desktops
keyboard, remapping
keys, Registry
deleting for uninstalled programs
deleting using .reg files
editing, creating, or deleting with Registry Editor
renaming with Registry Editor
subkeys [See subkeys, Registry]
values

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

LAN MAC address
LAN Settings dialog box, configuring proxy servers
LapLink cables
laptops [See also offline files]
entering into power-saving state
LCD screens, improving resolution on
links in Word documents to files, security and
Linksys routers, permanent logs for
Linksys wireless networks, improving signal strength
locking a whiteboard
logging
compressing files, performance and
Enable Logging setting (residential gateways)
ICF activity
system performance logs, setting up
what to watch
system performance logs, viewing
logins
autologon, enabling
controlling with Registry
LPs (music recorded from), problems with
Luna theme

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

MAC (Media Access Control) address
cloning for residential gateway
getting information on with ipconfig
mail [See email]
mail rules
Outlook Express, stored in Registry keys
Outlook, backing up files
Pegasus, sophistication of
MailWasher program
main.cpl command
manifest file, creating for older programs
Map Network Drive option (Explorer Tools menu)
mapping wireless networks
Maximum Idle Time setting (residential gateways)
MBR, fixing
MCL program
command prompt, features of
Media Access Control address [See MAC address]
Media Player
CD burning
adjusting speed
MP Version 9, using with TweakMP
pauses between tracks
Customer Experience Improvement Program option
Enhanced Content Provider option
privacy problems with
running on VDM
memory use [See RAM, making the most of]
menus [See also context menus; shortcut menus]
folder or files listings in Windows Explorer, creating
Windows Explorer context menu, improving
Windows Explorer shortcut menu, customizing
messages [See email; error messages; ICMP]
messaging [See Windows Messenger; XP Messenger Service]
universal, with Trillian
Windows Messenger
Messenger [See Windows Messenger]
Messenger Service (XP)
disabling
pop ups, stopping
disabling port 135 on router
Windows Messenger vs.
metasearch software
Microangelo program, creating cursors and icons
Microsoft applications [See applications individual application names]
Microsoft Management Console [See MMC]
Microsoft Office [See Office]
Microsoft Outlook [See Outlook]
Microsoft Photo Editor, pasting screen captures to
Microsoft Plus! for Windows XP
Microsoft VM, uninstallimg
Microsoft Word [See Word]
Microsoft, federal antitrust case against
microwave ovens, interference with wireless equipment
MMC (Microsoft Management Console)
caching, improving web site performance with
changing your web site directory
performance alerts, creating
redirecting your web site to a URL
system performance logs, setting up
system performance logs, viewing
URLSpellCheck
MoodWatch feature (Eudora)
Most Frequently Used Programs List
banning programs with Registry
banning programs with TweakUI
killing with Registry hack
mouse
actions, speeding up
changing size of buffer
customizing pointer
DoubleClickSpeed (Registry value)
Move To Folder option (Explorer context menu)
Movie Maker
capturing video properly
digital video camera, using
DVDs, making
recording video, best settings for
preset profiles
Mozilla browser
cookie management 2nd
Googlebar for Netscape 7/Mozilla
killing pop ups
MP3 format, saving streaming audio to
msconfig command
MTU (Maximum Transmission Unit), setting for residential gateways with DSL access
multimedia
CD burning
digital music files, skipping and popping
skipping in burned music CDs
file sharing without spyware
streaming music, saving to your PC
capturing in MP3 format
videos, making with Windows Movie Maker
capturing video properly
digital video camera, using
recording video, best settings for
music [See multimedia]
My Alerts page, managing .NET alerts
My Network Places
closing down ports manually
hiding desktop icon

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

name resolution [See hostnames, resolution to IP addresses]
naming convention (8.3), disabling in NTFS
NAT [See Network Address Translation]
National Television Standards Committee (NTSC)
negative and positive entries (resolve cache)
Nelson's Email Organizer (for Outlook)
Nero Burning ROM program
NetBEU protocolI
installing on XP
difficulties of
NetBEUI protocol
end of Microsoft support for
installing on XP
disabling TCP/IP file and printer sharing
Windows 2000 version
NetBIOS, IPX/SPX with
NetIQ's free QCheck program [See QCheck program]
Netscape 7 browser, Google Toolbar for
Netscape Navigator
cookie-based ad networks, opting out of
cookies, handling of
netsh tool
netsh diag commands, listing of
using directly from command line for from netsh console
NetShell utility, resetting TCP/IP to original configuration
netstat command
open network connections, getting information on
network adapter's MAC address
cloning for residential gateway
Network Address Translation (NAT)
automatic mapping of hostname to dynamic IP address, problems with
VPN connections and
network and multiuser policies and rights
Network Connections folder, closing down ports manually
Network Setup Wizard, correcting TCP/IP configuration
Network Stumbler program
detecting nearby wireless networks
networks not part of FreeNets
wireless network cards it works with
networking
closing down ports and blocking protocols
connections, management by HKEY_CURRENT_USER (Registry hive)
controlling another PC with remote access
configuring XP remote server
firewalls, remote access connections and
setting up remote client
direct cable connections, using
cables and connectors
Ethernet cable
serial or parallel cable
DNS settings, customizing for faster Internet access
cache settings
fixing DNS problems
HOSTS file
extending range of wireless network
antennas (access point or PCs), avoiding placement near large metal objects
avoid putting access point next to outside wall
avoid putting access point or PCs near microwavs or cordless phones
centrally locate access point
external and booster antennas, use of
vertical orientation of access point antennas
wireless PC antennas, pointing toward access point
firewalls
Internet Connection Firewall (ICF)
unsolicited inbound traffic, allowing through
ZoneAlarm
making server always available by mapping hostname to dynamic IP address
peer-to-peer, improving with NetBEUI
proxy servers, protecting your PC with
configuring IE to use proxies
finding free, public proxies
limiting connections to certain web sites
renewing DHCP-assigned IP address
repairing broken TCP/IP connection
residential gateways, optimizing
cloning MAC address
hub/router settings for DSL access
VPN, settings for using
security, testing with Shields Up
speeding up network browsing
troubleshooting network connections
ipconfig utility, analyzing TCP/IP problems
netsh tool
netstat, getting information on open connections
pathping command, using
ping, diagnosing TCP/IP problems
tracing network and internat data path with tracert
VPN, setting up
Windows Media Player, privacy problems with
wireless networks
checking WiFi performance with QCheck
war driving for WiFi access
New Connection Wizard
New document menu, cleaning up
New ESP Share Group Wizard (Eudora)
No-IP.com
NoHTML plugin (for Outlook)
noise filter for Indexing Service searches, editing
non-plug-and-play devices, forcing display by Device Manager
nonpresent or ghosted devices
forcing display with Device Manager
NOT operators (unary and binary)
Notepad, creting batch file
Notification Area
hiding all icons in
network icon
wireless network connections, information about
NTBackup
inability to back up directly to CDs
installed on XP Home, ASR and
restoring a backup
NTFS (NT File System)
naming convention (8.3), disabling
NTFS (NT File System) compression
converting previous filesystems to
disk space saved by
folder compression, effects on files
improving NTFS performance
ZIP files vs.
NTI Deluxe Backup Plus! Now
ntoskrnl.exe file
NTSC (National Television Standards Committee)
null Ethernet cables 2nd
cheap networking with
TCP/IP settings for
null serial cables 2nd
Num Lock, automatically turning on at startup
numbers
in Indexing Service queries
representing DWORD data type in Registry values

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Object Desktop package
Office
clipboard, ClipCache vs.
opening and creating Microsoft documents without
screen captures, pasting into Microsoft Photo Editor
offline files
synchronizing to/from LAN and your laptop
on-demand and scheduled synchronization 2nd
offline reading of web pages
with Internet Explorer
Offline Favorite Wizard, saving pages with links
Open Command Window Here PowerToy
Open dialog box, adding folders to
Open With dialog box
Open With option (Windows Explorer files)
Opera browser, killing pop ups
operating systems
boot.ini file, editing in
multiboot startup options
Registry information about (HKEY_LOCAL_MACHINE)
single, customizing startup menu
operators in Indexing Service queries
Boolean operators
EQUALS and CONTAINS operators
relational operators
opting out of online advertising networks
Orinoco card (wireless networking)
outbound traffic from your PC, monitoring/blocking with ZoneAlarm
Outlook
Annotis Mail add-in software
backing up and restoring data files
files and extensions, listed
backing up data files
manual backups
Outlook 2000/XP Backup software, using
deleting icon from desktop
hiding desktop icon
Hotmail Popper, configuring to work with
mail header information, viewing
Nelson's Email Organizer program
Outlook.pst file
spam handling
normal filters, using
spam senders filters, using
SpamNet (add-in) spam killer
turning off HTML display in emails
XP, printing directory listings
YahooPOPs!, configuring to work with
Outlook Express
Annotis Mail add-in software
backing up data files
manually
Outlook Express Backup software, using
forcing to open blocked file attachments
HTML display, turning off in email
mail header information, viewing
spam, handling in

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

PageRank feature (Google Toolbar)
disabling for privacy
Paging Executive, disabling for performance
paging file
clearing at shutdown, disabling
defragmenting
memory use reporting in Task Manager
Paint program, pasting screen captures to
parallel data cables 2nd
pasting screen captures to graphics program
pathping command
peer-to-peer computing
fighting spam
add-in spam killer for Outlook (SpamNet)
file sharing in Eudora
networking, improving with NetBEUI
Pegasus
message-viewing capabilities
Per Site Privacy Actions dialog box
PerfectDisk2000 defragmenter
performance
file compression and
system and .log files
hard disk defragging for PC, improving
improving for NTFS (NT File System)
loading resources for uninstalled programs
system
checking and tweaking
getting the most out of RAM
Registry hacks to speed up XP
repair and recovery with Recovery Console
tracking with Performance Console
Windows XP visual effects and
web site, improving with caching
wireless networks
checking with QCheck
performance alerts
Performance Tune-Up Wizard
permanent redirection for web resources
personal information, protecting [See privacy]
phones (cordless), interference with wireless equipment
Photo Editor (Microsoft)
phrase search (Indexing Service)
Physical Memory available, Commit Charge higher than
pigtail connectors
ping [See also pathping command]
allowing to bypass ICF firewall
diagnosing and fixing DNS problems
troubleshooting TCP/IP problems
useful switches
Pinned Programs List
Point-to-Point Tunneling Protocol (PPTP)
Point-to-Point Tunneling Protocol (PPTP), use by VPNs
policies (network and multiuser), setting
policy statement for cookie use on a site
pop ups
Messenger service, stopping
disabling port 135 on router
stopping on Internet Explorer
popping sounds in music CDs [See multimedia]
port addresses for common Internet services 2nd
port forwarding
home networks using NAT, to enable VPN connections
residential gateways using NAT
port forwarding on
ports
closing down manually
closing down to block protocols
use by Trojans
positive and negative entries (resolve cache)
power-saving state, allowing laptops to enter
PowerDesk utility
archive management with
Compare Folders feature
Destroy File feature
different Windows versions, using with
Encrypt/Decrypt feature
File Finder feature
finding and renaming files
FTP client
moving and copying files
toolbars, customizing
PowerPoint, launching with command-line switches
PowerToys
Open Command Window Here
TweakMP
TweakUI utility
Virtual Desktop Manager (VDM)
PPPoE (Point-to-Point Protocol over Ethernet)
prefetch parameters, tweaking for performance
printer sharing (TCP/IP), disabling
privacy
anonymous proxy servers for Web surfing
cookies, protecting against
customizing IE cookie handling
IE privacy settings
policy statements for cookie use
Google PageRank feature and
implicit vs. explicit consent for use of personal information
personal information left behind in Web surfing
Windows Media Player, fixing problems with
Windows Media Player, problems with
privacy preferences at installation
ProgramFilesDir value (Registry), changing
programs [See also applications]
closing automatically at shutdown
connections to Internet, controlling with ZoneAlert
location for installing, changing default
Most Frequently Used List
banning programs with Registry
Open With option for Explorer files
running at startup
disabling with Registry
disabling with System Configuration
eliminating
timeouts, changing with Registry hack
programs setting (IE), changing
progressive graphics
properties for searching (Indexing Service)
protocols [See also listings uder individual protocol names]
blocking by closing ports for
proxy servers
anonymous Web surfing with
protecting your PC with
configuring IE to use proxies
configuring Internet Explorer to use
finding free, public proxies 2nd
limiting connections to certain web sites

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

QCheck program
checking WiFi network performance

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

RAM, making the most of
better use of memory with Task Manager
identifying memory-hogging applications
Performance tab memory reporting
tips for
desktop icons, reducing
DOS applications, avoiding
reduce background applications and services
reducing number of colors
remove DLLs from cache memory
ranking Indexing Service search results
RAS (Remote Access Server)
reading web pages offline
with Internet Explorer
rebooting
shortcuts for
Recovery Console
allowing floppy copy and access to all drives and folders
commands for examining the system
fixing MBR, boot sector, or boot menu
fixing Windows
starting
Recycle Bin
disk defragmentation and
hiding desktop icon
removing icon from desktop
redirections
incoming misspelled URLs
permanent redirection for web resources
web site parent directory to child directory
web site to a URL
REG_BINARY data type (Registry) 2nd
REG_DWORD data type (Registry) 2nd
REG_EXPAND_SZ data type (Registry) 2nd
REG_MULTI_SZ data type (Registry) 2nd
REG_SZ data type (Registry) 2nd
RegisteredOrganization value (Registry), changing
RegisteredOwner value (Registry), changing
Registry
backups
using Backup utility
using Registry Editor
using System Restore
boot defragment option, checking
context menu items, removing from Explorer
Control Panel category values
Copy to Folder/Move to Folder, Explorer context menu options
customizing user interface [See user interfaces, customizing with the Registry]
DLLs, removing unneeded from cache memory
editing safely with .reg files [See .reg files]
editing with Registry Editor [See Registry Editor]
entries for uninstalled programs, deleting
entries left behind by uninstalled programs
finding and deleting
Explorer context menu, improving
opening command prompt
hacks that use
allowing laptops to enter power-saving state
changing names of registered user and company
closing programs automatically at shutdown
disabling XP shutdown
Disk Cleanup warning, disabling
mouse and keyboard buffer, changing size of
program installation location, changing default
timeouts for programs, changing
hacks to speed up XP [See under system performance]
halting programs running at startup
hives
defragmenting
HKEY_CLASSES_ROOT
HKEY_CURRENT_CONFIG
HKEY_CURRENT_USER
HKEY_LOCAL_MACHINE
HKEY_USERS
introduction to
keys, forcing automatic on/off
keys, subkeys, and values
primary data types of values
Most Frequently Used Programs List
banning probrams from
killing
network browsing, speeding up
NTFS, disabling automatic updates on
Outlook Express
mail rules stored in
mail settings, accounts and preferences
Outlook, opening blocked file attachments
spyware problems, detecting and fixing
system objects
changing desktop icons for
changing text and balloon tips
tracking changes with RegSpy
rolling back install/run changes for uninstalled programs
uninstall entries for uninstalled programs, removing
user logins, controlling
Windows Media Player, GUID (supercookie)
Registry Editor 2nd [See also Registry]
.reg files, using for safety
adding and deleting keys and values
backing up the Registry
disabling paging file clearing at shutdown
editing, creating, or deleting keys and values
launching
navigation
RegSpy program
rolling back install/run changes for uninstalled programs
SnapShots feature
regular expression queries (Indexing Service)
relational operators in Indexing Service queries
date and time expressions, using with
releasing and renewing DHCP-assigned IP addresses
remapping the keyboard
Remote Access Server (RAS)
Remote Access utility (Windows Server 2003)
remote access, controlling another PC with
configuring XP remote server
firewalls, getting through
setting up remote client
remote client
Remote Desktop Connection program
remote procedure calls (RPCs) for email notifications
remote server
renaming files (Better file Rename utility)
residential gateways
automatic hostname mapping to dynamic IP address, problems with
optimizing
cloning MAC address
hub/router settings for DSL access
settings for VPN use
port forwarding for specific Internet services
resetting router to repair TCP/IP connection
resolution (laptop or LCD screens), improving
resolve cache
Resource Tuner utility
restore CDs supplied by PC manufacturers
Restore point
creating before deleting spyware
creating before removal of XP components
restoring backups
restoring files
backups (NTBackup)
Outlook Express files backed up in .reg keys
right-click "New" menu, cleaning up
right-click context menus [See context menus]
Router Password setting (residential gateways)
routers
disabling port 135 to kill Messenger service pop ups
for home networks [See residential gateways]
troubleshooting with tracert
Routing and Remote Access utility (on Windows Server 2003)
RPCs (remote procedure calls) for email notifications

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Safe Mode, circumventing Windows File Protection
Sandra (hardware analysis/tuneup program)
memory bandwidth test
saving web pages for offline reading
in offline database, using SurfSaver
with Internet Explorer
scheduled tasks
Scot's Newsletter (web site)
screen resolution (laptop or LCD), improving
screen savers, choosing and customizing
screenshots
built-in screen capture in XP
capturing active screen only
capturing entire screen
pasting screen captures to graphics program
SnagIt capture tool
Scroll Lock, automatically turning on at startup
scumware
search capabilities (Eudora)
Search Companion (IE), improving
search engines, Internet
Ask Jeeves toolbar
Google searches directly from your desktop
Google Toolbar
searching current site instead of entire Web
metasearch software
MSN search engine, replacing for IE
search results (Indexing Service), ranking
security
closing open ports and blocking protocols
dictionary attacks through spam email
email-borne worms and viruses
firewalls
ICF (Internet Connection Firewall)
ZoneAlarm
hidden fields in Word
IE security settings, changing with Group Policy Editor
Internet connections, vulnerability to intrusion
logging on residential gateways
protecting your PC with proxy servers
configuring IE to use proxy
finding free, public proxies
limiting connections to certain web sites
testing your PC for online vulnerabilities
Security Identifiers (SIDs)
security zones for IE, customizing
Send To option (Explorer context menu), customizing
server message block (SMB) communications, ICF and
servers
DNS [See DNS]
mail, troubleshooting problems with
mapping hostname to dynamic IP address for constant availability
proxy [See proxy servers]
remote
Service Packs, blocking opening of email file attachments
Services Computer Management Console
Services Microsoft Management Console
services, disabling at startup
listing of services to turn off
session cookies, accepting in IE
Setup Information file, editing for Windows component removal
shadowing (XP GUI), controlling
Shareaza (file sharing program)
sharing, disabling for TCP/IP 2nd
Shell subkey (Registry)
Shields Up program, testing your PC for online security
shortcut menus [See also context menus]
Windows Explorer, customizing for
adding global menu items to all file types
adding menu items to specific file types
All Programs menu
file association actions, editing
Shortcut Properties dialog box
shortcuts [See also command line; keyboard shortcuts]
for shutdown and reboot 2nd [See also shutdown; startup]
startup
automatically turning on Num Lock, Scroll Lock, and Caps Lock
shutdown [See also startup]
closing programs automatically
disabling with Registry hack
one-click shortcuts
process closing time, increasing
speeding up
halting startup programs and services
shutdown command, switches for
signal strength for wireless networks, improving
signatures (Outlook), backup files for
Simple Mail Transfer Protocol (SMTP) service for sending email
skins (user interface)
creating for WindowBlinds
downloading from the Internet
Trillian (instant messaging program)
SkinStudio program
skipping problems in music CDs [See multimedia]
SMB (server message blocK) communications, ICF and
SnagIt screen-capture tool
graphics format, customizing
menu options for screen captures
previewing screenshots
software publishers, designating as trustworthy
sounds (system)
beeps, turning off
choosing for theme
spam
blocking with software
MailWasher program
fighting with peer-to-peer technology
add-in spam killer for Outlook (SpamNet)
handling in Outlook Express
handling in Outlook with filters
mail header information, viewing in Outlook/Outlook Express
preventing dictionary attacks by turning off HTML display in emails
stopping before it starts
HTML characters, using for your address
registrations at web sites, examining fine print
spelling out your email address fully
using inline JavaScript to generate address at page load time
SpeedBit, Download Accelerator Plus (DAP) program
spell check (URLSpellCheck for IIS)
splash screen, changing for startup
building startup screen from graphics
choosing from multiple screens
Spychecker web page
spyware 2nd
blocking with firewalls
detector and eradicator program
file sharing without
inserted into Word fields
SSID (network name)
standby power-management operations, NetBEUI protocol and
Stardock, WindowBlinds utility
Start Menu
adjusting speed for performance
All Programs menu, modifying with Explorer
Classic Start menu
customizing with XP Professional Group Policy Editor
user account graphic, changing
startup
boot screen, changing
building startup screen from graphics
choosing from multiple screens
boot.ini file, editing
creating multiple profiles with Advanced Startup Manager
error message display, disabling
halting unnecessary programs and services
eliminating programs
services, disabling
System Configuration, using
multiboot options, boot.ini file switches
single operating system, customizing
speeding up with boot defragment
speeding up with BootVis utility, using
user logins, controlling with Registry
Startup folder, cleaning out
stationery (Outlook), backup files for
statistics (usage), in Eudora
Stay Invisible web site (free, public proxy servers)
Steganos Internet Anonym 5 software
storage of backups
streaming music, saving to your PC
capturing in MP3 format
string array values (Registry) 2nd
string values (Registry) 2nd
editing
examples in subkey section listing
Style-XP program
subdomain (provided by TZO.com)
subkeys, Registry
full section of (example)
Shell
values
Sun JVMs
checking for
uninstalling older
Super MP3 Recorder program
supernodes
surfing the Web anonymously
software for
Web-based anonymizer
SurfSaver program
switches (boot.ini file)
synchronization
files between two computers
offline files 2nd
on-demand and scheduled
Outlook files between laptop and PC
web pages saved to hard disk
whiteboard sessions
sysoc.inf file, entries for "uninstallable" programs
system applets, categorizing
system beeps, turning off
System Configuration Utility, disabling startup programs
system files
compressing, effects on performance
Windows File Protection
system folders, GUIDs for
system objects, changing
desktop icons 2nd
text and balloon tips, using the Registry
system organization to aid backups
system performance
checking and tweaking
memory bandwidth test
RAM, making the most of
better memory use with Task Manager
general advice for
Registry hacks to speed up XP
disabling 8.3 name creation in NTFS
menu speed
place kernel into RAM
prefetch parameters, altering
repair and recovery with Recovery Console
commands for examining the system
fixing MBR, boot sector, or boot menu
fixing Windows
floppy copy and access to all drives and folders
starting Recovery Console
tracking with Performance Console
logs, setting up
performance alerts
viewing performance logs
Windows XP visual effects and
System Restore point
backing up the Registry
creating before removal of XP components
system sounds, choosing for theme
System Tray [See Notification Area]

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Task Manager
better memory use with
identifying memory-hogging applications with Process Tab
Performance tab memory reporting, summary of
Taskbar
customizing with XP Professional Group Policy Editor
cutomizing with TweakUI
hiding icons in Notification Area
TCP/IP
closing down TCP ports
closing ports and blocking protocols
common TCP Internet ports
DHCP-assigned IP addresses
NetBEUI protocol, using with
disabling TCP/IP sharing
null Ethernet connection settings
repairing broken connections
resetting TCP/IP stack to original configuration
troubleshooting problems with ping
troubleshooting with ipconfig
TechSmith, SnagIt screen capture tool
Telnet
firewalls and
security risks of open port
templates (Outlook), backup files for
text
balloon tips for folders, customizing
balloon tips for system objects, changing
cleaning up in clips with ClipCache Plus
sharing with whiteboard [See whiteboard]
text editors, editing .reg files
themes (XP)
applying new
copyright laws and
creating your own
online sources for
third-party cookies
customizing IE handling of
managers for
thumbnails (Windows Explorer), decreasing image quality
Time To Live (TTL), reported by ping
times and dates [See dates and times]
toolbars
customizing appearance of
Google and Ask Jeeves, for Internet searches
Outlook settings, backup files for
VDM, configuration menu
Tools menu (Windows Explorer), removing items from
tracert
useful switches
TradeKeys utility
Trans-XP program
transparency
Trillian messaging program, use of
XP windows
Trillian (instant messaging program)
privacy options, customizing
Pro version
skins, choosing for
Trojan horses
blocking with ZoneAlarm firewall
ports used by
troubleshooting network connections
netsh tool
pathping command
TCP/IP problems, with ping
tracing network and internal data path with tracert
troubleshooting services, bypassing ICF firewall
trustworthy credential agencies and software publishers
TTL (Time to Live), reported by ping
Tweak-XP program
TweakMP, Media Player (Version 9), using with
TweakUI utility
controlling animated effects, fades, and shadowing
creating customized XP interfaces
customizing Taskbar
customizing XP interface
exact XP version and build, showing on desktop
hiding undeletable desktop icons
Windows Explorer
Most Frequently Used Programs List, banning programs from

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

UDP, closing ports for
unary NOT operator (!)
uninstalling applications
cleaning up after
removing access to certain Microsoft programs
removing uninstall entries from uninstalled programs
uninstalling XP components and utilities
updates, NTFS date and time stamps
URLs
customizng for Internet Explorer
redirecting misspelled
redirecting your web site to
URLSpellCheck for IIS
usage statistics (Eudora)
USB
devices, hidden
importing analog video
polling, increasing interval so laptops can enter power-saving state
user accounts, changing graphic for
user interfaces
changing XP elemets to Windows 2000
components, hiding to prevent accidental removal
Control Panel
building customized
displaying applets in cascading menu
hidden applets, running
hiding applets with Registry
hiding applets with XP Pro Group Policy Editor
hiding unused applets
recategorizing applets
creating customized with TweakUI
Taskbar
cursors and icons, creating your own
customizing with the Registry
adding folders to Open dialog
hiding all icons in Notification Area
hiding certain icons in Notification Area
turning off system beeps
customizing with WindowBlinds
creating your own skins
dowloading skins from the Internet
desktop icons and system objects, renaming/changing
graphic for your user account, changing
IE, customizing with Group Policy Editor
Most Frequently Used Programs List
banning programs from with the Registry
banning programs from with TweakUI
banning programs with Registry
changing number of programs in
killing with Registry hack
older Windows programs, forcing to use XP common controls
Pegasus email software, eccentricities of
Pinned Programs List
removing "uninstallable" XP utilities
removing "unremovable" desktop icons
Start Menu and Taskbar, customizing with Group Policy Editor
themes
applying new
creating your own
online sources for
transparent windows, creating
user logins
autologon, enabling
controlling with Registry
users
changing name of registered user with Registry hack
HKEY_CURRENT_USER Registry hive
HKEY_USERS Registry hive
host computer, permissions for
Security Identifiers (SIDs)
utilities (XP basic), improving on
backups
getting a better backup program
mapping out backup plan
system organization that aids backup process
Windows XP backup utilities
clipboard enhancement with ClipCache Plus
disk defragmentation
boot files, defragmenting
failure of disk defragmenter
getting a better disk defragmenter
running disk defragmenter from command line
screenshot tips
SnagIt capture tool, using
XP's built-in screen capture
universal messaging with Trillian
virtual desktops
Windows Messenger, going beyond messaging
collaborating with whiteboard
sharing applications
using .NET alerts with
utilities (XP), removing "uninstallable"

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

values, Registry
adding and deleting
creating new
creating new (NoLowDiskSpaceChecks)
deleting for uninstalled programs
deleting using .reg files
DoubleClickSpeed value for the mouse
editing, creating, or deleting with Registry Editor
examples in subkey section listing
primary data types
VDM [See Virtual Desktop Manager]
verbs (in documents), searching for alternative forms
video bit rate
video display size
videos, making with Windows Movie Maker
capturing video properly
digital video camera, using
DVDs, making
recording video, best settings for
preset profiles
viewer for files (IrfanView)
Virtual Desktop Manager (VDM)
activating
customizing
background images, changing
keyboard shortucts for switching desktops
preview screen
removing program name from toolbar
taskbar buttons for programs running
toolbar configuration menu
switching between desktops
virtual machines [See also JVMs]
Microsoft VM
Virtual Private Network (VPN)
ICF (Internet Connection Firewall) use and
residential gateways and
setting up
virus masquerading as WindowBlinds installer
visual effects (XP), system performance and
voice messages vial email (in Eudora)

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

WAN MAC address
WAN requests, blocking from network
wannabes, attacks through Internet connections
war chalking symbols
war driving for WiFi access
building wireless cantenna
definition of
Network Stumbler program
networks not part of FreeNet
WAV format, saving streaming audio to
WAVClean program
WaveCorrector program
Web
cookie handling
file downloads, speeding up
Group Policy Editory, customizing IE with [See Internet Explorer]
hosting site with IIS
Java applets, running without problems
pop ups, spyware, and web bugs, stopping
reading web pages offline 2nd
saving web pages in offline database
searching the Internet
Google Toolbar, using
speeding up access by changing DNS settings
cache settings
fixing DNS problems
HOSTS file
surfing anonymously
software for
Web-based anonymizer
web bugs
web bugs 2nd 3rd
information transmitted by
web-based email, retrieving with your email software
Hotmail mail, getting with Hotmail Popper
Yahoo! mail, getting with YahooPOPs!
Welty, Eudora
WEP encryption
whiteboard
closing and saving sessions
Lock Contents button
Select Area button
Select Window button
starting with a contact
Unsynchronize button
whitespace, removing from clip texts with ClipCache Plus
WiFi networks [See wireless networks]
WiFi standard
equipment compatibility for different 802.11x versions
wildcards (* and ?)
in Indexing Service queries
** (double asterisk)
Recovery Console commands, use with
WinCustomize web site
WindowBlinds utility
creating skins for
display setting
downloading skins from the Internet
virus masquerading as installer
windows
customizing appearance of
Windows
incompatiblity problems with programs for different versions
modifying or replacing problematic files
older programs, forcing to use XP controls
PowerDesk, using with different versions
windows
transparent, creating for XP
Windows
version, showing on desktop
windows
whiteboard sessions, selecting for
Windows 2000
NetBEUI protocol version
user interface, using for XP
Windows Address Book
contact information for Outlook Express
contact information in
Windows Component Wizard
Windows Explorer
All Programs menu, reorganizing
Better File Rename utility
Briefcase
files, information about
mobile file transfers with
command-line prompt on desktop
command-line shortcuts for customized views
desktop shortcuts
GUIDs, using with
context menu, improving
command prompt, opening
copy/move to folder options
Open With option
Send To option
cookies, listing of
customizing with TweakUI
Encrypting File System (EFS)
behavior of encrypted files/folders
decrypting files/folders
encrypting files/folders
encrypting/decrypting from command line
sharing encrypted files
file compression, NTFS
converting previous filesystems to
disk space saved by
folder compression, effects on files
improving NTFS performance
ZIP files vs.
folder icons and balloon text, customizing
generating folder and file listings
Indexing Service utility
using the query language
offline files
synchronizations, on-demand and scheduled
synchronizing to/from LAN and your laptop
PowerDesk, using
customizing toolbars
shortcut menu, customizing
adding menu items to specific file types
adding shortcut menu items to all file types
All Programs menu
editing file association actions
removing menu items
thumbnail image quality, decreasing
Windows File Protection
Windows Media Player [See Media Player]
Windows Messenger
.NET alerts, using with
delivery of alerts
editing/managing alerts
signing up for alerts
collaborating long-distance with whiteboard
closing and saving sessions
Lock Contents button
Select Area button
Select Window button
starting a whiteboard
Unsynchronize button
sharing applications with
XP Messenger Service vs.
Windows Movie Maker [See Movie Maker]
Windows Server 2003, Routing and Remote Access utility
WinZip program
Wireless Network Connection Status screen 2nd
wireless networks
extending range of
antennas (access point or PCs), avoiding placing near large metal objects
avoid putting access point next to outside wall
avoid putting access point or PCs near microwaves or cordless phones
centrally locate access point
equipment incompatibility for different versions of 802.11x standard
external and booster antennas, use of
placement for access point and wireless PCs, experimenting with
vertical orientation of access point antennas
wireless PC antennas, pointing toward access point
NetBEUI protocol, problems with
war driving for WiFi access
building wireless cantenna
grassroots community networking (FreeNets)
mapping wireless networks
Network Stumbler program
Word
frequently used folders dialog, changing
hidden fields, security risks of
launching with command-line shortcuts
word processors, editing .reg files

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

XP
exact version and build, showing on desktop
Messenger Service, Windows Messenger vs.

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Yahoo! mail, getting with YahooPOPs!

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

ZIP file compression
Backup Plus program files
email attachments, sending as .zip files
managing files with PowerDesk
NTFS vs.
previewng contents of compressed files before downloading
ZoneAlarm firewall 2nd
allowing specific unsolicited inbound traffic through
configuring to block Trojans
versions

[ Team LiB ]